/*
 * Created on 31-Oct-2005
 */
package com.ibm.rpm.client.junit.applicationadministration.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.applicationadministration.containers.ContactGroup;
import com.ibm.rpm.applicationadministration.scope.ContactGroupScope;
import com.ibm.rpm.client.junit.applicationadministration.fixtures.ContactGroupFixture;
import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

/**
 * @author njarazi
 */
public class TestContactGroupDataXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        return ContactGroupFixture.createFixture(1, (ContactGroupScope)mainScope);
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return ContactGroupFixture.createScope(1, 1);
    }

    /**
     * @param dbObject
     * @throws AssertionFailedError
     * @throws Exception
     */
    protected void objectCompare(RPMObject myObject, RPMObject dbObject,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        ContactGroupFixture.compare((ContactGroup) myObject, (ContactGroup) dbObject, (ContactGroupScope)mainScope);
    }
}