package com.ibm.rpm.client.junit.applicationadministration.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.applicationadministration.containers.Currency;
import com.ibm.rpm.client.junit.applicationadministration.fixtures.CurrencyFixture;
import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

/**
 * @author njarazi
 */
public class TestCurrencyDataXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        Currency c = new Currency();
        c.setID("219");
        return loadFromID(c, mainScope);
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return null;
    }

    protected void objectCompare(RPMObject expected, RPMObject actual,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        CurrencyFixture.compare((Currency) expected, (Currency) actual);
    }
}