/*
 * Created on 1-Nov-2005
 */
package com.ibm.rpm.client.junit.applicationadministration.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.applicationadministration.containers.CurrencyExchangeRange;
import com.ibm.rpm.client.junit.applicationadministration.fixtures.CurrencyExchangeRangeFixture;
import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

/**
 * @author njarazi
 */
public class TestCurrencyExchangeRangeDataXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        return CurrencyExchangeRangeFixture.createFixture(this);
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return null;
    }

    /**
     * @param dbObject
     * @throws AssertionFailedError
     * @throws Exception
     */
    protected void objectCompare(RPMObject myObject, RPMObject dbObject,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        assertEquals(((CurrencyExchangeRange) dbObject).getFinishDate(),
            ((CurrencyExchangeRange) myObject).getFinishDate());
        assertEquals(((CurrencyExchangeRange) dbObject).getStartDate(),
            ((CurrencyExchangeRange) myObject).getStartDate());
        assertEquals(((CurrencyExchangeRange) dbObject)
            .getExchangeRate(), ((CurrencyExchangeRange) myObject)
            .getExchangeRate());
    }
}