/*
 * Created on 7-Nov-2005
 */
package com.ibm.rpm.client.junit.clientcostcenters.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.client.junit.clientcostcenters.fixtures.ClientCostCenterFixture;
import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.clientcostcenters.containers.ClientCostCenter;
import com.ibm.rpm.clientcostcenters.scope.ClientCostCenterScope;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

/**
 * @author njarazi
 */
public class TestClientCostCenterDataXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        return ClientCostCenterFixture.createFixture((ClientCostCenterScope)mainScope, this);
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return ClientCostCenterFixture.createScope(true, true);
    }

    /**
     * @param dbObject
     * @throws AssertionFailedError
     * @throws Exception
     */
    protected void objectCompare(RPMObject myObject, RPMObject dbObject,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        
        ClientCostCenterFixture.compare((ClientCostCenter) myObject,
                (ClientCostCenter) dbObject, (ClientCostCenterScope)mainScope);
    }
}