/*
 * Created on May 11, 2006
 */
package com.ibm.rpm.client.junit.framework.testcases;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.ibm.rpm.metadata.MetadataException;
import com.ibm.rpm.metadata.model.Container;
import com.ibm.rpm.metadata.model.MetadataStore;

/**
 * @author eturcot
 */
public class MetadataFixture  extends RpmObjectAbstractTester {
	 
	private static Log log = LogFactory.getLog(MetadataFixture.class);
	
	private Container containerMetadata = null;
	
	public MetadataFixture(Class containerClass) throws MetadataException  {
        super(containerClass);
        containerMetadata = MetadataStore.getInstance().getContainer(containerClass.getName()); // find the right container
        if (containerMetadata == null)
        {
            throw new MetadataException("No metadata information found for class " + containerClass.getName());
        }
    }
}
