/*
 * Created on January 25, 2006
 * @author mmatwiy
 * Test validation for container AssignedScorecardCategory for an Asset.
 */
package com.ibm.rpm.client.junit.scorecard.testcases.validation;

import com.ibm.rpm.asset.containers.Asset;
import com.ibm.rpm.asset.containers.AssetModule;
import com.ibm.rpm.scorecard.containers.AssignedScorecardCategory;

public class TestAssetsAssignedScorecardCategoryValidation extends
        AbstractTestAssignedScorecardCategoryValidation
{

    private AssetModule module;

    public void setUp() throws Exception
    {
        super.setUp();

        ScorecardAssetsValidationUtility utility = new ScorecardAssetsValidationUtility();

        module = utility.createAssetModule();

        Asset assignedAsset = utility.prepareScorecardAssignment(module);

        AssignedScorecardCategory category = assignedAsset
            .getAssignedScorecard().getAssignedScorecardCategories()[0];

        initializeValues(category);
    }

    public void tearDown() throws Exception
    {
        super.tearDown();
    }

    public void testReadOnlyFields() throws Exception
    {
        readOnlyFields();
    }

    public void testDefaultValuesInsert() throws Exception
    {
        defaultValuesInsert();
    }

    public void testDefaultValuesUpdateToNull() throws Exception
    {
        defaultValuesUpdateToNull();
    }

}
