/*
 * Created on January 25, 2006
 * @author mmatwiy
 * Test validation for container AssignedScorecardState for an Asset.
 */
package com.ibm.rpm.client.junit.scorecard.testcases.validation;

import com.ibm.rpm.asset.containers.Asset;
import com.ibm.rpm.asset.containers.AssetModule;
import com.ibm.rpm.scorecard.containers.AssignedScorecardState;

public class TestAssetsAssignedScorecardStateValidation extends
        AbstractTestAssignedScorecardStateValidation
{
    private AssetModule module;
    
    public void setUp() throws Exception
    {
        super.setUp();
        
        ScorecardAssetsValidationUtility utility = new ScorecardAssetsValidationUtility();
        
        module = utility.createAssetModule();

        Asset assignedAsset = utility.prepareScorecardAssignment(module);

        AssignedScorecardState state = assignedAsset.getAssignedScorecard()
            .getScorecardState();

        initializeValues(state);

    }

    public void tearDown() throws Exception
    {
        super.tearDown();
    }

    public void testPublishedNotSet() throws Exception
    {
        publishedNotSet();
    }

    public void testDefaultValuesInsert() throws Exception
    {
        defaultValuesInsert();
    }

    public void testDefaultValuesUpdateToNull() throws Exception
    {
        defaultValuesUpdateToNull();
    }

}
