/*
 * Created on Feb 1, 2007
 *
 */
package com.ibm.rpm.client.junit.security.testcases.igs;

import java.lang.reflect.Method;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * @author karim
 *
 */
public class TestAllIGSSecurityLocal {

    public static Test suite()
    {
    	TestSuite suite = new TestSuite();
//        addTestsToSuite(suite,TestProjectDependencySecurityLocal.class);
//        addTestsToSuite(suite,TestProjectDocumentElementsSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectGenericStepSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectOpportunitySecurityLocal.class);
//        addTestsToSuite(suite,TestProjectOrganizationalAssignmentSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectReqProConnectionSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectReqProImportStatusSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectRiskDuplicateSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectRiskMatrixSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectRiskMitigationFactorSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectRoleAssignmentSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectScopeElementsSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectSummaryTimesheetSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectWorkElementsSecurityLocal.class);
        return suite;
    }
	
    private static void addTestsToSuite(TestSuite suite, Class testClass)
    {
    	try
        {
        	TestCase testCase = null;
        	String methodName = null;
        	Method[] methods = testClass.getMethods();
        	for (int i = 0; i < methods.length; i++)
        	{
        		methodName = methods[i].getName();
        		//only add test methods
        		if (methodName.startsWith("test"))
        		{
        			testCase = (TestCase)testClass.newInstance();
        			testCase.setName(methodName);
        			suite.addTest(testCase);
        		}
        	}    		
    	}
    	catch(Exception e)
		{
    		System.out.println("ERROR : Cannot add tests of "+testClass.getName());
    		e.printStackTrace();
		}
    }
}
