package com.ibm.rpm.client.junit.security.testcases.role;

import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.wbs.containers.WorkElement;

public class PlannedScopeElementSecurityTestCanRemoveLocal extends
        AbstractPlannedScopeElementSecurityTestLocal
{
	private String assignValue;
    public PlannedScopeElementSecurityTestCanRemoveLocal(
            Class securityRoleClass, RPMObject containerObject,
            WorkElement grandparentWorkElement, RPMObjectScope scope,
            String fieldToTest, String flagName, String assignValue)
    {
        super(securityRoleClass, containerObject, grandparentWorkElement,
            scope, fieldToTest, flagName);
        this.assignValue = assignValue;
    }

    protected void verifyMustFailScenario() throws Exception
    {
    	assign(assignValue);
    	testObject = save(testObject, testObjectScope).getRpmObject();
        verifyMustFailScenarioForRemove();
    }

    protected void verifyMustSuccessScenario() throws Exception
    {
        verifyMustSuccessScenarioForRemove();
    }
    
}
