package com.ibm.rpm.client.junit.security.testcases.role;

import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.wbs.containers.WorkElement;

public class PlannedWorkElementSecurityTestCanAssignLocal extends
		AbstractPlannedWorkElementSecurityTestLocal {

	private String assignValue;
	public PlannedWorkElementSecurityTestCanAssignLocal(Class securityRoleClass,
			RPMObject containerObject, WorkElement grandparentWorkElement,
			RPMObjectScope scope, String fieldToTest, String flagName, String assignValue)
	{
		super(securityRoleClass, containerObject, grandparentWorkElement,
				scope, fieldToTest, flagName);
		this.assignValue = assignValue;
	}

	protected void prepareTestContainer() throws Exception
    {
        testObject = prepareContainer(testObject, parentObject,
            testObjectScope, securityTestUser, testObjectSecurityRole);
    }
	
	protected void verifyMustFailScenario() throws Exception 
	{
		((WorkElement)testObject).setContainingProject((WorkElement)parentObject);
		assign(assignValue);
		verifyMustFailScenarioForAssign();
	}

	protected void verifyMustSuccessScenario() throws Exception 
	{
		verifyMustSuccessScenarioForAssign();
	}

}
