package com.ibm.rpm.client.junit.security.testcases.role.scopemanagement;

import com.ibm.rpm.scopemanagement.containers.Defect;


public class TestDefectSecurityTestLocal extends AbstractTestScopeSecurityTestLocal {

	protected void setUp() throws Exception
    {
		testClass = TEST_DEFECT;
        super.setUp();

        prepareSecurityRole(Defect.class);
    }

	public void testViewApprovedBy() throws Exception
	{
		resetScopeElementScope();
		createSaveScopeElementWithSecurity(new Defect());

		runViewApprovedBy();
	}

	public void testEditApprovedBy() throws Exception
	{
		resetScopeElementScope();
		createSaveScopeElementWithSecurity(new Defect());

		runEditApprovedBy();
	}

	public void testViewProposedBy() throws Exception
	{
		resetScopeElementScope();
		createSaveScopeElementWithSecurity(new Defect());

		runViewProposedBy();
	}

	public void testEditProposedBy() throws Exception
	{
		resetScopeElementScope();
		createSaveScopeElementWithSecurity(new Defect());

		runEditProposedBy();
	}

	public void testViewClosedBy() throws Exception
	{
		resetScopeElementScope();
		createSaveScopeElementWithSecurity(new Defect());

		runViewClosedBy();
	}

	public void testClosedBy() throws Exception
	{
		resetScopeElementScope();
		createSaveScopeElementWithSecurity(new Defect());

		runEditClosedBy();
	}
}
