/*
 * Created on Dec 5, 2006
 */
package com.ibm.rpm.client.junit.wbs.testcases.fixes;

import com.ibm.rpm.client.junit.ClientTestController;
import com.ibm.rpm.client.junit.wbs.fixtures.ResourceTaskAssignmentFixture;
import com.ibm.rpm.client.junit.wbs.fixtures.TaskAssignmentFixture;
import com.ibm.rpm.resource.containers.Resource;
import com.ibm.rpm.scopemanagement.containers.ScopeElement;
import com.ibm.rpm.scopemanagement.scope.ScopeElementScope;
import com.ibm.rpm.wbs.containers.ResourceTaskAssignment;
import com.ibm.rpm.wbs.scope.ResourceTaskAssignmentScope;
import com.ibm.rpm.wbs.scope.WorkElementScope;

public class Test49586 extends ClientTestController
{
    protected ResourceTaskAssignmentScope mainScope = null;

    protected ScopeElement parentScopeElement = null;

    protected Resource resource = null;
    
    public void setUp() throws Exception
    {
        super.setUp();
        mainScope = ResourceTaskAssignmentFixture.createScope(true, true,
            false, true, true);
        ScopeElementScope scopeScope = new ScopeElementScope();
        scopeScope.setProject(new WorkElementScope());
        mainScope.setParent(scopeScope);
        if (mainScope == null)
        {
            throw new Exception("Please define mainScope field in "
                    + "before calling this method.");
        }
        parentScopeElement = (ScopeElement)TaskAssignmentFixture
                .createProperScopeElement(this).getParent();

        if (mainScope.getResource() != null)
        {
            resource = TaskAssignmentFixture.createProperResource(
                    parentScopeElement, this);
        }        
    }
    
    public void testAssignResourceToRequirement() throws AssertionError,
            Exception
    {
        ResourceTaskAssignment assignment = null;
        assignment = ResourceTaskAssignmentFixture.createFixture(
                parentScopeElement, resource, null, mainScope, false, this);
        saveMustFail(assignment, mainScope);
    }
}
