package com.ibm.rpm.client.junit.wbs.testcases.fixes;

import com.ibm.rpm.client.junit.ClientTestController;
import com.ibm.rpm.client.junit.helpers.HelperTestUtilities;
import com.ibm.rpm.client.junit.wbs.fixtures.PortfolioFixture;
import com.ibm.rpm.wbs.containers.Portfolio;
import com.ibm.rpm.wbs.containers.Proposal;

public class TestPMR36127777631 extends ClientTestController {

	private Portfolio createSavePortfolio() throws Exception {
		Portfolio portfolio = (Portfolio) PortfolioFixture
		.createSaveFixture(this);
		assertNotNull(portfolio);
		return portfolio;
	}

	public void testCreateProposal() throws Exception {
		Portfolio portfolio = createSavePortfolio();

		Proposal proposal = createProposal(portfolio);
		proposal = (Proposal) save(proposal, null).getRpmObject();
		assertNotNull(proposal);
	}

	private Proposal createProposal(Portfolio portfolio) throws Exception {
		Proposal proposal = new Proposal();
		proposal.setName(HelperTestUtilities.createName());
		proposal.setParent(portfolio);
		return proposal;
	}
}