/*
 * Created on Oct 6, 2006
 * @author dominiqu 
 * Validation constants for Communications
 */
package com.ibm.rpm.communications.constants;

public class ValidationConstants
{
    public final static String PARENT_FIELD = "parent";

    // field names
    
    public final static String GENERICCOMMUNICATION_SUBJECT_FIELD = "subject";

    public final static String GENERICCOMMUNICATION_COMMENTS_FIELD = "comments";

    public final static String GENERICCOMMUNICATION_AUTHOR_FIELD = "author";

    public final static String GENERICCOMMUNICATION_ATTACHMENT_FIELD = "workflowAttachment";

    public final static String GENERICCOMMUNICATION_REPLIES_FIELD = "replies";
    
    public final static String WORKFLOWSTEPNOTIFICATION_DESCRIPTION_FIELD = "description";
    
    public final static String WORKFLOWRESPONSE_RESOURCE_FIELD = "resource";
    
    public final static String WORKFLOWRESPONSE_STATE_FIELD = "state";
    
    public final static String WORKFLOWRESPONSE_COMMENTS_FIELD = "comments";
    
    public final static String WORKFLOWRESPONSE_FOLDER_FIELD = "folder";
    
    public final static String WORKFLOWRESPONSE_RESPONSE_FIELD = "response";

    public final static String WORKFLOWATTACHMENT_ATTACHMENT_FIELD = "attachment";
    
    // minimum / maximum values
    
    public final static int GENERICCOMMUNICATION_SUBJECT_MAX = 250;

    public final static int GENERICCOMMUNICATION_COMMENTS_MAX = 3990;
    
    public final static int WORKFLOWRESPONSE_COMMENTS_MAX = 4095;
}
