/*
 * Created on Dec 21, 2005
 * @author mmatwiy
 * Checkpoint validation of container ContractFolder.
 */
package com.ibm.rpm.contract.checkpoints;

import java.util.ArrayList;
import java.util.List;

import com.ibm.rpm.contract.containers.ContractFolder;
import com.ibm.rpm.contract.containers.ContractModule;
import com.ibm.rpm.framework.MessageContext;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

public class ContractFolderCheckpoint extends GenericContractCheckpoint
{
    private static final List CONTRACT_FOLDER_PARENT_LIST = new ArrayList();

    protected static ContractFolderCheckpoint instance = new ContractFolderCheckpoint();

    static
    {
        CONTRACT_FOLDER_PARENT_LIST.add(ContractModule.class);
        CONTRACT_FOLDER_PARENT_LIST.add(ContractFolder.class);
    }

    public static ContractFolderCheckpoint getInstance()
    {
        return instance;
    }

    public void validateSave(RPMObject rpmObject, RPMObjectScope rpmScope,
            MessageContext msgCtx)
    {
        super.validateSave(rpmObject, msgCtx, false,
            CONTRACT_FOLDER_PARENT_LIST);
    }

}
