package com.ibm.rpm.document.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  abstract class AbstractDocument  extends com.ibm.rpm.document.containers.GenericDocument {

			
		
		
			
	private java.lang.String keywords; 	
	public java.lang.String  getKeywords() {
		return this.keywords;
	}
	
	public void setKeywords(java.lang.String value) {
		this.keywords = value;
	}
	
			
	public void deltaKeywords(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, keywords))) {
			keywords_is_modified = true;
		}
	}
	
	private boolean keywords_is_modified = false;
	
	public boolean testKeywordsModified() {
		return keywords_is_modified;
	}
		
		
	private java.lang.Integer majorRevisionNumber; 	
	public java.lang.Integer  getMajorRevisionNumber() {
		return this.majorRevisionNumber;
	}
	
	public void setMajorRevisionNumber(java.lang.Integer value) {
		this.majorRevisionNumber = value;
	}
	
			
	public void deltaMajorRevisionNumber(java.lang.Integer oldValue) {
		if (!(CompareUtil.equals(oldValue, majorRevisionNumber))) {
			majorRevisionNumber_is_modified = true;
		}
	}
	
	private boolean majorRevisionNumber_is_modified = false;
	
	public boolean testMajorRevisionNumberModified() {
		return majorRevisionNumber_is_modified;
	}
		
		
	private java.lang.Integer minorRevisionNumber; 	
	public java.lang.Integer  getMinorRevisionNumber() {
		return this.minorRevisionNumber;
	}
	
	public void setMinorRevisionNumber(java.lang.Integer value) {
		this.minorRevisionNumber = value;
	}
	
			
	public void deltaMinorRevisionNumber(java.lang.Integer oldValue) {
		if (!(CompareUtil.equals(oldValue, minorRevisionNumber))) {
			minorRevisionNumber_is_modified = true;
		}
	}
	
	private boolean minorRevisionNumber_is_modified = false;
	
	public boolean testMinorRevisionNumberModified() {
		return minorRevisionNumber_is_modified;
	}
		
		
	private com.ibm.rpm.framework.types.PublishedType published; 	
	public com.ibm.rpm.framework.types.PublishedType  getPublished() {
		return this.published;
	}
	
	public void setPublished(com.ibm.rpm.framework.types.PublishedType value) {
		this.published = value;
	}
	
			
	public void deltaPublished(com.ibm.rpm.framework.types.PublishedType oldValue) {
		if (!(CompareUtil.equals(oldValue, published))) {
			published_is_modified = true;
		}
	}
	
	private boolean published_is_modified = false;
	
	public boolean testPublishedModified() {
		return published_is_modified;
	}
		
		
	private java.lang.String referenceNumber; 	
	public java.lang.String  getReferenceNumber() {
		return this.referenceNumber;
	}
	
	public void setReferenceNumber(java.lang.String value) {
		this.referenceNumber = value;
	}
	
			
	public void deltaReferenceNumber(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, referenceNumber))) {
			referenceNumber_is_modified = true;
		}
	}
	
	private boolean referenceNumber_is_modified = false;
	
	public boolean testReferenceNumberModified() {
		return referenceNumber_is_modified;
	}
		
		
	private com.ibm.rpm.applicationadministration.containers.DocumentState state; 	
	public com.ibm.rpm.applicationadministration.containers.DocumentState  getState() {
		return this.state;
	}
	
	public void setState(com.ibm.rpm.applicationadministration.containers.DocumentState value) {
		this.state = value;
	}
	
			
	public void deltaState(com.ibm.rpm.applicationadministration.containers.DocumentState oldValue) {
		if (!(CompareUtil.equals(oldValue, state))) {
			state_is_modified = true;
		}
	}
	
	private boolean state_is_modified = false;
	
	public boolean testStateModified() {
		return state_is_modified;
	}
		
		
	private java.lang.String summary; 	
	public java.lang.String  getSummary() {
		return this.summary;
	}
	
	public void setSummary(java.lang.String value) {
		this.summary = value;
	}
	
			
	public void deltaSummary(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, summary))) {
			summary_is_modified = true;
		}
	}
	
	private boolean summary_is_modified = false;
	
	public boolean testSummaryModified() {
		return summary_is_modified;
	}
		
		
	private com.ibm.rpm.document.types.DocumentLinkingStatus linkingStatus; 	
	public com.ibm.rpm.document.types.DocumentLinkingStatus  getLinkingStatus() {
		return this.linkingStatus;
	}
	
	public void setLinkingStatus(com.ibm.rpm.document.types.DocumentLinkingStatus value) {
		this.linkingStatus = value;
	}
	
			
	public void deltaLinkingStatus(com.ibm.rpm.document.types.DocumentLinkingStatus oldValue) {
		if (!(CompareUtil.equals(oldValue, linkingStatus))) {
			linkingStatus_is_modified = true;
		}
	}
	
	private boolean linkingStatus_is_modified = false;
	
	public boolean testLinkingStatusModified() {
		return linkingStatus_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        keywords_is_modified = false;      
                                
        majorRevisionNumber_is_modified = false;      
                                
        minorRevisionNumber_is_modified = false;      
                                
        published_is_modified = false;      
                                
        referenceNumber_is_modified = false;      
                                
        state_is_modified = false;      
                                
        summary_is_modified = false;      
                                
        linkingStatus_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (keywords != null) {
     		keywords_is_modified = true;
     	}
     	     	     	     	
     	if (majorRevisionNumber != null) {
     		majorRevisionNumber_is_modified = true;
     	}
     	     	     	     	
     	if (minorRevisionNumber != null) {
     		minorRevisionNumber_is_modified = true;
     	}
     	     	     	     	
     	if (published != null) {
     		published_is_modified = true;
     	}
     	     	     	     	
     	if (referenceNumber != null) {
     		referenceNumber_is_modified = true;
     	}
     	     	     	     	
     	if (state != null) {
     		state_is_modified = true;
     	}
     	     	     	     	
     	if (summary != null) {
     		summary_is_modified = true;
     	}
     	     	     	     	
     	if (linkingStatus != null) {
     		linkingStatus_is_modified = true;
     	}
     	     	     	
     }
     
     
}