package com.ibm.rpm.expense.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class Invoice  extends com.ibm.rpm.framework.RPMObject {

			
		public static final int TYPE_ID = 107;
	
		
		
		
	public Invoice() {
		assignTypeID(new Integer(TYPE_ID));
	}
	
		
			
	private java.lang.Double conversionRate; 	
	public java.lang.Double  getConversionRate() {
		return this.conversionRate;
	}
	
	public void setConversionRate(java.lang.Double value) {
		this.conversionRate = value;
	}
	
			
	public void deltaConversionRate(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, conversionRate))) {
			conversionRate_is_modified = true;
		}
	}
	
	private boolean conversionRate_is_modified = false;
	
	public boolean testConversionRateModified() {
		return conversionRate_is_modified;
	}
		
		
	private java.lang.Double convertedTotal; 	
	public java.lang.Double  getConvertedTotal() {
		return this.convertedTotal;
	}
	
	public void setConvertedTotal(java.lang.Double value) {
		this.convertedTotal = value;
	}
	
			
	public void deltaConvertedTotal(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, convertedTotal))) {
			convertedTotal_is_modified = true;
		}
	}
	
	private boolean convertedTotal_is_modified = false;
	
	public boolean testConvertedTotalModified() {
		return convertedTotal_is_modified;
	}
		
		
	private com.ibm.rpm.applicationadministration.containers.Currency currency; 	
	public com.ibm.rpm.applicationadministration.containers.Currency  getCurrency() {
		return this.currency;
	}
	
	public void setCurrency(com.ibm.rpm.applicationadministration.containers.Currency value) {
		this.currency = value;
	}
	
			
	public void deltaCurrency(com.ibm.rpm.applicationadministration.containers.Currency oldValue) {
		if (!(CompareUtil.equals(oldValue, currency))) {
			currency_is_modified = true;
		}
	}
	
	private boolean currency_is_modified = false;
	
	public boolean testCurrencyModified() {
		return currency_is_modified;
	}
		
		
	private java.util.Calendar date; 	
	public java.util.Calendar  getDate() {
		return this.date;
	}
	
	public void setDate(java.util.Calendar value) {
		this.date = value;
	}
	
			
	public void deltaDate(java.util.Calendar oldValue) {
		if (!(CompareUtil.equals(oldValue, date))) {
			date_is_modified = true;
		}
	}
	
	private boolean date_is_modified = false;
	
	public boolean testDateModified() {
		return date_is_modified;
	}
		
		
	private com.ibm.rpm.expense.containers.ExpenseItem[] expenseItems; 	
	public com.ibm.rpm.expense.containers.ExpenseItem[]  getExpenseItems() {
		return this.expenseItems;
	}
	
	public void setExpenseItems(com.ibm.rpm.expense.containers.ExpenseItem[] value) {
		this.expenseItems = value;
	}
	
			
		
	private java.lang.String invoiceNumber; 	
	public java.lang.String  getInvoiceNumber() {
		return this.invoiceNumber;
	}
	
	public void setInvoiceNumber(java.lang.String value) {
		this.invoiceNumber = value;
	}
	
			
	public void deltaInvoiceNumber(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, invoiceNumber))) {
			invoiceNumber_is_modified = true;
		}
	}
	
	private boolean invoiceNumber_is_modified = false;
	
	public boolean testInvoiceNumberModified() {
		return invoiceNumber_is_modified;
	}
		
		
	private com.ibm.rpm.expense.types.InvoiceStatus invoiceStatus; 	
	public com.ibm.rpm.expense.types.InvoiceStatus  getInvoiceStatus() {
		return this.invoiceStatus;
	}
	
	public void setInvoiceStatus(com.ibm.rpm.expense.types.InvoiceStatus value) {
		this.invoiceStatus = value;
	}
	
			
	public void deltaInvoiceStatus(com.ibm.rpm.expense.types.InvoiceStatus oldValue) {
		if (!(CompareUtil.equals(oldValue, invoiceStatus))) {
			invoiceStatus_is_modified = true;
		}
	}
	
	private boolean invoiceStatus_is_modified = false;
	
	public boolean testInvoiceStatusModified() {
		return invoiceStatus_is_modified;
	}
		
		
	private java.lang.String location; 	
	public java.lang.String  getLocation() {
		return this.location;
	}
	
	public void setLocation(java.lang.String value) {
		this.location = value;
	}
	
			
	public void deltaLocation(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, location))) {
			location_is_modified = true;
		}
	}
	
	private boolean location_is_modified = false;
	
	public boolean testLocationModified() {
		return location_is_modified;
	}
		
		
	private java.lang.String note; 	
	public java.lang.String  getNote() {
		return this.note;
	}
	
	public void setNote(java.lang.String value) {
		this.note = value;
	}
	
			
	public void deltaNote(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, note))) {
			note_is_modified = true;
		}
	}
	
	private boolean note_is_modified = false;
	
	public boolean testNoteModified() {
		return note_is_modified;
	}
		
		
	private com.ibm.rpm.applicationadministration.containers.PaymentType paymentType; 	
	public com.ibm.rpm.applicationadministration.containers.PaymentType  getPaymentType() {
		return this.paymentType;
	}
	
	public void setPaymentType(com.ibm.rpm.applicationadministration.containers.PaymentType value) {
		this.paymentType = value;
	}
	
			
	public void deltaPaymentType(com.ibm.rpm.applicationadministration.containers.PaymentType oldValue) {
		if (!(CompareUtil.equals(oldValue, paymentType))) {
			paymentType_is_modified = true;
		}
	}
	
	private boolean paymentType_is_modified = false;
	
	public boolean testPaymentTypeModified() {
		return paymentType_is_modified;
	}
		
		
	private java.lang.Double subTotal; 	
	public java.lang.Double  getSubTotal() {
		return this.subTotal;
	}
	
	public void setSubTotal(java.lang.Double value) {
		this.subTotal = value;
	}
	
			
	public void deltaSubTotal(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, subTotal))) {
			subTotal_is_modified = true;
		}
	}
	
	private boolean subTotal_is_modified = false;
	
	public boolean testSubTotalModified() {
		return subTotal_is_modified;
	}
		
		
	private com.ibm.rpm.wbs.containers.TaskAssignment taskAssignment; 	
	public com.ibm.rpm.wbs.containers.TaskAssignment  getTaskAssignment() {
		return this.taskAssignment;
	}
	
	public void setTaskAssignment(com.ibm.rpm.wbs.containers.TaskAssignment value) {
		this.taskAssignment = value;
	}
	
			
	public void deltaTaskAssignment(com.ibm.rpm.wbs.containers.TaskAssignment oldValue) {
		if (!(CompareUtil.equals(oldValue, taskAssignment))) {
			taskAssignment_is_modified = true;
		}
	}
	
	private boolean taskAssignment_is_modified = false;
	
	public boolean testTaskAssignmentModified() {
		return taskAssignment_is_modified;
	}
		
		
	private java.lang.Double tax1; 	
	public java.lang.Double  getTax1() {
		return this.tax1;
	}
	
	public void setTax1(java.lang.Double value) {
		this.tax1 = value;
	}
	
			
	public void deltaTax1(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, tax1))) {
			tax1_is_modified = true;
		}
	}
	
	private boolean tax1_is_modified = false;
	
	public boolean testTax1Modified() {
		return tax1_is_modified;
	}
		
		
	private java.lang.Double tax2; 	
	public java.lang.Double  getTax2() {
		return this.tax2;
	}
	
	public void setTax2(java.lang.Double value) {
		this.tax2 = value;
	}
	
			
	public void deltaTax2(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, tax2))) {
			tax2_is_modified = true;
		}
	}
	
	private boolean tax2_is_modified = false;
	
	public boolean testTax2Modified() {
		return tax2_is_modified;
	}
		
		
	private java.lang.Double Total; 	
	public java.lang.Double  getTotal() {
		return this.Total;
	}
	
	public void setTotal(java.lang.Double value) {
		this.Total = value;
	}
	
			
	public void deltaTotal(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, Total))) {
			Total_is_modified = true;
		}
	}
	
	private boolean Total_is_modified = false;
	
	public boolean testTotalModified() {
		return Total_is_modified;
	}
		
		
	private java.lang.String trackingNumber; 	
	public java.lang.String  getTrackingNumber() {
		return this.trackingNumber;
	}
	
	public void setTrackingNumber(java.lang.String value) {
		this.trackingNumber = value;
	}
	
			
	public void deltaTrackingNumber(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, trackingNumber))) {
			trackingNumber_is_modified = true;
		}
	}
	
	private boolean trackingNumber_is_modified = false;
	
	public boolean testTrackingNumberModified() {
		return trackingNumber_is_modified;
	}
		
		
	private java.lang.String vendor; 	
	public java.lang.String  getVendor() {
		return this.vendor;
	}
	
	public void setVendor(java.lang.String value) {
		this.vendor = value;
	}
	
			
	public void deltaVendor(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, vendor))) {
			vendor_is_modified = true;
		}
	}
	
	private boolean vendor_is_modified = false;
	
	public boolean testVendorModified() {
		return vendor_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        conversionRate_is_modified = false;      
                                
        convertedTotal_is_modified = false;      
                                
        currency_is_modified = false;      
                                
        date_is_modified = false;      
                                                
        invoiceNumber_is_modified = false;      
                                
        invoiceStatus_is_modified = false;      
                                
        location_is_modified = false;      
                                
        note_is_modified = false;      
                                
        paymentType_is_modified = false;      
                                
        subTotal_is_modified = false;      
                                
        taskAssignment_is_modified = false;      
                                
        tax1_is_modified = false;      
                                
        tax2_is_modified = false;      
                                
        Total_is_modified = false;      
                                
        trackingNumber_is_modified = false;      
                                
        vendor_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (conversionRate != null) {
     		conversionRate_is_modified = true;
     	}
     	     	     	     	
     	if (convertedTotal != null) {
     		convertedTotal_is_modified = true;
     	}
     	     	     	     	
     	if (currency != null) {
     		currency_is_modified = true;
     	}
     	     	     	     	
     	if (date != null) {
     		date_is_modified = true;
     	}
     	     	     	     	     	     	
     	if (invoiceNumber != null) {
     		invoiceNumber_is_modified = true;
     	}
     	     	     	     	
     	if (invoiceStatus != null) {
     		invoiceStatus_is_modified = true;
     	}
     	     	     	     	
     	if (location != null) {
     		location_is_modified = true;
     	}
     	     	     	     	
     	if (note != null) {
     		note_is_modified = true;
     	}
     	     	     	     	
     	if (paymentType != null) {
     		paymentType_is_modified = true;
     	}
     	     	     	     	
     	if (subTotal != null) {
     		subTotal_is_modified = true;
     	}
     	     	     	     	
     	if (taskAssignment != null) {
     		taskAssignment_is_modified = true;
     	}
     	     	     	     	
     	if (tax1 != null) {
     		tax1_is_modified = true;
     	}
     	     	     	     	
     	if (tax2 != null) {
     		tax2_is_modified = true;
     	}
     	     	     	     	
     	if (Total != null) {
     		Total_is_modified = true;
     	}
     	     	     	     	
     	if (trackingNumber != null) {
     		trackingNumber_is_modified = true;
     	}
     	     	     	     	
     	if (vendor != null) {
     		vendor_is_modified = true;
     	}
     	     	     	
     }
     
     
}