package com.ibm.rpm.framework.security.controller.impl;

public class DeletionOperationMappingEntry extends OperationMappingEntry
{

    public DeletionOperationMappingEntry(Class container)
    {
        super("delete", container);
    }

    /**
     * Returns a string describing the action on the container.
     */
    protected String getErrorMessage()
    {
        if (errorMessage == null)
        {
            errorMessage = name + " {0}"; // {0} will be replaced with container type
        }
        return errorMessage;
    }

}
