package com.ibm.rpm.framework.security.controller.impl.resource;

import java.util.Map;

import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;
import com.ibm.rpm.security.containers.DeliverableSecurityRole;

class ResourceBasedDeliverableSecurityRoleSecurityController extends
        ResourceBasedAbstractDeliverableSecurityRoleSecurityController
{

    public Class getContainerClass()
    {
        return DeliverableSecurityRole.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        super.generateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("type", getContainerClass());
        fieldInfo.canWriteSecurityFlags = writeSecurityFlags;
        mappingEntryMap.put(fieldInfo.name, fieldInfo);

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewScheduledEffortVariance",
            getContainerClass());
        fieldInfo.canWriteSecurityFlags = writeSecurityFlags;
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
