package com.ibm.rpm.framework.security.controller.impl.resource;

import java.util.Map;

import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;
import com.ibm.rpm.scopemanagement.containers.Requirement;

class ResourceBasedRequirementSecurityController extends
        ResourceBasedAbstractScopeSecurityController
{

    public Class getContainerClass()
    {
        return Requirement.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        super.generateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("approvedCostBenefits",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
