package com.ibm.rpm.framework.security.controller.impl.resource;

import java.util.Map;

import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;
import com.ibm.rpm.security.containers.RequirementSecurityRole;

class ResourceBasedRequirementSecurityRoleSecurityController extends
        ResourceBasedAbstractScopeSecurityRoleSecurityController
{

    public Class getContainerClass()
    {
        return RequirementSecurityRole.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        super.generateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("type", getContainerClass());
        fieldInfo.canWriteSecurityFlags = writeSecurityFlags;
        mappingEntryMap.put(fieldInfo.name, fieldInfo);

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditRequirementRTFs",
            getContainerClass());
        fieldInfo.canWriteSecurityFlags = writeSecurityFlags;
        mappingEntryMap.put(fieldInfo.name, fieldInfo);

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewRequirementRTFs",
            getContainerClass());
        fieldInfo.canWriteSecurityFlags = writeSecurityFlags;
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
