package com.ibm.rpm.framework.security.controller.impl.role;

import java.util.Map;

import com.ibm.rpm.financial.containers.GenericChargeCode;
import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;

class RoleBasedGenericChargeCodeSecurityController extends
        RoleBasedContainerSecurityController
{

    public Class getContainerClass()
    {
        return GenericChargeCode.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("externalID", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("description",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("name", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
