package com.ibm.rpm.framework.util;

import java.lang.reflect.Method;

/**
 * @author gmeloche
 *
 */
public class FieldInfo
{
    private final String fieldName;
    private  Method fieldGetter = null;
    private Method scopeGetter = null;
    private boolean composite = false;
    private boolean alwaysInScope = false;
    
    public FieldInfo(String fieldName)
    {
        this.fieldName = fieldName;
    }
       
    /**
     * @return Returns the fieldGetter.
     */
    public Method getFieldGetter()
    {
        return fieldGetter;
    }
    /**
     * @param fieldGetter The fieldGetter to set.
     */
    public void setFieldGetter(Method fieldGetter)
    {
        this.fieldGetter = fieldGetter;
    }
    /**
     * @return Returns the reference.
     */
    public boolean isComposite()
    {
        return composite;
    }
    /**
     * @param reference The reference to set.
     */
    public void setComposite(boolean reference)
    {
        this.composite = reference;
    }
    /**
     * @return Returns the scopeGetter.
     */
    public Method getScopeGetter()
    {
        return scopeGetter;
    }
    /**
     * @param scopeGetter The scopeGetter to set.
     */
    public void setScopeGetter(Method scopeGetter)
    {
        this.scopeGetter = scopeGetter;
    }
    
    /**
     * @return Returns the alwaysInScope.
     */
    public boolean isAlwaysInScope()
    {
        return alwaysInScope;
    }
    /**
     * @param alwaysInScope The alwaysInScope to set.
     */
    public void setAlwaysInScope(boolean alwaysInScope)
    {
        this.alwaysInScope = alwaysInScope;
    }

    /**
     * Returns the fields name 
     * @return String The field name 
     */
    public final String getFieldName()
    {
        return fieldName;
    }
}
