/*
 * Created on Jun 27, 2005
 *
 */

package com.ibm.rpm.framework.util;

import java.util.HashMap;
import java.util.Map;

import com.ibm.rpm.framework.RPMException;

/**
 * @author Genevieve
 *  
 */
public class FieldValueMap
{

    private Map map = new HashMap();

    /**
     *  
     */
    public FieldValueMap()
    {
        super();
    }

    public void put(int objectIndex, int fieldIndex, Object value)
    {

        String key = getKey(objectIndex, fieldIndex);

        map.put(key.toString(), value);

    }

    public Object get(int objectIndex, int fieldIndex) throws RPMException
    {

        String key = getKey(objectIndex, fieldIndex);

        if (!map.containsKey(key))
        {
            throw new RPMException("Field number " + fieldIndex
                    + " was not loaded. Review method decodeRelatedFields().");
        }

        Object o = map.get(key.toString());

        return o;

    }

    private String getKey(int objectIndex, int fieldIndex)
    {

        StringBuffer key = new StringBuffer();
        key.append(objectIndex);
        key.append("_");
        key.append(fieldIndex);

        return key.toString();
    }

}
