package com.ibm.rpm.interfaces;

import com.ibm.rpm.framework.RPMException;

/**
 * @author eturcot
 */
public class AuthenticateLiteral
{
    private Authenticate authenticate;
    
    public AuthenticateLiteral() 
    {
        super();
        authenticate = new Authenticate();
    }
    public String login(String username, String password, String dsn)
            throws RPMException
    {
        return authenticate.login(username, password, dsn);
    }

    public void logout(String sessionID) throws RPMException
    {
        authenticate.logout(sessionID);
    }

    public void changePassword(String username, String oldPw, String newPw,
            String dsn) throws RPMException
    {
        authenticate.changePassword(username, oldPw, newPw, dsn);
    }
    
    public void assignWorkflowToSession(String sessionId, String workflowId)
            throws RPMException
    {
        authenticate.assignWorkflowToSession(sessionId, workflowId);
    }
}