package com.ibm.rpm.scorecard.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class AssignedScorecardState  extends com.ibm.rpm.framework.RPMObject {

			
		public static final int TYPE_ID = 222;
	
		
		
		
	public AssignedScorecardState() {
		assignTypeID(new Integer(TYPE_ID));
	}
	
		
			
	private java.lang.Boolean active; 	
	public java.lang.Boolean  getActive() {
		return this.active;
	}
	
	public void setActive(java.lang.Boolean value) {
		this.active = value;
	}
	
			
	public void deltaActive(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, active))) {
			active_is_modified = true;
		}
	}
	
	private boolean active_is_modified = false;
	
	public boolean testActiveModified() {
		return active_is_modified;
	}
		
		
	private java.lang.Boolean published; 	
	public java.lang.Boolean  getPublished() {
		return this.published;
	}
	
	public void setPublished(java.lang.Boolean value) {
		this.published = value;
	}
	
			
	public void deltaPublished(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, published))) {
			published_is_modified = true;
		}
	}
	
	private boolean published_is_modified = false;
	
	public boolean testPublishedModified() {
		return published_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        active_is_modified = false;      
                                
        published_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (active != null) {
     		active_is_modified = true;
     	}
     	     	     	     	
     	if (published != null) {
     		published_is_modified = true;
     	}
     	     	     	
     }
     
     
}