package com.ibm.rpm.security.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class ServiceRequestSecurityRole  extends com.ibm.rpm.security.containers.AbstractScopeSecurityRole {

			
		
		
			
	private java.lang.Boolean[] canEditServiceRequestRTFs; 	
	public java.lang.Boolean[]  getCanEditServiceRequestRTFs() {
		return this.canEditServiceRequestRTFs;
	}
	
	public void setCanEditServiceRequestRTFs(java.lang.Boolean[] value) {
		this.canEditServiceRequestRTFs = value;
	}
	
			
	public void deltaCanEditServiceRequestRTFs(java.lang.Boolean[] oldValue) {
		if (!(CompareUtil.equals(oldValue, canEditServiceRequestRTFs))) {
			canEditServiceRequestRTFs_is_modified = true;
		}
	}
	
	private boolean canEditServiceRequestRTFs_is_modified = false;
	
	public boolean testCanEditServiceRequestRTFsModified() {
		return canEditServiceRequestRTFs_is_modified;
	}
		
		
	private java.lang.Boolean[] canViewServiceRequestRTFs; 	
	public java.lang.Boolean[]  getCanViewServiceRequestRTFs() {
		return this.canViewServiceRequestRTFs;
	}
	
	public void setCanViewServiceRequestRTFs(java.lang.Boolean[] value) {
		this.canViewServiceRequestRTFs = value;
	}
	
			
	public void deltaCanViewServiceRequestRTFs(java.lang.Boolean[] oldValue) {
		if (!(CompareUtil.equals(oldValue, canViewServiceRequestRTFs))) {
			canViewServiceRequestRTFs_is_modified = true;
		}
	}
	
	private boolean canViewServiceRequestRTFs_is_modified = false;
	
	public boolean testCanViewServiceRequestRTFsModified() {
		return canViewServiceRequestRTFs_is_modified;
	}
		
		
	private java.lang.Boolean canEditOccurredDateTime; 	
	public java.lang.Boolean  getCanEditOccurredDateTime() {
		return this.canEditOccurredDateTime;
	}
	
	public void setCanEditOccurredDateTime(java.lang.Boolean value) {
		this.canEditOccurredDateTime = value;
	}
	
			
	public void deltaCanEditOccurredDateTime(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, canEditOccurredDateTime))) {
			canEditOccurredDateTime_is_modified = true;
		}
	}
	
	private boolean canEditOccurredDateTime_is_modified = false;
	
	public boolean testCanEditOccurredDateTimeModified() {
		return canEditOccurredDateTime_is_modified;
	}
		
		
	private java.lang.Boolean canEditTimesReassigned; 	
	public java.lang.Boolean  getCanEditTimesReassigned() {
		return this.canEditTimesReassigned;
	}
	
	public void setCanEditTimesReassigned(java.lang.Boolean value) {
		this.canEditTimesReassigned = value;
	}
	
			
	public void deltaCanEditTimesReassigned(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, canEditTimesReassigned))) {
			canEditTimesReassigned_is_modified = true;
		}
	}
	
	private boolean canEditTimesReassigned_is_modified = false;
	
	public boolean testCanEditTimesReassignedModified() {
		return canEditTimesReassigned_is_modified;
	}
		
		
	private java.lang.Boolean canViewOccurredDateTime; 	
	public java.lang.Boolean  getCanViewOccurredDateTime() {
		return this.canViewOccurredDateTime;
	}
	
	public void setCanViewOccurredDateTime(java.lang.Boolean value) {
		this.canViewOccurredDateTime = value;
	}
	
			
	public void deltaCanViewOccurredDateTime(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, canViewOccurredDateTime))) {
			canViewOccurredDateTime_is_modified = true;
		}
	}
	
	private boolean canViewOccurredDateTime_is_modified = false;
	
	public boolean testCanViewOccurredDateTimeModified() {
		return canViewOccurredDateTime_is_modified;
	}
		
		
	private java.lang.Boolean canViewTimesReassigned; 	
	public java.lang.Boolean  getCanViewTimesReassigned() {
		return this.canViewTimesReassigned;
	}
	
	public void setCanViewTimesReassigned(java.lang.Boolean value) {
		this.canViewTimesReassigned = value;
	}
	
			
	public void deltaCanViewTimesReassigned(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, canViewTimesReassigned))) {
			canViewTimesReassigned_is_modified = true;
		}
	}
	
	private boolean canViewTimesReassigned_is_modified = false;
	
	public boolean testCanViewTimesReassignedModified() {
		return canViewTimesReassigned_is_modified;
	}
		
		
	private com.ibm.rpm.security.types.ServiceRequestSecurityRoleType type; 	
	public com.ibm.rpm.security.types.ServiceRequestSecurityRoleType  getType() {
		return this.type;
	}
	
	public void setType(com.ibm.rpm.security.types.ServiceRequestSecurityRoleType value) {
		this.type = value;
	}
	
			
	public void deltaType(com.ibm.rpm.security.types.ServiceRequestSecurityRoleType oldValue) {
		if (!(CompareUtil.equals(oldValue, type))) {
			type_is_modified = true;
		}
	}
	
	private boolean type_is_modified = false;
	
	public boolean testTypeModified() {
		return type_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        canEditServiceRequestRTFs_is_modified = false;      
                                
        canViewServiceRequestRTFs_is_modified = false;      
                                
        canEditOccurredDateTime_is_modified = false;      
                                
        canEditTimesReassigned_is_modified = false;      
                                
        canViewOccurredDateTime_is_modified = false;      
                                
        canViewTimesReassigned_is_modified = false;      
                                
        type_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (canEditServiceRequestRTFs != null) {
     		canEditServiceRequestRTFs_is_modified = true;
     	}
     	     	     	     	
     	if (canViewServiceRequestRTFs != null) {
     		canViewServiceRequestRTFs_is_modified = true;
     	}
     	     	     	     	
     	if (canEditOccurredDateTime != null) {
     		canEditOccurredDateTime_is_modified = true;
     	}
     	     	     	     	
     	if (canEditTimesReassigned != null) {
     		canEditTimesReassigned_is_modified = true;
     	}
     	     	     	     	
     	if (canViewOccurredDateTime != null) {
     		canViewOccurredDateTime_is_modified = true;
     	}
     	     	     	     	
     	if (canViewTimesReassigned != null) {
     		canViewTimesReassigned_is_modified = true;
     	}
     	     	     	     	
     	if (type != null) {
     		type_is_modified = true;
     	}
     	     	     	
     }
     
     
}