package com.ibm.rpm.security.managers;


public interface SecurityMask {
	  //CLEARANCE LEVEL
	public final static int MASK_BIT0 = 0x00000001;  //	1
	public final static int MASK_BIT1 = 0x00000002;  //	2
	public final static int MASK_BIT2 = 0x00000004;  //	4
	public final static int MASK_BIT3 = 0x00000008;  //	8
	public final static int MASK_BIT4 = 0x00000010;  //	16
	public final static int MASK_BIT5 = 0x00000020;  //	32
	public final static int MASK_BIT6 = 0x00000040;  //	64
	public final static int MASK_BIT7 = 0x00000080;  //	128
	public final static int MASK_BIT8 = 0x00000100;  //	256
	public final static int MASK_BIT9 = 0x00000200;  //	512
	public final static int MASK_BIT10 = 0x00000400; //	1024
	public final static int MASK_BIT11 = 0x00000800; //	2048
	public final static int MASK_BIT12 = 0x00001000; //	4096
	public final static int MASK_BIT13 = 0x00002000; //	8192
	public final static int MASK_BIT14 = 0x00004000; //	16384
	public final static int MASK_BIT15 = 0x00008000; //	32768
	public final static int MASK_BIT16 = 0x00010000; //	65536
	public final static int MASK_BIT17 = 0x00020000; //	131072
	public final static int MASK_BIT18 = 0x00040000; //	262144
	public final static int MASK_BIT19 = 0x00080000; //	524288
	public final static int MASK_BIT20 = 0x00100000; //	1048576
	public final static int MASK_BIT21 = 0x00200000; //	2097152
	public final static int MASK_BIT22 = 0x00400000; //	4194304
	public final static int MASK_BIT23 = 0x00800000; //	8388608
	public final static int MASK_BIT24 = 0x01000000; //	16777216
	public final static int MASK_BIT25 = 0x02000000; //	33554432
	public final static int MASK_BIT26 = 0x04000000; //	67108864
	public final static int MASK_BIT27 = 0x08000000; //	134217728
	public final static int MASK_BIT28 = 0x10000000; //	268435456
	public final static int MASK_BIT29 = 0x20000000; //	536870912
	public final static int MASK_BIT30 = 0x40000000; //	1073741824
	public final static int MASK_BIT31 = 0x80000000; //	2147483648
    
	public final static int[] MASK_ARRAY = {
			MASK_BIT0, MASK_BIT1, MASK_BIT2, MASK_BIT3, MASK_BIT4, MASK_BIT5, MASK_BIT6, MASK_BIT7, 
			MASK_BIT8, MASK_BIT9, MASK_BIT10, MASK_BIT11, MASK_BIT12, MASK_BIT13, MASK_BIT14, MASK_BIT15, 
			MASK_BIT16, MASK_BIT17, MASK_BIT18, MASK_BIT19, MASK_BIT20, MASK_BIT21, MASK_BIT22, MASK_BIT23, 
			MASK_BIT24, MASK_BIT25, MASK_BIT26, MASK_BIT27, MASK_BIT28, MASK_BIT29, MASK_BIT30, MASK_BIT31
	};
    
    public final static int MASK_CAN_USE_WEB_SERVICES_API = MASK_BIT8;//CLEARANCE_LEVEL4
    
//  Masks for the security roles
    // This mask list is for information only. So they have been commented out.
    // Current setters and getters for Security Roles are using MASK_BITxx directly.
/*
    
	public final static String[] MASK_NAME_ARRAY = {
			"MASK_BIT0", "MASK_BIT1", "MASK_BIT2", "MASK_BIT3", "MASK_BIT4", "MASK_BIT5", "MASK_BIT6", "MASK_BIT7", 
			"MASK_BIT8", "MASK_BIT9", "MASK_BIT10", "MASK_BIT11", "MASK_BIT12", "MASK_BIT13", "MASK_BIT14", "MASK_BIT15", 
			"MASK_BIT16", "MASK_BIT17", "MASK_BIT18", "MASK_BIT19", "MASK_BIT20", "MASK_BIT21", "MASK_BIT22", "MASK_BIT23", 
			"MASK_BIT24", "MASK_BIT25", "MASK_BIT26", "MASK_BIT27", "MASK_BIT28", "MASK_BIT29", "MASK_BIT30", "MASK_BIT31"
	};
	//***RESOURCE SECURITY***
	//CLEARANCE_LEVEL_1
	public final static int MASK_CL_EDIT_PROJECT_SECURITY = MASK_BIT0;
	public final static int MASK_CL_RESADMIN_CREATE_PROJECTS = MASK_BIT1; 
	public final static int MASK_CL_RESADMIN_DELETE_PROJECTS = MASK_BIT2;
	public final static int MASK_CL_RESADMIN_CREATE_TEMPLATES = MASK_BIT3;
	public final static int MASK_CL_RESADMIN_PUBLISH_LOCAL_TEMPLATES = MASK_BIT4;
	public final static int MASK_CL_RESADMIN_PUBLISH_METHOD_TEMPLATES = MASK_BIT5;
	public final static int MASK_CL_RESADMIN_CREATE_RESOURCE_POOLS = MASK_BIT6;
	public final static int MASK_CL_RESADMIN_DELETE_RESOURCE_POOLS = MASK_BIT7;
	public final static int MASK_CL_RESADMIN_CREATE_RESOURCE = MASK_BIT8;
	public final static int MASK_CL_RESADMIN_DELETE_RESOURCE = MASK_BIT9;
	public final static int MASK_CL_RESADMIN_VIEW_RESOURCE_RECORDS = MASK_BIT10;
	public final static int MASK_CL_RESADMIN_APPROVE_TIMESHEETS = MASK_BIT11;
	public final static int MASK_CL_RESADMIN_ADMINISTER_FINSYS = MASK_BIT12;
	public final static int MASK_CL_RESADMIN_ADMINISTER_SYSADMIN = MASK_BIT13;
	public final static int MASK_SELF_VIEW_SCORECARD_PIVOT = MASK_BIT14;
	public final static int MASK_SELF_EDIT_NAME = MASK_BIT15;
	public final static int MASK_OTHER_VIEW_NAME = MASK_BIT16;
	public final static int MASK_OTHER_EDIT_NAME = MASK_BIT17;
	public final static int MASK_OTHER_VIEW_SCORECARD_PIVOT = MASK_BIT18;
	public final static int MASK_SELF_EDIT_LOGON = MASK_BIT19; 
	public final static int MASK_OTHER_VIEW_LOGON = MASK_BIT20; 
	public final static int MASK_OTHER_EDIT_LOGON = MASK_BIT21; 
	public final static int MASK_SELF_VIEW_COMP_INFO = MASK_BIT22; 
	public final static int MASK_SELF_EDIT_COMP_INFO = MASK_BIT23; 
	public final static int MASK_OTHER_VIEW_COMP_INFO = MASK_BIT24; 
	public final static int MASK_OTHER_EDIT_COMP_INFO = MASK_BIT25; 
	public final static int MASK_CREATE_PRJ_FROM_TEMPLATES = MASK_BIT26;
	public final static int MASK_SELF_EDIT_WORK_SPEC = MASK_BIT27;
	public final static int MASK_OTHER_VIEW_WORK_SPEC = MASK_BIT28; 
	public final static int MASK_OTHER_EDIT_WORK_SPEC = MASK_BIT29; 
	public final static int MASK_SET_REMOVE_MANDATORY_TASK = MASK_BIT30;

	//CLEARANCE_LEVEL2
	public final static int MASK_CL2_NOT_IN_USE_0 = MASK_BIT0;
	public final static int MASK_CL2_NOT_IN_USE_1 = MASK_BIT1;
	public final static int MASK_SELF_VIEW_EMP_SPEC = MASK_BIT2;
	public final static int MASK_SELF_EDIT_EMP_SPEC = MASK_BIT3; 
	public final static int MASK_OTHER_VIEW_EMP_SPEC = MASK_BIT4;
	public final static int MASK_OTHER_EDIT_EMP_SPEC = MASK_BIT5; 
	public final static int MASK_SELF_VIEW_RES_RATES = MASK_BIT6; 
	public final static int MASK_SELF_EDIT_RES_RATES = MASK_BIT7;
	public final static int MASK_OTHER_VIEW_RES_RATES = MASK_BIT8; 
	public final static int MASK_OTHER_EDIT_RES_RATES = MASK_BIT9; 
	public final static int MASK_SELF_VIEW_COMP_SKILL = MASK_BIT10; 
	public final static int MASK_SELF_EDIT_COMP_SKILL = MASK_BIT11; 
	public final static int MASK_OTHER_VIEW_COMP_SKILL = MASK_BIT12; 
	public final static int MASK_OTHER_EDIT_COMP_SKILL = MASK_BIT13; 
	public final static int MASK_SELF_VIEW_LOCATION = MASK_BIT14;
	public final static int MASK_SELF_EDIT_LOCATION = MASK_BIT15;
	public final static int MASK_OTHER_VIEW_LOCATION = MASK_BIT16; 
	public final static int MASK_OTHER_EDIT_LOCATION = MASK_BIT17; 
	public final static int MASK_SELF_VIEW_BACKGROUND = MASK_BIT18; 
	public final static int MASK_SELF_EDIT_BACKGROUND = MASK_BIT19;
	public final static int MASK_OTHER_VIEW_BACKGROUND = MASK_BIT20; 
	public final static int MASK_OTHER_EDIT_BACKGROUND = MASK_BIT21;
	public final static int MASK_SELF_VIEW_WKPKG_VIEW = MASK_BIT22;
	public final static int MASK_SELF_EDIT_WKPKG_VIEW = MASK_BIT23;
	public final static int MASK_OTHER_VIEW_WKPKG_VIEW = MASK_BIT24;
	public final static int MASK_OTHER_EDIT_WKPKG_VIEW = MASK_BIT25;
	public final static int MASK_SELF_VIEW_DOCUMENTS = MASK_BIT26;
	public final static int MASK_SELF_EDIT_DOCUMENTS = MASK_BIT27;
	public final static int MASK_OTHER_VIEW_DOCUMENTS = MASK_BIT28;
	public final static int MASK_OTHER_EDIT_DOCUMENTS = MASK_BIT29;
	public final static int MASK_SELF_VIEW_SECURITY = MASK_BIT30;

	//CLEARANCE_LEVEL3
	public final static int MASK_OTHER_VIEW_SECURITY = MASK_BIT0;
	public final static int MASK_OTHER_EDIT_SECURITY = MASK_BIT1;
	public final static int MASK_CL3_NOT_IN_USE_2 = MASK_BIT2;
	public final static int MASK_SELF_EDIT_SECURITY = MASK_BIT3;
	public final static int MASK_SYS_GENERAL = MASK_BIT4;
	public final static int MASK_SYS_CALENDARS = MASK_BIT5;
	public final static int MASK_SYS_GEOGRAPHY = MASK_BIT6;
	public final static int MASK_SYS_POOL = MASK_BIT7;
	public final static int MASK_SYS_EXPERT_GROUP = MASK_BIT8;
	public final static int MASK_SYS_WORKFLOW = MASK_BIT9;
	public final static int MASK_SYS_TIMECODE = MASK_BIT10;
	public final static int MASK_SYS_CHARGECODE = MASK_BIT11; 
	public final static int MASK_SYS_ATTRIBUTES = MASK_BIT12; 
	public final static int MASK_SYS_RESOURCE_ATTRIBUTES = MASK_BIT13; 
	public final static int MASK_SYS_SCORECARDS = MASK_BIT14; 
	public final static int MASK_SYS_DATAFIELDS = MASK_BIT15; 
	public final static int MASK_SYS_CURRENCY = MASK_BIT16; 
	public final static int MASK_SYS_SECURITY_WBS = MASK_BIT17; 
	public final static int MASK_SYS_SECURITY_REPORTING = MASK_BIT18; 
	public final static int MASK_SYS_SECURITY_DEFAULT_RESOURCE = MASK_BIT19; 
	public final static int MASK_SYS_ORGANIZATION = MASK_BIT20; 
	public final static int MASK_CL_RESADMIN_RENAME_TEMPLATES = MASK_BIT21;
	public final static int MASK_CL_RESADMIN_RENAME_POOL = MASK_BIT22; 
	public final static int MASK_CL_RESADMIN_RENAME_FULLNAME = MASK_BIT23; 
	public final static int MASK_SELF_VIEW_RES_CAL = MASK_BIT24; 
	public final static int MASK_SELF_EDIT_RES_CAL = MASK_BIT25; 
	public final static int MASK_SYS_ARCHIVED_PROJECTS = MASK_BIT26; 
	public final static int MASK_SELF_VIEW_EXECUTIVE_ATTR = MASK_BIT27; 
	public final static int MASK_OTHER_EDIT_RES_CAL = MASK_BIT28;
	public final static int MASK_OTHER_EDIT_PASSWORD = MASK_BIT29;
	public final static int MASK_OTHER_VIEW_RES_CAL = MASK_BIT30; 

	//CLEARANCE_LEVEL4
	public final static int MASK_SELF_EDIT_PASSWORD = MASK_BIT0;
	public final static int MASK_SELF_VIEW_COMP_RATES = MASK_BIT1;
	public final static int MASK_SELF_EDIT_COMP_RATES = MASK_BIT2; 
	public final static int MASK_OTHER_VIEW_COMP_RATES = MASK_BIT3; 
	public final static int MASK_OTHER_EDIT_COMP_RATES = MASK_BIT4;
	public final static int MASK_CREATE_CLIENT = MASK_BIT5;
	public final static int MASK_DELETE_CLIENT = MASK_BIT6;
	public final static int MASK_EDIT_CLIENT_NAME = MASK_BIT7;
//	public final static int MASK_CAN_USE_WEB_SERVICES_API = MASK_BIT8;
	public final static int MASK_SELF_VIEW_NICK_NAME = MASK_BIT9;
	public final static int MASK_SELF_EDIT_NICK_NAME = MASK_BIT10; 
	public final static int MASK_OTHER_VIEW_NICK_NAME = MASK_BIT11; 
	public final static int MASK_OTHER_EDIT_NICK_NAME = MASK_BIT12; 
	public final static int MASK_CL4_NOT_IN_USE_13 = MASK_BIT13; 
	public final static int MASK_CAN_SEE_WBS_VIEW = MASK_BIT14; 
	public final static int MASK_CAN_ACCESS_PJC = MASK_BIT15; //was MASK_CL4_NOT_IN_USE_15
	public final static int MASK_SELF_VIEW_DATES_ACTIVE = MASK_BIT16; 
	public final static int MASK_SELF_EDIT_DATES_ACTIVE = MASK_BIT17; 
	public final static int MASK_OTHER_VIEW_DATES_ACTIVE = MASK_BIT18;
	public final static int MASK_OTHER_EDIT_DATES_ACTIVE = MASK_BIT19;
	public final static int MASK_SELF_VIEW_PORTAL_URL = MASK_BIT20;
	public final static int MASK_SELF_EDIT_PORTAL_URL = MASK_BIT21;
	public final static int MASK_OTHER_VIEW_PORTAL_URL = MASK_BIT22; 
	public final static int MASK_OTHER_EDIT_PORTAL_URL = MASK_BIT23;
	public final static int MASK_SYS_FINANCIALS = MASK_BIT24; 
	public final static int MASK_CREATE_PROJECTS_FROM_DEFAULTS = MASK_BIT25;
	public final static int MASK_CAN_SEE_PERSONAL_PROJECT = MASK_BIT26; 
	public final static int MASK_SELF_EDIT_EXECUTIVE_ATTR = MASK_BIT27;
	public final static int MASK_SYS_MODIFY_ALERT_MSG = MASK_BIT28; 
	public final static int MASK_OTHER_VIEW_EXECUTIVE_ATTR = MASK_BIT29;
	public final static int MASK_OTHER_EDIT_EXECUTIVE_ATTR = MASK_BIT30; 
	
	//CLEARANCE_LEVEL_5
	public final static int MASK_OTHER_VIEW_EXEC_SEC_LEVEL = MASK_BIT0;
	public final static int MASK_OTHER_EDIT_EXEC_SEC_LEVEL = MASK_BIT1;
	public final static int MASK_ACCESS_ASSET_VIEW = MASK_BIT2;
	public final static int MASK_CREATE_DELETE_SELF_ASSET = MASK_BIT3;
	public final static int MASK_DELETE_OTHER_ASSET = MASK_BIT4;
	public final static int MASK_CAN_VIEW_PORTFOLIO = MASK_BIT5; 
	public final static int MASK_CL_RESADMIN_CRI_TEMPLATES = MASK_BIT6; 
	public final static int MASK_CAN_VIEW_CRI_TEMP = MASK_BIT7; 
	public final static int MASK_CL_RESADMIN_DOC_TEMPLATES = MASK_BIT8; 
	public final static int MASK_VIEW_ASSET_PORTFOLIO = MASK_BIT9; 
	public final static int MASK_CAN_VIEW_DOC_TEMP = MASK_BIT10; 
	public final static int MASK_CAN_DESIGN_REPORT = MASK_BIT11; 
	public final static int MASK_VIEW_EXCEPTIONS = MASK_BIT12; 
	public final static int MASK_VIEW_TIMESHEETS = MASK_BIT13; 
	public final static int MASK_VIEW_EXPENSES = MASK_BIT14;
	public final static int MASK_VIEW_PERS_CALENDAR = MASK_BIT15; 
	public final static int MASK_VIEW_WORKFLOWS = MASK_BIT16; 
	public final static int MASK_VIEW_MY_PORTAL = MASK_BIT17; 
	public final static int MASK_VIEW_DOCUMENTS = MASK_BIT18;
	public final static int MASK_CAN_CONVERT_PROJ_ORG_SEC = MASK_BIT19;
	public final static int MASK_VIEW_WHAT_IF_SEC = MASK_BIT20;
	public final static int MASK_ADOPT_WHAT_IF_SEC = MASK_BIT21; 
	public final static int MASK_CREATE_CONTRACT = MASK_BIT22;
	public final static int MASK_DELETE_CONTRACT = MASK_BIT23; 
	public final static int MASK_EDIT_CONTRACT_NAME = MASK_BIT24; 
	public final static int MASK_EDIT_EXTERNAL_ID = MASK_BIT25; 
	public final static int MASK_CL5_NOT_IN_USE_26 = MASK_BIT26;
	public final static int MASK_CL5_NOT_IN_USE_27 = MASK_BIT27;
	public final static int MASK_CL5_NOT_IN_USE_28 = MASK_BIT28;
	public final static int MASK_CL5_NOT_IN_USE_29 = MASK_BIT29;
	public final static int MASK_CL5_NOT_IN_USE_30 = MASK_BIT30;

	//CLEARANCE_LEVEL_6
	public final static int MASK_ViewPersonalRecordCustomFieldsGroup1 = MASK_BIT0;
	public final static int MASK_EditPersonalRecordCustomFieldsGroup1 = MASK_BIT1;
	public final static int MASK_ViewPersonalRecordCustomFieldsGroup2 = MASK_BIT2;
	public final static int MASK_EditPersonalRecordCustomFieldsGroup2 = MASK_BIT3;
	public final static int MASK_ViewPersonalRecordCustomFieldsGroup3 = MASK_BIT4;
	public final static int MASK_EditPersonalRecordCustomFieldsGroup3 = MASK_BIT5;
	public final static int MASK_ViewPersonalRecordCustomFieldsGroup4 = MASK_BIT6;
	public final static int MASK_EditPersonalRecordCustomFieldsGroup4 = MASK_BIT7;
	public final static int MASK_ViewPersonalRecordCustomFieldsGroup5 = MASK_BIT8;
	public final static int MASK_EditPersonalRecordCustomFieldsGroup5 = MASK_BIT9;
	public final static int MASK_ViewPersonalRecordCustomFieldsGroup6 = MASK_BIT10;
	public final static int MASK_EditPersonalRecordCustomFieldsGroup6 = MASK_BIT11;
	public final static int MASK_ViewPersonalRecordCustomFieldsGroup7 = MASK_BIT12;
	public final static int MASK_EditPersonalRecordCustomFieldsGroup7 = MASK_BIT13;
	public final static int MASK_ViewPersonalRecordCustomFieldsGroup8 = MASK_BIT14;
	public final static int MASK_EditPersonalRecordCustomFieldsGroup8 = MASK_BIT15;
	public final static int MASK_ViewPersonalRecordCustomFieldsGroup9 = MASK_BIT16;
	public final static int MASK_EditPersonalRecordCustomFieldsGroup9 = MASK_BIT17;
	public final static int MASK_ViewPersonalRecordCustomFieldsGroup10 = MASK_BIT18;
	public final static int MASK_EditPersonalRecordCustomFieldsGroup10 = MASK_BIT19;
	
	//CLEARANCE_LEVEL_7
	public final static int MASK_ViewOtherResourcesRecordCustomFieldsGroup1 = MASK_BIT0;
	public final static int MASK_EditOtherResourcesRecordCustomFieldsGroup1 = MASK_BIT1;
	public final static int MASK_ViewOtherResourcesRecordCustomFieldsGroup2 = MASK_BIT2;
	public final static int MASK_EditOtherResourcesRecordCustomFieldsGroup2 = MASK_BIT3;
	public final static int MASK_ViewOtherResourcesRecordCustomFieldsGroup3 = MASK_BIT4;
	public final static int MASK_EditOtherResourcesRecordCustomFieldsGroup3 = MASK_BIT5;
	public final static int MASK_ViewOtherResourcesRecordCustomFieldsGroup4 = MASK_BIT6;
	public final static int MASK_EditOtherResourcesRecordCustomFieldsGroup4 = MASK_BIT7;
	public final static int MASK_ViewOtherResourcesRecordCustomFieldsGroup5 = MASK_BIT8;
	public final static int MASK_EditOtherResourcesRecordCustomFieldsGroup5 = MASK_BIT9;
	public final static int MASK_ViewOtherResourcesRecordCustomFieldsGroup6 = MASK_BIT10;
	public final static int MASK_EditOtherResourcesRecordCustomFieldsGroup6 = MASK_BIT11;
	public final static int MASK_ViewOtherResourcesRecordCustomFieldsGroup7 = MASK_BIT12;
	public final static int MASK_EditOtherResourcesRecordCustomFieldsGroup7 = MASK_BIT13;
	public final static int MASK_ViewOtherResourcesRecordCustomFieldsGroup8 = MASK_BIT14;
	public final static int MASK_EditOtherResourcesRecordCustomFieldsGroup8 = MASK_BIT15;
	public final static int MASK_ViewOtherResourcesRecordCustomFieldsGroup9 = MASK_BIT16;
	public final static int MASK_EditOtherResourcesRecordCustomFieldsGroup9 = MASK_BIT17;
	public final static int MASK_ViewOtherResourcesRecordCustomFieldsGroup10 = MASK_BIT18;
	public final static int MASK_EditOtherResourcesRecordCustomFieldsGroup10 = MASK_BIT19;
	
	////////// 
    public final static int  MASK_SOB1_PRJ_ASSIGNMENT_TYPE_VIEW_SEC	= MASK_BIT0;	// /Project Element/Identification/Assignment Type/View
	public final static int  MASK_SOB1_PRJ_CALENDAR_VIEW_SEC	 	= MASK_BIT1;	// /Project Element/Can view Project Calendar
	public final static int  MASK_SOB1_PRJ_CURRENCY_VIEW_SEC	 	= MASK_BIT2;	// /Project Element/Identification/Currency/View
	public final static int  MASK_SOB1_CRI_SET_AS_CANCEL_DEF_SEC	= MASK_BIT3;	// 
	public final static int  MASK_SOB1_PRJ_CONFIGURATION_VIEW_SEC	= MASK_BIT4;	// /Project Element/Configuration/View
	public final static int  MASK_SOB1_PRJ_VIEW_PURSUIT_SEC	 		= MASK_BIT5;	// /Project Element/Pursuit/View
	public final static int  MASK_SOB1_PRJ_VIEW_URL_SETTING_SEC	 	= MASK_BIT6;	// /Project Element/Settings/URLs/View
	public final static int  MASK_SOB1_CAN_VIEW_BUDGET_SETTINGS_SEC	= MASK_BIT7;	// /Project Element/Settings/Financial Totals Setting Configuration/View
	public final static int  MASK_SOB1_VIEW_USE_PRJ_ASSIGN_EST_SEC	= MASK_BIT8;	// /Project Element/Settings/Include Project-level Assignments in Financials/View
	public final static int  MASK_SOB1_CAN_VIEW_STATE_NOTIFICATION_SEC	 = MASK_BIT9;	// /Project Element/State Notification/View
	public final static int  MASK_SOB1_CAN_VIEW_TIME_CODES_SEC	 	= MASK_BIT10;	// /Project Element/Time Codes/View
	public final static int  MASK_SOB1_CAN_VIEW_DEFAULT_SCORECARD_SEC	 = MASK_BIT11;	// /Project Element/Default Scorecards/View
	public final static int  MASK_SOB1_CRI_CAN_VIEW_EXTERNAL_NUM_SEC	 = MASK_BIT12;	// 
	public final static int  MASK_SOB1_CRI_CAN_VIEW_CLIENT_NAME_SEC	 = MASK_BIT13;	// 
	public final static int  MASK_SOB1_CRI_CAN_VIEW_DUPLICATE_NUM_SEC	 = MASK_BIT14;	// 
	public final static int  MASK_SOB1_CRI_CAN_VIEW_TARGET_DATE_SEC	 = MASK_BIT15;	// 
	public final static int  MASK_SOB1_CRI_CAN_VIEW_PROPOSED_BY_SEC	 = MASK_BIT16;	// 
	public final static int  MASK_SOB1_CRI_CAN_VIEW_CLOSED_BY_SEC	 = MASK_BIT17;	// 
	public final static int  MASK_SOB1_CRI_CAN_VIEW_APPROVED_BY_SEC	 = MASK_BIT18;	// 
	public final static int  MASK_SOB1_CRI_CAN_VIEW_APPROVED_COST_SEC	 = MASK_BIT19;	// 
	public final static int  MASK_SOB1_CRI_CAN_VEIW_RISK_MATRIX_SEC	 = MASK_BIT20;	// 
	public final static int  MASK_SOB1_PRJ_CREATE_CALENDAR_EXCEPTIONS_SEC	 = MASK_BIT21;	// /Project Element/Can Create Calendar Exceptions
	public final static int  MASK_SOB1_CRI_CAN_VIEW_DUPLICATES_SEC	 = MASK_BIT22;	// 
	public final static int  MASK_SOB1_CRI_VIEW_QUANT_IMPACT_SEC	 = MASK_BIT23;	// 
	public final static int  MASK_SOB1_CAN_MOVE_PROJECTS_SEC	 = MASK_BIT24;	// /Project Element/Can move Projects
	public final static int  MASK_SOB1_CRI_CAN_VIEW_MITIGATION_FACTOR_SEC	 = MASK_BIT25;	// 
	public final static int  MASK_SOB1_DOC_VIEW_VISIBLE_AT_PRJ_SEC	 = MASK_BIT26;	// 
	public final static int  MASK_SOB1_DOC_VIEW_KEYWORD_SEC	 = MASK_BIT27;	// 
	public final static int  MASK_SOB1_DOC_VIEW_DOC_SUMMARY_SEC	 = MASK_BIT28;	// 
	public final static int  MASK_SOB1_NOTE_MIN_VIEW_DESCRIPTION_SEC	 = MASK_BIT29;	// 
	public final static int  MASK_SOB1_CRI_CAN_VIEW_OCCURRED_DATE_SEC	 = MASK_BIT30;	// 
	public final static int  MASK_SOB2_CRI_CAN_VIEW_REASSIGNED_NUM	 = MASK_BIT0;	// 
	public final static int  MASK_SOB2_VIEW_TIME_PHASING_SEC	 = MASK_BIT1;	// /Budget/Cost/Revenue/Financials/Time Phasing/View
	public final static int  MASK_SOB2_PORTFOLIO_CAN_VIEW_BUBBLE_SEC	 = MASK_BIT2;	// /Portfolio Viewer/View Bubble
	public final static int  MASK_SOB2_DISCOUNT_RATE_VIEW_SEC	 = MASK_BIT3;	// /Project Element/Discount Rate/View
	public final static int  MASK_SOB2_PRJ_VIEW_URLS_SEC	 = MASK_BIT4;	// /Project Element/URLs/View
	public final static int  MASK_SOB2_PORTFOLIO_CAN_VIEW_SCORECARD_SEC	 = MASK_BIT5;	// /Portfolio Viewer/View Scorecards
	public final static int  MASK_SOB2_PORTFOLIO_CAN_VIEW_PIVOT_SEC	 = MASK_BIT6;	// 
	public final static int  MASK_SOB2_NonSecureData	 = MASK_BIT7;	// 
	public final static int  MASK_SOB2_CAN_VIEW_WBS_SCHEDULE_INFO_SEC	 = MASK_BIT8;	// /WBS Hierarchy/Can view WBS Schedule information
	public final static int  MASK_SOB2_CAN_VIEW_DOC_PROPERTIES_SEC	 = MASK_BIT9;	// 
	public final static int  MASK_SOB2_CAN_VIEW_CALC_LEVEL_RESULTS_SEC	 = MASK_BIT10;	// /Project Element/Can view Caculated/Leveled results
	public final static int  MASK_SOB2_CAN_VIEW_FINANCIAL_SYSTEM_SEC	 = MASK_BIT11;	// /WBS Hierarchy/Can view Financial System Status
	public final static int  MASK_SOB2_PORTFOLIO_CAN_VIEW_REPORTS_SEC	 = MASK_BIT12;	// /Portfolio Viewer/View Reports
	public final static int  MASK_SOB2_RANK_VIEW_SEC	 = MASK_BIT13;	// /Project Element/Identification/Rank/View
	public final static int  MASK_SOB2_PRJ_CAN_VIEW_CHANGE_BACK_FORM_SEC	 = MASK_BIT14;	// /Project Element/Settings/Cross Charge Formula/View
	public final static int  MASK_SOB2_PRJ_CAN_VIEW_DO_EV_CALC_SEC	 = MASK_BIT15;	// /Project Element/Settings/Do EV Calculation/View
	public final static int  MASK_SOB2_NOTE_MIN_VIEW_VISIBLE_AT_PRJ_SEC	 = MASK_BIT16;	// 
	public final static int  MASK_SOB2_PRJ_CAN_VIEW_ROLLUP_SETTINGS	 = MASK_BIT17;	// /Project Element/Settings/Aggregate sub-element Worksheet estimates to element/View
	public final static int  MASK_SOB2_PRJ_VIEW_TIMESHEET_APPROVAL_SEC	 = MASK_BIT18;	// /Project Element/Timesheet Approval/View
	public final static int  MASK_SOB2_CAN_LOCK_UNLOCK	 = MASK_BIT19;	// 
	public final static int  MASK_SOB2_PRJ_CAN_VIEW_DESCRIPTION_SEC	 = MASK_BIT20;	// /Project Element/Can view Project Description
	public final static int  MASK_SOB2_CAN_VIEW_ALL_DELETED_DOCS	 = MASK_BIT21;	// /WBS Hierarchy/Documents/Can View All Deleted
	public final static int  MASK_SOB2_PRJ_CAN_COPY_CALC_RES_WITH_DATE_VIOLATION	 = MASK_BIT22;	// /Project Element/Can Copy Calculated Results with Resource Affected Dates Violation
	public final static int  MASK_SOB2_CAN_DELETE_PUBLIC_CRI_SEC	 = MASK_BIT23;	// /WBS Hierarchy/Scope Elements/Can Delete Public Scope Elements
	public final static int  MASK_SOB2_CAN_MARK_ELEMENTS_SEC	 = MASK_BIT24;	// /Project Element/Can Mark WBS/Scope Elements
	public final static int  MASK_SOB2_NOT_IN_USE_1	 = MASK_BIT25;	// 
	public final static int  MASK_SOB2_NOT_IN_USE_2	 = MASK_BIT26;	// 
	public final static int  MASK_SOB2_NOT_IN_USE_3	 = MASK_BIT27;	// 
	public final static int  MASK_SOB2_NOT_IN_USE_4	 = MASK_BIT28;	// 
	public final static int  MASK_SOB2_NOT_IN_USE_5	 = MASK_BIT29;	// 
	public final static int  MASK_SOB2_NOT_IN_USE_6	 = MASK_BIT30;	// 
	public final static int  MASK_SOB3_PRJ_ASSIGNMENT_TYPE_EDIT_SEC	 = MASK_BIT0;	// /Project Element/Identification/Assignment Type/Edit
	public final static int  MASK_SOB3_PRJ_CAN_EDIT_ROLLUP_SETTINGS	 = MASK_BIT1;	// /Project Element/Settings/Aggregate sub-element Worksheet estimates to element/Edit
	public final static int  MASK_SOB3_PRJ_CAN_DECOMMISSION	 = MASK_BIT2;	// /Project Element/Project Decommission
	public final static int  MASK_SOB3_CRI_CAN_PUBLISH_TO_TEMP_SEC	 = MASK_BIT3;	// /WBS Hierarchy/Scope Elements/Can Publish Scope Elements to Template
	public final static int  MASK_SOB3_PRJ_CONFIGURATION_EDIT_SEC	 = MASK_BIT4;	// /Project Element/Configuration/Edit
	public final static int  MASK_SOB3_PRJ_EDIT_PURSUIT_SEC	 = MASK_BIT5;	// /Project Element/Pursuit/Edit
	public final static int  MASK_SOB3_PRJ_EDIT_URL_SETTING_SEC	 = MASK_BIT6;	// /Project Element/Settings/URLs/Edit
	public final static int  MASK_SOB3_CAN_EDIT_BUDGET_SETTINGS_SEC	 = MASK_BIT7;	// /Project Element/Settings/Financial Totals Setting Configuration/Edit
	public final static int  MASK_SOB3_EDIT_USE_PRJ_ASSIGN_EST_SEC	 = MASK_BIT8;	// /Project Element/Settings/Include Project-level Assignments in Financials/Edit
	public final static int  MASK_SOB3_CAN_EDIT_STATE_NOTIFICATION_SEC	 = MASK_BIT9;	// /Project Element/State Notification/Edit
	public final static int  MASK_SOB3_CAN_SET_TASK_AS_MANDATORY	 = MASK_BIT10;	// /WBS Hierarchy/Can Modify Flag/Delete Mandatory Task
	public final static int  MASK_SOB3_CAN_EDIT_STATE	 = MASK_BIT11;	// /Project Element/Identification/State/Edit
	public final static int  MASK_SOB3_CRI_CAN_EDIT_EXTERNAL_NUM_SEC	 = MASK_BIT12;	// 
	public final static int  MASK_SOB3_CRI_CAN_EDIT_CLIENT_NAME_SEC	 = MASK_BIT13;	// 
	public final static int  MASK_SOB3_CRI_CAN_EDIT_DUPLICATE_NUM_SEC	 = MASK_BIT14;	// 
	public final static int  MASK_SOB3_CRI_CAN_EDIT_TARGET_DATE_SEC	 = MASK_BIT15;	// 
	public final static int  MASK_SOB3_CRI_CAN_EDIT_PROPOSED_BY_SEC	 = MASK_BIT16;	// 
	public final static int  MASK_SOB3_CRI_CAN_EDIT_CLOSED_BY_SEC	 = MASK_BIT17;	// 
	public final static int  MASK_SOB3_CRI_CAN_EDIT_APPROVED_BY_SEC	 = MASK_BIT18;	// 
	public final static int  MASK_SOB3_CRI_CAN_EDIT_APPROVED_COST_SEC	 = MASK_BIT19;	// 
	public final static int  MASK_SOB3_CRI_CAN_EDIT_RISK_MATRIX_SEC	 = MASK_BIT20;	// 
	public final static int  MASK_SOB3_PRJ_EDIT_TIMESHEET_APPROVAL_SEC	 = MASK_BIT21;	// /Project Element/Timesheet Approval/Edit
	public final static int  MASK_SOB3_PUBLISH_FOLDER_SEC	 = MASK_BIT22;	// 
	public final static int  MASK_SOB3_CRI_EDIT_QUANT_IMPACT_SEC	 = MASK_BIT23;	// 
	public final static int  MASK_SOB3_NOTE_MIN_EDIT_VISIBLE_AT_PRJ_SEC	 = MASK_BIT24;	// 
	public final static int  MASK_SOB3_CRI_CAN_EDIT_MITIGATION_FACTOR_SEC	 = MASK_BIT25;	// 
	public final static int  MASK_SOB3_DOC_EDIT_VISIBLE_AT_PRJ_SEC	 = MASK_BIT26;	// 
	public final static int  MASK_SOB3_DOC_EDIT_KEYWORD_SEC	 = MASK_BIT27;	// 
	public final static int  MASK_SOB3_DOC_EDIT_DOC_SUMMARY_SEC	 = MASK_BIT28;	// 
	public final static int  MASK_SOB3_NOTE_MIN_EDIT_DESCRIPTION_SEC	 = MASK_BIT29;	// 
	public final static int  MASK_SOB3_CRI_CAN_EDIT_OCCURRED_DATE_SEC	 = MASK_BIT30;	// 
	public final static int  MASK_SOB4_NonSecureData	 = MASK_BIT0;	// 
	public final static int  MASK_SOB4_CRI_CAN_EDIT_REASSIGNED_NUM	 = MASK_BIT1;	// 
	public final static int  MASK_SOB4_EDIT_TIME_PHASING_SEC	 = MASK_BIT2;	// /Budget/Cost/Revenue/Financials/Time Phasing/Edit
	public final static int  MASK_SOB4_PORTFOLIO_CAN_PUBLISH_BUBBLE_SEC	 = MASK_BIT3;	// /Portfolio Viewer/Publish Bubble
	public final static int  MASK_SOB4_DISCOUNT_RATE_EDIT_SEC	 = MASK_BIT4;	// /Project Element/Discount Rate/Edit
	public final static int  MASK_SOB4_CAN_DELETE_WITH_ACTUALS_SEC	 = MASK_BIT5;	// /WBS Hierarchy/Can Delete WBS items with Actual assignments
	public final static int  MASK_SOB4_CAN_SYNC_FINANCIAL_SEC	 = MASK_BIT6;	// /WBS Hierarchy/Synchronize with Financial System
	public final static int  MASK_SOB4_CAN_SET_PRJ_AS_DEFAULT_SEC	 = MASK_BIT7;	// /Project Element/Set As Default Project
	public final static int  MASK_SOB4_CAN_ARCHIVE_PRJ_SEC	 = MASK_BIT8;	// /Project Element/Can Send To Archive
	public final static int  MASK_SOB4_DOC_CAN_PUBLISH_TO_TEMP_SEC	 = MASK_BIT9;	// /WBS Hierarchy/Documents/Can Publish Documents to Template
	public final static int  MASK_SOB4_CAN_CHANGE_TASK_TYPE	 = MASK_BIT10;	// /Project Element/Identification/Default Task Type/Edit
	public final static int  MASK_SOB4_CAN_IMPORT_EXPORT_SEC	 = MASK_BIT11;	// /Project Element/Can Import/Export
	public final static int  MASK_SOB4_CAN_MERGE_PRJ_SEC	 = MASK_BIT12;	// /Project Element/Merge Projects
	public final static int  MASK_SOB4_CAN_CREATE_LOCAL_ATTR_SEC	 = MASK_BIT13;	// /Project Element/Attributes/Create Local Attributes
	public final static int  MASK_SOB4_CRI_CAN_TRANSFER_TO_WBS_SEC	 = MASK_BIT14;	// 
	public final static int  MASK_SOB4_CRI_CAN_TRANSFER_TO_CRI_SEC	 = MASK_BIT15;	// 
	public final static int  MASK_SOB4_CRI_CAN_TRANSFER_ACROSS_PRJ_SEC	 = MASK_BIT16;	// 
	public final static int  MASK_SOB4_DOC_CAN_SAVE_AS_SEC	 = MASK_BIT17;	// 
	public final static int  MASK_SOB4_DOC_CAN_CHECK_OUT_TO_SEC	 = MASK_BIT18;	// 
	public final static int  MASK_SOB4_DOC_CAN_MOVE_ACROSS_PRJ_SEC	 = MASK_BIT19;	// 
	public final static int  MASK_SOB4_SCORE_CAN_PUBLISH_SEC	 = MASK_BIT20;	// 
	public final static int  MASK_SOB4_SCORE_CAN_ACTIVATE_DEACTIVATE_SEC	 = MASK_BIT21;	// 
	public final static int  MASK_SOB4_CAN_EDIT_DEFAULT_TIMECODES_SEC	 = MASK_BIT22;	// /Project Element/Default Time Codes/Edit
	public final static int  MASK_SOB4_BASELINE_EST_DATES_COST_BENEF_SEC	 = MASK_BIT23;	// /Scheduling Information/Baseline/Save Baseline Estimate Dates, Worksheet Financials and Affected Assignments
	public final static int  MASK_SOB4_BASELINE_SCHED_DATES_COST_BENEF_SEC	 = MASK_BIT24;	// /Scheduling Information/Baseline/Save Baseline WBS Dates, WBS Financials and Assignments
	public final static int  MASK_SOB4_PRJ_CAN_LEVEL_WITH_PMO	 = MASK_BIT25;	// /Project Element/Can Level with IBM Rational Portfolio Manager
	public final static int  MASK_SOB4_PRJ_CAN_COPY_CALC_RESULTS	 = MASK_BIT26;	// /Project Element/Can Copy Calculated Results
	public final static int  MASK_SOB4_PRJ_CAN_EDIT_CHANGE_BACK_FORM_SEC	 = MASK_BIT27;	// /Project Element/Settings/Cross Charge Formula/Edit
	public final static int  MASK_SOB4_PRJ_CAN_EDIT_DO_EV_CALC_SEC	 = MASK_BIT28;	// /Project Element/Settings/Do EV Calculation/Edit
	public final static int  MASK_SOB4_CAN_LEVEL_CALC_SEC	 = MASK_BIT29;	// 
	public final static int  MASK_SOB4_EDIT_TASK_EFFORT_DUR_SEC	 = MASK_BIT30;	// /Staff Acquisition/Can Modify Effort/Duration Task
	public final static int  MASK_SOB5_BASELINE_CROSS_CHARGES	 = MASK_BIT0;	// /Scheduling Information/Baseline/Save Baseline Cross Charges
	public final static int  MASK_SOB5_REF_NUM_VIEW_SEC	 = MASK_BIT1;	// /Project Element/Identification/Reference #/View
	public final static int  MASK_SOB5_CAN_VIEW_DEFAULT_TIMECODES_SEC	 = MASK_BIT2;	// /Project Element/Default Time Codes/View
	public final static int  MASK_SOB5_EST_DATES_VIEW_SEC	 = MASK_BIT3;	// /Project Element/Identification/EST/Start and EST/Finish/View
	public final static int  MASK_SOB5_BALLPARK_COST_VIEW_SEC	 = MASK_BIT4;	// /Project Element/Order of Magnitude Cost/Benefit/View
	public final static int  MASK_SOB5_PRIORITY_VIEW_SEC	 = MASK_BIT5;	// 
	public final static int  MASK_SOB5_ELEMENT_SECURITY_VIEW_SEC	 = MASK_BIT6;	// /Staff Acquisition/Cost/Rates/Resource/Profile Cost/View
	public final static int  MASK_SOB5_CAN_VIEW_COST_SEC	 = MASK_BIT7;	// /Staff Acquisition/Cost/Rates/Resource/Profile Rates/View
	public final static int  MASK_SOB5_CAN_VIEW_RATES_SEC	 = MASK_BIT8;	// /Scheduling Information/% Duration Complete/View
	public final static int  MASK_SOB5_CAN_VIEW_PERCENT_COMPLETE_SE	 = MASK_BIT9;	// /Scheduling Information/Constraints/View
	public final static int  MASK_SOB5_CAN_VIEW_CONSTRAINTS_SEC	 = MASK_BIT10;	// 
	public final static int  MASK_SOB5_CAN_MOVE_TEMP_SEC	 = MASK_BIT11;	// 
	public final static int  MASK_SOB5_NOT_IN_USE_1	 = MASK_BIT12;	// 
	public final static int  MASK_SOB5_NOT_IN_USE_2	 = MASK_BIT13;	// 
	public final static int  MASK_SOB5_NOT_IN_USE_5	 = MASK_BIT14;	// 
	public final static int  MASK_SOB5_NOT_IN_USE_6	 = MASK_BIT15;	// /Scheduling Information/Dates/Baseline/View
	public final static int  MASK_SOB5_CAN_VIEW_BASELINE_SEC	 = MASK_BIT16;	// 
	public final static int  MASK_SOB5_CAN_VIEW_APPROVED_SEC	 = MASK_BIT17;	// /Project Element/Attributes/View
	public final static int  MASK_SOB5_ATTRIBUTES_VEIW_SEC	 = MASK_BIT18;	// /Budget/Cost/Revenue/Financials/Total/View
	public final static int  MASK_SOB5_CAN_VIEW_TOTAL_SEC	 = MASK_BIT19;	// /Project Element/Project Scorecard/View
	public final static int  MASK_SOB5_SCORECARD_VIEW_SEC	 = MASK_BIT20;	// /Budget/Cost/Revenue/View Profit
	public final static int  MASK_SOB5_CAN_VIEW_PROFIT_SEC	 = MASK_BIT21;	// /Budget/Cost/Revenue/Financials/Benefits/View
	public final static int  MASK_SOB5_CAN_VIEW_BENEFIT_SEC	 = MASK_BIT22;	// /Budget/Cost/Revenue/View Earned Value
	public final static int  MASK_SOB5_CAN_VIEW_EARNED_VALUE_SEC	 = MASK_BIT23;	// /Budget/Cost/Revenue/Financials/Expense/Capital/View
	public final static int  MASK_SOB5_CAN_VIEW_EXPENSE_CAPITAL_SEC	 = MASK_BIT24;	// /Staff Acquisition/Can View Assignments
	public final static int  MASK_SOB5_CAN_VIEW_ASSIGNMENTS_SEC	 = MASK_BIT25;	// /WBS Hierarchy/Dependency/View
	public final static int  MASK_SOB5_DEPENDENCY_VIEW_SEC	 = MASK_BIT26;	// /WBS Hierarchy/View History
	public final static int  MASK_SOB5_VIEW_HISTORY_SEC	 = MASK_BIT27;	// /WBS Hierarchy/Scope Elements/All Permissions Granted
	public final static int  MASK_SOB5_CRI_GOD_LIKE_SECURITY_SEC	 = MASK_BIT28;	// /WBS Hierarchy/Documents/All Permissions Granted
	public final static int  MASK_SOB5_DOC_GOD_LIKE_SECURITY_SEC	 = MASK_BIT29;	// 
	public final static int  MASK_SOB5_NOT_IN_USE_7	 = MASK_BIT30;	// 
	public final static int  MASK_SOB6_RANK_EDIT_SEC	 = MASK_BIT0;	// /Project Element/Identification/Rank/Edit
	public final static int  MASK_SOB6_REF_NUM_EDIT_SEC	 = MASK_BIT1;	// /Project Element/Identification/Reference #/Edit
	public final static int  MASK_SOB6_PUBLISHED_EDIT_SEC	 = MASK_BIT2;	// /Project Element/Publish Security
	public final static int  MASK_SOB6_EST_DATES_EDIT_SEC	 = MASK_BIT3;	// /Project Element/Identification/EST/Start and EST/Finish/Edit
	public final static int  MASK_SOB6_BALLPARK_COST_EDIT_SEC	 = MASK_BIT4;	// /Project Element/Order of Magnitude Cost/Benefit/Edit
	public final static int  MASK_SOB6_PRIORITY_EDIT_SEC	 = MASK_BIT5;	// 
	public final static int  MASK_SOB6_ELEMENT_SECURITY_EDIT_SEC	 = MASK_BIT6;	// /Staff Acquisition/Cost/Rates/Resource/Profile Cost/Edit
	public final static int  MASK_SOB6_CAN_EDIT_COST_SEC	 = MASK_BIT7;	// /Staff Acquisition/Cost/Rates/Resource/Profile Rates/Edit
	public final static int  MASK_SOB6_CAN_EDIT_RATES_SEC	 = MASK_BIT8;	// /Scheduling Information/% Duration Complete/Edit
	public final static int  MASK_SOB6_CAN_EDIT_PERCENT_COMPLETE_SEC	 = MASK_BIT9;	// /Scheduling Information/Constraints/Edit
	public final static int  MASK_SOB6_CAN_EDIT_CONSTRAINTS_SEC	 = MASK_BIT10;	// /Scheduling Information/Baseline/Clear Baseline
	public final static int  MASK_SOB6_CAN_CLEAR_BASELINE_SEC	 = MASK_BIT11;	// /Scheduling Information/Dates/Expected/Edit (for children)
	public final static int  MASK_SOB6_CAN_EDIT_PLANNED_SEC	 = MASK_BIT12;	// /Scheduling Information/Dates/Plan/Edit (for children)
	public final static int  MASK_SOB6_CAN_EDIT_SCHEDULE_SEC	 = MASK_BIT13;	// /Scheduling Information/Dates/Actual/Edit (for children)
	public final static int  MASK_SOB6_CAN_EDIT_ACTUAL_SEC	 = MASK_BIT14;	// 
	public final static int  MASK_SOB6_CAN_EDIT_FORECAST_SEC	 = MASK_BIT15;	// 
	public final static int  MASK_SOB6_CAN_EDIT_BASELINE_SEC	 = MASK_BIT16;	// 
	public final static int  MASK_SOB6_CAN_EDIT_APPROVED_SEC	 = MASK_BIT17;	// /Project Element/Attributes/Edit
	public final static int  MASK_SOB6_ATTRIBUTES_EDIT_SEC	 = MASK_BIT18;	// 
	public final static int  MASK_SOB6_CAN_ASSIGN_PROFILE_SEC	 = MASK_BIT19;	// /Staff Acquisition/Profiles/Can Assign Profile
	public final static int  MASK_SOB6_SCORECARD_EDIT_SEC	 = MASK_BIT20;	// /Project Element/Project Scorecard/Edit
	public final static int  MASK_SOB6_CAN_ASSIGN_PARTICIPANT_SEC	 = MASK_BIT21;	// /Staff Acquisition/Resources/Participants/Can Assign Participant
	public final static int  MASK_SOB6_CAN_EDIT_BENEFIT_SEC	 = MASK_BIT22;	// /Budget/Cost/Revenue/Financials/Benefits/Edit
	public final static int  MASK_SOB6_CAN_COPY_TO_PLAN_SEC	 = MASK_BIT23;	// /Scheduling Information/Copy Dates and Schedules/Copy Proposed to Plan
	public final static int  MASK_SOB6_CAN_EDIT_EXPENSE_CAPITAL_SEC	 = MASK_BIT24;	// /Budget/Cost/Revenue/Financials/Expense/Capital/Edit
	public final static int  MASK_SOB6_CAN_COMMIT_AFFECTED_SEC	 = MASK_BIT25;	// /Scheduling Information/Copy Dates and Schedules/Commit Affected Resources
	public final static int  MASK_SOB6_DEPENDENCY_EDIT_SEC	 = MASK_BIT26;	// /WBS Hierarchy/Dependency/Edit
	public final static int  MASK_SOB6_CAN_BASELINE_UNLIMITED_SEC	 = MASK_BIT27;	// /Scheduling Information/Baseline/Baseline (unlimited)
	public final static int  MASK_SOB6_EXPORT_TO_CSV_SEC	 = MASK_BIT28;	// 
	public final static int  MASK_SOB6_CHECK_IN_ALL_SEC	 = MASK_BIT29;	// /WBS Hierarchy/Check In All
	public final static int  MASK_SOB6_CAN_CLOSE_TASK_SEC	 = MASK_BIT30;	// /Close Rights/Can Close Element
	public final static int  MASK_SOB7_CAN_VIEW_ALL_EXCEPTIONS_SEC	 = MASK_BIT0;	// /WBS Hierarchy/Scope Elements/Can View All Scope Elements
	public final static int  MASK_SOB7_CAN_CREATE_REQ_SEC	 = MASK_BIT1;	// /WBS Hierarchy/Scope Elements/Can Create Requirements
	public final static int  MASK_SOB7_CAN_CREATE_CR_SEC	 = MASK_BIT2;	// /WBS Hierarchy/Scope Elements/Can Create Change Requests
	public final static int  MASK_SOB7_CAN_CREATE_SR_SEC	 = MASK_BIT3;	// /WBS Hierarchy/Scope Elements/Can Create Service Requests
	public final static int  MASK_SOB7_CAN_CREATE_RISK_SEC	 = MASK_BIT4;	// /WBS Hierarchy/Scope Elements/Can Create Risks
	public final static int  MASK_SOB7_CAN_CREATE_DEFECT_SEC	 = MASK_BIT5;	// /WBS Hierarchy/Scope Elements/Can Create Defect
	public final static int  MASK_SOB7_CAN_CREATE_ISSUE_SEC	 = MASK_BIT6;	// /WBS Hierarchy/Scope Elements/Can Create Issues
	public final static int  MASK_SOB7_CAN_CREATE_ACTION_SEC	 = MASK_BIT7;	// /WBS Hierarchy/Scope Elements/Can Create Actions
	public final static int  MASK_SOB7_CAN_CREATE_DOC_SEC	 = MASK_BIT8;	// /WBS Hierarchy/Documents/Can Create Documents
	public final static int  MASK_SOB7_CAN_CREATE_NOTE_MIN_SEC	 = MASK_BIT9;	// /WBS Hierarchy/Documents/Can Create Note/Minutes
	public final static int  MASK_SOB7_CAN_VIEW_ALL_DOCUMENTS_SEC	 = MASK_BIT10;	// /WBS Hierarchy/Documents/Can View All Documents
	public final static int  MASK_SOB7_CAN_CREATE_CRI_FOLDER_SEC	 = MASK_BIT11;	// /WBS Hierarchy/Scope Elements/Can Create Folders
	public final static int  MASK_SOB7_CAN_CREATE_DOC_FOLDER_SEC	 = MASK_BIT12;	// /WBS Hierarchy/Documents/Can Create Folders
	public final static int  MASK_SOB7_CAN_DELETE_PUBLIC_DOC_SEC	 = MASK_BIT13;	// /WBS Hierarchy/Documents/Can Delete Public Documents
	public final static int  MASK_SOB7_CAN_UNLOCK_ANY	 = MASK_BIT14;	// /WBS Hierarchy/Documents/Can Unlock Any
	public final static int  MASK_SOB7_CAN_PERMANENTLY_DELETE_DOCS	 = MASK_BIT15;	// /WBS Hierarchy/Documents/Can Permanently Delete
	public final static int  MASK_SOB7_CAN_DELETE_ITEM_SEC	 = MASK_BIT16;	// /WBS Hierarchy/Can Delete WBS items
	public final static int  MASK_SOB7_CAN_RENAME_ITEM_SEC	 = MASK_BIT17;	// /WBS Hierarchy/Can Rename WBS items
	public final static int  MASK_SOB7_CAN_CHANGE_ITEM_TYPE	 = MASK_BIT18;	// /WBS Hierarchy/Can Change WBS item types
	public final static int  MASK_SOB7_CAN_BREAKDOWN_ITEMS_SEC	 = MASK_BIT19;	// /WBS Hierarchy/Can Breakdown WBS items
	public final static int  MASK_SOB7_CAN_ACCEPT_REJECT_FORECAST_DATES_SEC	 = MASK_BIT20;	// /WBS Hierarchy/Accept/Reject Variance/Accept/Reject Forecast Dates
	public final static int  MASK_SOB7_CAN_ASSIGN_PROFILE_TO_PRJ_SEC	 = MASK_BIT21;	// /Staff Acquisition/Profiles/Can Assign/Affect Profile to Project
	public final static int  MASK_SOB7_CAN_ASSIGN_RES_TO_PRJ_EFFORT_SEC	 = MASK_BIT22;	// /Staff Acquisition/Resources/Participants/Can Assign/Affect Resource to Project with Effort
	public final static int  MASK_SOB7_CAN_EDIT_SECURITY_LEVEL_SEC	 = MASK_BIT23;	// /Staff Acquisition/Can Edit Security Level
	public final static int  MASK_SOB7_CAN_REPLACE_PROFILE_SEC	 = MASK_BIT24;	// /Staff Acquisition/Profiles/Can Replace Profile
	public final static int  MASK_SOB7_CAN_REMOVE_RESOURCE_SEC	 = MASK_BIT25;	// /Staff Acquisition/Resources/Participants/Can Remove Resource/Participant
	public final static int  MASK_SOB7_CAN_REMOVE_PROFILE_SEC	 = MASK_BIT26;	// /Staff Acquisition/Profiles/Can Remove Profile
	public final static int  MASK_SOB7_CAN_MODIFY_SEARCH_OPTIONS_SEC	 = MASK_BIT27;	// /Staff Acquisition/Can Modify Search Options
	public final static int  MASK_SOB7_CAN_ACCEPT_REJECT_EETC_BUDGET_SEC	 = MASK_BIT28;	// /WBS Hierarchy/Accept/Reject Variance/Accept/Reject Assignment EETC & WBS Budget EETC
	public final static int  MASK_SOB7_CAN_CHANGE_EETC_SEC	 = MASK_BIT29;	// /Staff Acquisition/Can Modify Assignment
	public final static int  MASK_SOB7_CAN_ASSIGN_RESOURCE_SEC	 = MASK_BIT30;	// /Staff Acquisition/Resources/Participants/Can Assign Resource
	public final static int  MASK_SOB8_ATTRRIBUTES_ADD_REM_SEC	 = MASK_BIT0;	// /Project Element/Attributes/Add/Remove
	public final static int  MASK_SOB8_CAN_ADD_REM_BENEFIT_SEC	 = MASK_BIT1;	// /Budget/Cost/Revenue/Financials/Benefits/Add/Remove
	public final static int  MASK_SOB8_CAN_ADD_REM_EXPENSE_CAPITAL_SEC	 = MASK_BIT2;	// /Budget/Cost/Revenue/Financials/Expense/Capital/Add/Remove
	public final static int  MASK_SOB8_SCORECARD_ADD_REM_SEC	 = MASK_BIT3;	// /Project Element/Project Scorecard/Add/Remove
	public final static int  MASK_SOB8_DEPENDENCY_ADD_REM_SEC	 = MASK_BIT4;	// /WBS Hierarchy/Dependency/Add/Remove
	public final static int  MASK_SOB8_DISCOUNT_RATE_ADD_REM_SEC	 = MASK_BIT5;	// /Project Element/Discount Rate/Add/Remove
	public final static int  MASK_SOB8_CAN_ADD_REM_DEFAULT_SCORECARD_SEC	 = MASK_BIT6;	// /Project Element/Default Scorecards/Add/Remove
	public final static int  MASK_SOB8_CRI_CAN_ADD_REM_DUPLICATES_SEC	 = MASK_BIT7;	// 
	public final static int  MASK_SOB8_CAN_EDIT_PRJ_DOC_SETTINGS_SEC	 = MASK_BIT8;	// /Project Element/Document Settings/Edit
	public final static int  MASK_SOB8_ADD_REM_TIME_CODES_SEC	 = MASK_BIT9;	// /Project Element/Time Codes/Add/Remove
	public final static int  MASK_SOB8_NonSecureData	 = MASK_BIT10;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_1	 = MASK_BIT11;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_2	 = MASK_BIT12;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_3	 = MASK_BIT13;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_4	 = MASK_BIT14;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_5	 = MASK_BIT15;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_6	 = MASK_BIT16;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_7	 = MASK_BIT17;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_8	 = MASK_BIT18;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_9	 = MASK_BIT19;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_10	 = MASK_BIT20;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_11	 = MASK_BIT21;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_12	 = MASK_BIT22;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_13	 = MASK_BIT23;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_14	 = MASK_BIT24;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_15	 = MASK_BIT25;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_16	 = MASK_BIT26;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_17	 = MASK_BIT27;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_18	 = MASK_BIT28;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_19	 = MASK_BIT29;	// 
	public final static int  MASK_SOB8_NOT_IN_USE_20	 = MASK_BIT30;	// 
	public final static int  MASK_SOB9_PRJ_CAN_VIEW_RTF_1	 = MASK_BIT0;	// /RTFs/Project RTFs/RTF 1/View
	public final static int  MASK_SOB9_PRJ_CAN_VIEW_RTF_2	 = MASK_BIT1;	// /RTFs/Project RTFs/RTF 2/View
	public final static int  MASK_SOB9_PRJ_CAN_VIEW_RTF_3	 = MASK_BIT2;	// /RTFs/Project RTFs/RTF 3/View
	public final static int  MASK_SOB9_PRJ_CAN_VIEW_RTF_4	 = MASK_BIT3;	// /RTFs/Project RTFs/RTF 4/View
	public final static int  MASK_SOB9_PRJ_CAN_VIEW_RTF_5	 = MASK_BIT4;	// /RTFs/Project RTFs/RTF 5/View
	public final static int  MASK_SOB9_PRJ_CAN_VIEW_RTF_6	 = MASK_BIT5;	// /RTFs/Project RTFs/RTF 6/View
	public final static int  MASK_SOB9_PRJ_CAN_VIEW_RTF_7	 = MASK_BIT6;	// /RTFs/Project RTFs/RTF 7/View
	public final static int  MASK_SOB9_PRJ_CAN_VIEW_RTF_8	 = MASK_BIT7;	// /RTFs/Project RTFs/RTF 8/View
	public final static int  MASK_SOB9_PRJ_CAN_VIEW_RTF_9	 = MASK_BIT8;	// /RTFs/Project RTFs/RTF 9/View
	public final static int  MASK_SOB9_PRJ_CAN_VIEW_RTF_10	 = MASK_BIT9;	// /RTFs/Project RTFs/RTF 10/View
	public final static int  MASK_SOB9_TASK_CAN_VIEW_RTF_1	 = MASK_BIT10;	// /RTFs/Task Types RTFs/Task RTFs/RTF 1/View
	public final static int  MASK_SOB9_TASK_CAN_VIEW_RTF_2	 = MASK_BIT11;	// /RTFs/Task Types RTFs/Task RTFs/RTF 2/View
	public final static int  MASK_SOB9_TASK_CAN_VIEW_RTF_3	 = MASK_BIT12;	// /RTFs/Task Types RTFs/Task RTFs/RTF 3/View
	public final static int  MASK_SOB9_TASK_CAN_VIEW_RTF_4	 = MASK_BIT13;	// /RTFs/Task Types RTFs/Task RTFs/RTF 4/View
	public final static int  MASK_SOB9_TASK_CAN_VIEW_RTF_5	 = MASK_BIT14;	// /RTFs/Task Types RTFs/Task RTFs/RTF 5/View
	public final static int  MASK_SOB9_TASK_CAN_VIEW_RTF_6	 = MASK_BIT15;	// /RTFs/Task Types RTFs/Task RTFs/RTF 6/View
	public final static int  MASK_SOB9_TASK_CAN_VIEW_RTF_7	 = MASK_BIT16;	// /RTFs/Task Types RTFs/Task RTFs/RTF 7/View
	public final static int  MASK_SOB9_TASK_CAN_VIEW_RTF_8	 = MASK_BIT17;	// /RTFs/Task Types RTFs/Task RTFs/RTF 8/View
	public final static int  MASK_SOB9_TASK_CAN_VIEW_RTF_9	 = MASK_BIT18;	// /RTFs/Task Types RTFs/Task RTFs/RTF 9/View
	public final static int  MASK_SOB9_TASK_CAN_VIEW_RTF_10	 = MASK_BIT19;	// /RTFs/Task Types RTFs/Task RTFs/RTF 10/View
	public final static int  MASK_SOB9_DEL_CAN_VIEW_RTF_1	 = MASK_BIT20;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 1/View
	public final static int  MASK_SOB9_DEL_CAN_VIEW_RTF_2	 = MASK_BIT21;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 2/View
	public final static int  MASK_SOB9_DEL_CAN_VIEW_RTF_3	 = MASK_BIT22;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 3/View
	public final static int  MASK_SOB9_DEL_CAN_VIEW_RTF_4	 = MASK_BIT23;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 4/View
	public final static int  MASK_SOB9_DEL_CAN_VIEW_RTF_5	 = MASK_BIT24;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 5/View
	public final static int  MASK_SOB9_DEL_CAN_VIEW_RTF_6	 = MASK_BIT25;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 6/View
	public final static int  MASK_SOB9_DEL_CAN_VIEW_RTF_7	 = MASK_BIT26;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 7/View
	public final static int  MASK_SOB9_DEL_CAN_VIEW_RTF_8	 = MASK_BIT27;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 8/View
	public final static int  MASK_SOB9_DEL_CAN_VIEW_RTF_9	 = MASK_BIT28;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 9/View
	public final static int  MASK_SOB9_DEL_CAN_VIEW_RTF_10	 = MASK_BIT29;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 10/View
	public final static int  MASK_SOB9_NOT_IN_USE_1	 = MASK_BIT30;	// 
	public final static int  MASK_SOB10_SUM_CAN_VIEW_RTF_1	 = MASK_BIT0;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 1/View
	public final static int  MASK_SOB10_SUM_CAN_VIEW_RTF_2	 = MASK_BIT1;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 2/View
	public final static int  MASK_SOB10_SUM_CAN_VIEW_RTF_3	 = MASK_BIT2;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 3/View
	public final static int  MASK_SOB10_SUM_CAN_VIEW_RTF_4	 = MASK_BIT3;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 4/View
	public final static int  MASK_SOB10_SUM_CAN_VIEW_RTF_5	 = MASK_BIT4;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 5/View
	public final static int  MASK_SOB10_SUM_CAN_VIEW_RTF_6	 = MASK_BIT5;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 6/View
	public final static int  MASK_SOB10_SUM_CAN_VIEW_RTF_7	 = MASK_BIT6;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 7/View
	public final static int  MASK_SOB10_SUM_CAN_VIEW_RTF_8	 = MASK_BIT7;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 8/View
	public final static int  MASK_SOB10_SUM_CAN_VIEW_RTF_9	 = MASK_BIT8;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 9/View
	public final static int  MASK_SOB10_SUM_CAN_VIEW_RTF_10	 = MASK_BIT9;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 10/View
	public final static int  MASK_SOB10_PHASE_CAN_VIEW_RTF_1	 = MASK_BIT10;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 1/View
	public final static int  MASK_SOB10_PHASE_CAN_VIEW_RTF_2	 = MASK_BIT11;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 2/View
	public final static int  MASK_SOB10_PHASE_CAN_VIEW_RTF_3	 = MASK_BIT12;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 3/View
	public final static int  MASK_SOB10_PHASE_CAN_VIEW_RTF_4	 = MASK_BIT13;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 4/View
	public final static int  MASK_SOB10_PHASE_CAN_VIEW_RTF_5	 = MASK_BIT14;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 5/View
	public final static int  MASK_SOB10_PHASE_CAN_VIEW_RTF_6	 = MASK_BIT15;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 6/View
	public final static int  MASK_SOB10_PHASE_CAN_VIEW_RTF_7	 = MASK_BIT16;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 7/View
	public final static int  MASK_SOB10_PHASE_CAN_VIEW_RTF_8	 = MASK_BIT17;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 8/View
	public final static int  MASK_SOB10_PHASE_CAN_VIEW_RTF_9	 = MASK_BIT18;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 9/View
	public final static int  MASK_SOB10_PHASE_CAN_VIEW_RTF_10	 = MASK_BIT19;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 10/View
	public final static int  MASK_SOB10_MILE_CAN_VIEW_RTF_1	 = MASK_BIT20;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 1/View
	public final static int  MASK_SOB10_MILE_CAN_VIEW_RTF_2	 = MASK_BIT21;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 2/View
	public final static int  MASK_SOB10_MILE_CAN_VIEW_RTF_3	 = MASK_BIT22;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 3/View
	public final static int  MASK_SOB10_MILE_CAN_VIEW_RTF_4	 = MASK_BIT23;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 4/View
	public final static int  MASK_SOB10_MILE_CAN_VIEW_RTF_5	 = MASK_BIT24;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 5/View
	public final static int  MASK_SOB10_MILE_CAN_VIEW_RTF_6	 = MASK_BIT25;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 6/View
	public final static int  MASK_SOB10_MILE_CAN_VIEW_RTF_7	 = MASK_BIT26;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 7/View
	public final static int  MASK_SOB10_MILE_CAN_VIEW_RTF_8	 = MASK_BIT27;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 8/View
	public final static int  MASK_SOB10_MILE_CAN_VIEW_RTF_9	 = MASK_BIT28;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 9/View
	public final static int  MASK_SOB10_MILE_CAN_VIEW_RTF_10	 = MASK_BIT29;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 10/View
	public final static int  MASK_SOB10_NOT_IN_USE_1	 = MASK_BIT30;	// 
	public final static int  MASK_SOB11_CR_CAN_VIEW_RTF_1	 = MASK_BIT0;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 1/View
	public final static int  MASK_SOB11_CR_CAN_VIEW_RTF_2	 = MASK_BIT1;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 2/View
	public final static int  MASK_SOB11_CR_CAN_VIEW_RTF_3	 = MASK_BIT2;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 3/View
	public final static int  MASK_SOB11_CR_CAN_VIEW_RTF_4	 = MASK_BIT3;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 4/View
	public final static int  MASK_SOB11_CR_CAN_VIEW_RTF_5	 = MASK_BIT4;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 5/View
	public final static int  MASK_SOB11_CR_CAN_VIEW_RTF_6	 = MASK_BIT5;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 6/View
	public final static int  MASK_SOB11_CR_CAN_VIEW_RTF_7	 = MASK_BIT6;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 7/View
	public final static int  MASK_SOB11_CR_CAN_VIEW_RTF_8	 = MASK_BIT7;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 8/View
	public final static int  MASK_SOB11_CR_CAN_VIEW_RTF_9	 = MASK_BIT8;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 9/View
	public final static int  MASK_SOB11_CR_CAN_VIEW_RTF_10	 = MASK_BIT9;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 10/View
	public final static int  MASK_SOB11_SR_CAN_VIEW_RTF_1	 = MASK_BIT10;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 1/View
	public final static int  MASK_SOB11_SR_CAN_VIEW_RTF_2	 = MASK_BIT11;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 2/View
	public final static int  MASK_SOB11_SR_CAN_VIEW_RTF_3	 = MASK_BIT12;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 3/View
	public final static int  MASK_SOB11_SR_CAN_VIEW_RTF_4	 = MASK_BIT13;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 4/View
	public final static int  MASK_SOB11_SR_CAN_VIEW_RTF_5	 = MASK_BIT14;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 5/View
	public final static int  MASK_SOB11_SR_CAN_VIEW_RTF_6	 = MASK_BIT15;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 6/View
	public final static int  MASK_SOB11_SR_CAN_VIEW_RTF_7	 = MASK_BIT16;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 7/View
	public final static int  MASK_SOB11_SR_CAN_VIEW_RTF_8	 = MASK_BIT17;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 8/View
	public final static int  MASK_SOB11_SR_CAN_VIEW_RTF_9	 = MASK_BIT18;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 9/View
	public final static int  MASK_SOB11_SR_CAN_VIEW_RTF_10	 = MASK_BIT19;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 10/View
	public final static int  MASK_SOB11_REQ_CAN_VIEW_RTF_1	 = MASK_BIT20;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 1/View
	public final static int  MASK_SOB11_REQ_CAN_VIEW_RTF_2	 = MASK_BIT21;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 2/View
	public final static int  MASK_SOB11_REQ_CAN_VIEW_RTF_3	 = MASK_BIT22;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 3/View
	public final static int  MASK_SOB11_REQ_CAN_VIEW_RTF_4	 = MASK_BIT23;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 4/View
	public final static int  MASK_SOB11_REQ_CAN_VIEW_RTF_5	 = MASK_BIT24;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 5/View
	public final static int  MASK_SOB11_REQ_CAN_VIEW_RTF_6	 = MASK_BIT25;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 6/View
	public final static int  MASK_SOB11_REQ_CAN_VIEW_RTF_7	 = MASK_BIT26;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 7/View
	public final static int  MASK_SOB11_REQ_CAN_VIEW_RTF_8	 = MASK_BIT27;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 8/View
	public final static int  MASK_SOB11_REQ_CAN_VIEW_RTF_9	 = MASK_BIT28;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 9/View
	public final static int  MASK_SOB11_REQ_CAN_VIEW_RTF_10	 = MASK_BIT29;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 10/View
	public final static int  MASK_SOB11_NOT_IN_USE_1	 = MASK_BIT30;	// 
	public final static int  MASK_SOB12_DEF_CAN_VIEW_RTF_1	 = MASK_BIT0;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 1/View
	public final static int  MASK_SOB12_DEF_CAN_VIEW_RTF_2	 = MASK_BIT1;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 2/View
	public final static int  MASK_SOB12_DEF_CAN_VIEW_RTF_3	 = MASK_BIT2;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 3/View
	public final static int  MASK_SOB12_DEF_CAN_VIEW_RTF_4	 = MASK_BIT3;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 4/View
	public final static int  MASK_SOB12_DEF_CAN_VIEW_RTF_5	 = MASK_BIT4;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 5/View
	public final static int  MASK_SOB12_DEF_CAN_VIEW_RTF_6	 = MASK_BIT5;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 6/View
	public final static int  MASK_SOB12_DEF_CAN_VIEW_RTF_7	 = MASK_BIT6;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 7/View
	public final static int  MASK_SOB12_DEF_CAN_VIEW_RTF_8	 = MASK_BIT7;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 8/View
	public final static int  MASK_SOB12_DEF_CAN_VIEW_RTF_9	 = MASK_BIT8;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 9/View
	public final static int  MASK_SOB12_DEF_CAN_VIEW_RTF_10	 = MASK_BIT9;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 10/View
	public final static int  MASK_SOB12_ISS_CAN_VIEW_RTF_1	 = MASK_BIT10;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 1/View
	public final static int  MASK_SOB12_ISS_CAN_VIEW_RTF_2	 = MASK_BIT11;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 2/View
	public final static int  MASK_SOB12_ISS_CAN_VIEW_RTF_3	 = MASK_BIT12;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 3/View
	public final static int  MASK_SOB12_ISS_CAN_VIEW_RTF_4	 = MASK_BIT13;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 4/View
	public final static int  MASK_SOB12_ISS_CAN_VIEW_RTF_5	 = MASK_BIT14;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 5/View
	public final static int  MASK_SOB12_ISS_CAN_VIEW_RTF_6	 = MASK_BIT15;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 6/View
	public final static int  MASK_SOB12_ISS_CAN_VIEW_RTF_7	 = MASK_BIT16;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 7/View
	public final static int  MASK_SOB12_ISS_CAN_VIEW_RTF_8	 = MASK_BIT17;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 8/View
	public final static int  MASK_SOB12_ISS_CAN_VIEW_RTF_9	 = MASK_BIT18;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 9/View
	public final static int  MASK_SOB12_ISS_CAN_VIEW_RTF_10	 = MASK_BIT19;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 10/View
	public final static int  MASK_SOB12_RISK_CAN_VIEW_RTF_1	 = MASK_BIT20;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 1/View
	public final static int  MASK_SOB12_RISK_CAN_VIEW_RTF_2	 = MASK_BIT21;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 2/View
	public final static int  MASK_SOB12_RISK_CAN_VIEW_RTF_3	 = MASK_BIT22;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 3/View
	public final static int  MASK_SOB12_RISK_CAN_VIEW_RTF_4	 = MASK_BIT23;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 4/View
	public final static int  MASK_SOB12_RISK_CAN_VIEW_RTF_5	 = MASK_BIT24;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 5/View
	public final static int  MASK_SOB12_RISK_CAN_VIEW_RTF_6	 = MASK_BIT25;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 6/View
	public final static int  MASK_SOB12_RISK_CAN_VIEW_RTF_7	 = MASK_BIT26;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 7/View
	public final static int  MASK_SOB12_RISK_CAN_VIEW_RTF_8	 = MASK_BIT27;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 8/View
	public final static int  MASK_SOB12_RISK_CAN_VIEW_RTF_9	 = MASK_BIT28;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 9/View
	public final static int  MASK_SOB12_RISK_CAN_VIEW_RTF_10	 = MASK_BIT29;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 10/View
	public final static int  MASK_SOB12_NOT_IN_USE_1	 = MASK_BIT30;	// 
	public final static int  MASK_SOB13_ACT_CAN_VIEW_RTF_1	 = MASK_BIT0;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 1/View
	public final static int  MASK_SOB13_ACT_CAN_VIEW_RTF_2	 = MASK_BIT1;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 2/View
	public final static int  MASK_SOB13_ACT_CAN_VIEW_RTF_3	 = MASK_BIT2;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 3/View
	public final static int  MASK_SOB13_ACT_CAN_VIEW_RTF_4	 = MASK_BIT3;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 4/View
	public final static int  MASK_SOB13_ACT_CAN_VIEW_RTF_5	 = MASK_BIT4;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 5/View
	public final static int  MASK_SOB13_ACT_CAN_VIEW_RTF_6	 = MASK_BIT5;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 6/View
	public final static int  MASK_SOB13_ACT_CAN_VIEW_RTF_7	 = MASK_BIT6;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 7/View
	public final static int  MASK_SOB13_ACT_CAN_VIEW_RTF_8	 = MASK_BIT7;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 8/View
	public final static int  MASK_SOB13_ACT_CAN_VIEW_RTF_9	 = MASK_BIT8;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 9/View
	public final static int  MASK_SOB13_ACT_CAN_VIEW_RTF_10	 = MASK_BIT9;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 10/View
	public final static int  MASK_SOB13_PRJ_CAN_VIEW_RTF_11	 = MASK_BIT10;	// /RTFs/Project RTFs/RTF 11/View
	public final static int  MASK_SOB13_PRJ_CAN_VIEW_RTF_12	 = MASK_BIT11;	// /RTFs/Project RTFs/RTF 12/View
	public final static int  MASK_SOB13_PRJ_CAN_VIEW_RTF_13	 = MASK_BIT12;	// /RTFs/Project RTFs/RTF 13/View
	public final static int  MASK_SOB13_PRJ_CAN_VIEW_RTF_14	 = MASK_BIT13;	// /RTFs/Project RTFs/RTF 14/View
	public final static int  MASK_SOB13_PRJ_CAN_VIEW_RTF_15	 = MASK_BIT14;	// /RTFs/Project RTFs/RTF 15/View
	public final static int  MASK_SOB13_PRJ_CAN_VIEW_RTF_16	 = MASK_BIT15;	// /RTFs/Project RTFs/RTF 16/View
	public final static int  MASK_SOB13_PRJ_CAN_VIEW_RTF_17	 = MASK_BIT16;	// /RTFs/Project RTFs/RTF 17/View
	public final static int  MASK_SOB13_PRJ_CAN_VIEW_RTF_18	 = MASK_BIT17;	// /RTFs/Project RTFs/RTF 18/View
	public final static int  MASK_SOB13_PRJ_CAN_VIEW_RTF_19	 = MASK_BIT18;	// /RTFs/Project RTFs/RTF 19/View
	public final static int  MASK_SOB13_PRJ_CAN_VIEW_RTF_20	 = MASK_BIT19;	// /RTFs/Project RTFs/RTF 20/View
	public final static int  MASK_SOB13_NOT_IN_USE_1	 = MASK_BIT20;	// 
	public final static int  MASK_SOB13_NOT_IN_USE_2	 = MASK_BIT21;	// 
	public final static int  MASK_SOB13_NOT_IN_USE_3	 = MASK_BIT22;	// 
	public final static int  MASK_SOB13_NOT_IN_USE_4	 = MASK_BIT23;	// 
	public final static int  MASK_SOB13_NOT_IN_USE_5	 = MASK_BIT24;	// 
	public final static int  MASK_SOB13_NOT_IN_USE_6	 = MASK_BIT25;	// 
	public final static int  MASK_SOB13_NOT_IN_USE_7	 = MASK_BIT26;	// 
	public final static int  MASK_SOB13_NOT_IN_USE_8	 = MASK_BIT27;	// 
	public final static int  MASK_SOB13_NOT_IN_USE_9	 = MASK_BIT28;	// 
	public final static int  MASK_SOB13_NOT_IN_USE_10	 = MASK_BIT29;	// 
	public final static int  MASK_SOB13_NOT_IN_USE_11	 = MASK_BIT30;	// 
	public final static int  MASK_SOB14_PRJ_CAN_EDIT_RTF_1	 = MASK_BIT0;	// /RTFs/Project RTFs/RTF 1/Edit
	public final static int  MASK_SOB14_PRJ_CAN_EDIT_RTF_2	 = MASK_BIT1;	// /RTFs/Project RTFs/RTF 2/Edit
	public final static int  MASK_SOB14_PRJ_CAN_EDIT_RTF_3	 = MASK_BIT2;	// /RTFs/Project RTFs/RTF 3/Edit
	public final static int  MASK_SOB14_PRJ_CAN_EDIT_RTF_4	 = MASK_BIT3;	// /RTFs/Project RTFs/RTF 4/Edit
	public final static int  MASK_SOB14_PRJ_CAN_EDIT_RTF_5	 = MASK_BIT4;	// /RTFs/Project RTFs/RTF 5/Edit
	public final static int  MASK_SOB14_PRJ_CAN_EDIT_RTF_6	 = MASK_BIT5;	// /RTFs/Project RTFs/RTF 6/Edit
	public final static int  MASK_SOB14_PRJ_CAN_EDIT_RTF_7	 = MASK_BIT6;	// /RTFs/Project RTFs/RTF 7/Edit
	public final static int  MASK_SOB14_PRJ_CAN_EDIT_RTF_8	 = MASK_BIT7;	// /RTFs/Project RTFs/RTF 8/Edit
	public final static int  MASK_SOB14_PRJ_CAN_EDIT_RTF_9	 = MASK_BIT8;	// /RTFs/Project RTFs/RTF 9/Edit
	public final static int  MASK_SOB14_PRJ_CAN_EDIT_RTF_10	 = MASK_BIT9;	// /RTFs/Project RTFs/RTF 10/Edit
	public final static int  MASK_SOB14_TASK_CAN_EDIT_RTF_1	 = MASK_BIT10;	// /RTFs/Task Types RTFs/Task RTFs/RTF 1/Edit
	public final static int  MASK_SOB14_TASK_CAN_EDIT_RTF_2	 = MASK_BIT11;	// /RTFs/Task Types RTFs/Task RTFs/RTF 2/Edit
	public final static int  MASK_SOB14_TASK_CAN_EDIT_RTF_3	 = MASK_BIT12;	// /RTFs/Task Types RTFs/Task RTFs/RTF 3/Edit
	public final static int  MASK_SOB14_TASK_CAN_EDIT_RTF_4	 = MASK_BIT13;	// /RTFs/Task Types RTFs/Task RTFs/RTF 4/Edit
	public final static int  MASK_SOB14_TASK_CAN_EDIT_RTF_5	 = MASK_BIT14;	// /RTFs/Task Types RTFs/Task RTFs/RTF 5/Edit
	public final static int  MASK_SOB14_TASK_CAN_EDIT_RTF_6	 = MASK_BIT15;	// /RTFs/Task Types RTFs/Task RTFs/RTF 6/Edit
	public final static int  MASK_SOB14_TASK_CAN_EDIT_RTF_7	 = MASK_BIT16;	// /RTFs/Task Types RTFs/Task RTFs/RTF 7/Edit
	public final static int  MASK_SOB14_TASK_CAN_EDIT_RTF_8	 = MASK_BIT17;	// /RTFs/Task Types RTFs/Task RTFs/RTF 8/Edit
	public final static int  MASK_SOB14_TASK_CAN_EDIT_RTF_9	 = MASK_BIT18;	// /RTFs/Task Types RTFs/Task RTFs/RTF 9/Edit
	public final static int  MASK_SOB14_TASK_CAN_EDIT_RTF_10	 = MASK_BIT19;	// /RTFs/Task Types RTFs/Task RTFs/RTF 10/Edit
	public final static int  MASK_SOB14_DEL_CAN_EDIT_RTF_1	 = MASK_BIT20;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 1/Edit
	public final static int  MASK_SOB14_DEL_CAN_EDIT_RTF_2	 = MASK_BIT21;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 2/Edit
	public final static int  MASK_SOB14_DEL_CAN_EDIT_RTF_3	 = MASK_BIT22;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 3/Edit
	public final static int  MASK_SOB14_DEL_CAN_EDIT_RTF_4	 = MASK_BIT23;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 4/Edit
	public final static int  MASK_SOB14_DEL_CAN_EDIT_RTF_5	 = MASK_BIT24;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 5/Edit
	public final static int  MASK_SOB14_DEL_CAN_EDIT_RTF_6	 = MASK_BIT25;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 6/Edit
	public final static int  MASK_SOB14_DEL_CAN_EDIT_RTF_7	 = MASK_BIT26;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 7/Edit
	public final static int  MASK_SOB14_DEL_CAN_EDIT_RTF_8	 = MASK_BIT27;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 8/Edit
	public final static int  MASK_SOB14_DEL_CAN_EDIT_RTF_9	 = MASK_BIT28;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 9/Edit
	public final static int  MASK_SOB14_DEL_CAN_EDIT_RTF_10	 = MASK_BIT29;	// /RTFs/Deliverable Types RTFs/Deliverable RTFs/RTF 10/Edit
	public final static int  MASK_SOB14_NOT_IN_USE_1	 = MASK_BIT30;	// 
	public final static int  MASK_SOB15_SUM_CAN_EDIT_RTF_1	 = MASK_BIT0;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 1/Edit
	public final static int  MASK_SOB15_SUM_CAN_EDIT_RTF_2	 = MASK_BIT1;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 2/Edit
	public final static int  MASK_SOB15_SUM_CAN_EDIT_RTF_3	 = MASK_BIT2;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 3/Edit
	public final static int  MASK_SOB15_SUM_CAN_EDIT_RTF_4	 = MASK_BIT3;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 4/Edit
	public final static int  MASK_SOB15_SUM_CAN_EDIT_RTF_5	 = MASK_BIT4;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 5/Edit
	public final static int  MASK_SOB15_SUM_CAN_EDIT_RTF_6	 = MASK_BIT5;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 6/Edit
	public final static int  MASK_SOB15_SUM_CAN_EDIT_RTF_7	 = MASK_BIT6;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 7/Edit
	public final static int  MASK_SOB15_SUM_CAN_EDIT_RTF_8	 = MASK_BIT7;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 8/Edit
	public final static int  MASK_SOB15_SUM_CAN_EDIT_RTF_9	 = MASK_BIT8;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 9/Edit
	public final static int  MASK_SOB15_SUM_CAN_EDIT_RTF_10	 = MASK_BIT9;	// /RTFs/Deliverable Types RTFs/Summary Task RTFs/RTF 10/Edit
	public final static int  MASK_SOB15_PHASE_CAN_EDIT_RTF_1	 = MASK_BIT10;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 1/Edit
	public final static int  MASK_SOB15_PHASE_CAN_EDIT_RTF_2	 = MASK_BIT11;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 2/Edit
	public final static int  MASK_SOB15_PHASE_CAN_EDIT_RTF_3	 = MASK_BIT12;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 3/Edit
	public final static int  MASK_SOB15_PHASE_CAN_EDIT_RTF_4	 = MASK_BIT13;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 4/Edit
	public final static int  MASK_SOB15_PHASE_CAN_EDIT_RTF_5	 = MASK_BIT14;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 5/Edit
	public final static int  MASK_SOB15_PHASE_CAN_EDIT_RTF_6	 = MASK_BIT15;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 6/Edit
	public final static int  MASK_SOB15_PHASE_CAN_EDIT_RTF_7	 = MASK_BIT16;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 7/Edit
	public final static int  MASK_SOB15_PHASE_CAN_EDIT_RTF_8	 = MASK_BIT17;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 8/Edit
	public final static int  MASK_SOB15_PHASE_CAN_EDIT_RTF_9	 = MASK_BIT18;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 9/Edit
	public final static int  MASK_SOB15_PHASE_CAN_EDIT_RTF_10	 = MASK_BIT19;	// /RTFs/Deliverable Types RTFs/Work Product RTFs/RTF 10/Edit
	public final static int  MASK_SOB15_MILE_CAN_EDIT_RTF_1	 = MASK_BIT20;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 1/Edit
	public final static int  MASK_SOB15_MILE_CAN_EDIT_RTF_2	 = MASK_BIT21;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 2/Edit
	public final static int  MASK_SOB15_MILE_CAN_EDIT_RTF_3	 = MASK_BIT22;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 3/Edit
	public final static int  MASK_SOB15_MILE_CAN_EDIT_RTF_4	 = MASK_BIT23;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 4/Edit
	public final static int  MASK_SOB15_MILE_CAN_EDIT_RTF_5	 = MASK_BIT24;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 5/Edit
	public final static int  MASK_SOB15_MILE_CAN_EDIT_RTF_6	 = MASK_BIT25;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 6/Edit
	public final static int  MASK_SOB15_MILE_CAN_EDIT_RTF_7	 = MASK_BIT26;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 7/Edit
	public final static int  MASK_SOB15_MILE_CAN_EDIT_RTF_8	 = MASK_BIT27;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 8/Edit
	public final static int  MASK_SOB15_MILE_CAN_EDIT_RTF_9	 = MASK_BIT28;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 9/Edit
	public final static int  MASK_SOB15_MILE_CAN_EDIT_RTF_10	 = MASK_BIT29;	// /RTFs/Task Types RTFs/Milestone RTFs/RTF 10/Edit
	public final static int  MASK_SOB15_NOT_IN_USE_1	 = MASK_BIT30;	// 
	public final static int  MASK_SOB16_CR_CAN_EDIT_RTF_1	 = MASK_BIT0;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 1/Edit
	public final static int  MASK_SOB16_CR_CAN_EDIT_RTF_2	 = MASK_BIT1;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 2/Edit
	public final static int  MASK_SOB16_CR_CAN_EDIT_RTF_3	 = MASK_BIT2;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 3/Edit
	public final static int  MASK_SOB16_CR_CAN_EDIT_RTF_4	 = MASK_BIT3;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 4/Edit
	public final static int  MASK_SOB16_CR_CAN_EDIT_RTF_5	 = MASK_BIT4;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 5/Edit
	public final static int  MASK_SOB16_CR_CAN_EDIT_RTF_6	 = MASK_BIT5;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 6/Edit
	public final static int  MASK_SOB16_CR_CAN_EDIT_RTF_7	 = MASK_BIT6;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 7/Edit
	public final static int  MASK_SOB16_CR_CAN_EDIT_RTF_8	 = MASK_BIT7;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 8/Edit
	public final static int  MASK_SOB16_CR_CAN_EDIT_RTF_9	 = MASK_BIT8;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 9/Edit
	public final static int  MASK_SOB16_CR_CAN_EDIT_RTF_10	 = MASK_BIT9;	// /RTFs/Transferred Scope Element Types RTFs/Change Request RTFs/RTF 10/Edit
	public final static int  MASK_SOB16_SR_CAN_EDIT_RTF_1	 = MASK_BIT10;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 1/Edit
	public final static int  MASK_SOB16_SR_CAN_EDIT_RTF_2	 = MASK_BIT11;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 2/Edit
	public final static int  MASK_SOB16_SR_CAN_EDIT_RTF_3	 = MASK_BIT12;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 3/Edit
	public final static int  MASK_SOB16_SR_CAN_EDIT_RTF_4	 = MASK_BIT13;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 4/Edit
	public final static int  MASK_SOB16_SR_CAN_EDIT_RTF_5	 = MASK_BIT14;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 5/Edit
	public final static int  MASK_SOB16_SR_CAN_EDIT_RTF_6	 = MASK_BIT15;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 6/Edit
	public final static int  MASK_SOB16_SR_CAN_EDIT_RTF_7	 = MASK_BIT16;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 7/Edit
	public final static int  MASK_SOB16_SR_CAN_EDIT_RTF_8	 = MASK_BIT17;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 8/Edit
	public final static int  MASK_SOB16_SR_CAN_EDIT_RTF_9	 = MASK_BIT18;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 9/Edit
	public final static int  MASK_SOB16_SR_CAN_EDIT_RTF_10	 = MASK_BIT19;	// /RTFs/Transferred Scope Element Types RTFs/Service Request RTFs/RTF 10/Edit
	public final static int  MASK_SOB16_REQ_CAN_EDIT_RTF_1	 = MASK_BIT20;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 1/Edit
	public final static int  MASK_SOB16_REQ_CAN_EDIT_RTF_2	 = MASK_BIT21;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 2/Edit
	public final static int  MASK_SOB16_REQ_CAN_EDIT_RTF_3	 = MASK_BIT22;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 3/Edit
	public final static int  MASK_SOB16_REQ_CAN_EDIT_RTF_4	 = MASK_BIT23;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 4/Edit
	public final static int  MASK_SOB16_REQ_CAN_EDIT_RTF_5	 = MASK_BIT24;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 5/Edit
	public final static int  MASK_SOB16_REQ_CAN_EDIT_RTF_6	 = MASK_BIT25;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 6/Edit
	public final static int  MASK_SOB16_REQ_CAN_EDIT_RTF_7	 = MASK_BIT26;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 7/Edit
	public final static int  MASK_SOB16_REQ_CAN_EDIT_RTF_8	 = MASK_BIT27;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 8/Edit
	public final static int  MASK_SOB16_REQ_CAN_EDIT_RTF_9	 = MASK_BIT28;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 9/Edit
	public final static int  MASK_SOB16_REQ_CAN_EDIT_RTF_10	 = MASK_BIT29;	// /RTFs/Transferred Scope Element Types RTFs/Requirement RTFs/RTF 10/Edit
	public final static int  MASK_SOB16_NOT_IN_USE_1	 = MASK_BIT30;	// 
	public final static int  MASK_SOB17_DEF_CAN_EDIT_RTF_1	 = MASK_BIT0;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 1/Edit
	public final static int  MASK_SOB17_DEF_CAN_EDIT_RTF_2	 = MASK_BIT1;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 2/Edit
	public final static int  MASK_SOB17_DEF_CAN_EDIT_RTF_3	 = MASK_BIT2;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 3/Edit
	public final static int  MASK_SOB17_DEF_CAN_EDIT_RTF_4	 = MASK_BIT3;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 4/Edit
	public final static int  MASK_SOB17_DEF_CAN_EDIT_RTF_5	 = MASK_BIT4;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 5/Edit
	public final static int  MASK_SOB17_DEF_CAN_EDIT_RTF_6	 = MASK_BIT5;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 6/Edit
	public final static int  MASK_SOB17_DEF_CAN_EDIT_RTF_7	 = MASK_BIT6;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 7/Edit
	public final static int  MASK_SOB17_DEF_CAN_EDIT_RTF_8	 = MASK_BIT7;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 8/Edit
	public final static int  MASK_SOB17_DEF_CAN_EDIT_RTF_9	 = MASK_BIT8;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 9/Edit
	public final static int  MASK_SOB17_DEF_CAN_EDIT_RTF_10	 = MASK_BIT9;	// /RTFs/Transferred Scope Element Types RTFs/Defect RTFs/RTF 10/Edit
	public final static int  MASK_SOB17_ISS_CAN_EDIT_RTF_1	 = MASK_BIT10;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 1/Edit
	public final static int  MASK_SOB17_ISS_CAN_EDIT_RTF_2	 = MASK_BIT11;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 2/Edit
	public final static int  MASK_SOB17_ISS_CAN_EDIT_RTF_3	 = MASK_BIT12;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 3/Edit
	public final static int  MASK_SOB17_ISS_CAN_EDIT_RTF_4	 = MASK_BIT13;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 4/Edit
	public final static int  MASK_SOB17_ISS_CAN_EDIT_RTF_5	 = MASK_BIT14;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 5/Edit
	public final static int  MASK_SOB17_ISS_CAN_EDIT_RTF_6	 = MASK_BIT15;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 6/Edit
	public final static int  MASK_SOB17_ISS_CAN_EDIT_RTF_7	 = MASK_BIT16;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 7/Edit
	public final static int  MASK_SOB17_ISS_CAN_EDIT_RTF_8	 = MASK_BIT17;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 8/Edit
	public final static int  MASK_SOB17_ISS_CAN_EDIT_RTF_9	 = MASK_BIT18;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 9/Edit
	public final static int  MASK_SOB17_ISS_CAN_EDIT_RTF_10	 = MASK_BIT19;	// /RTFs/Transferred Scope Element Types RTFs/Issue RTFs/RTF 10/Edit
	public final static int  MASK_SOB17_RISK_CAN_EDIT_RTF_1	 = MASK_BIT20;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 1/Edit
	public final static int  MASK_SOB17_RISK_CAN_EDIT_RTF_2	 = MASK_BIT21;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 2/Edit
	public final static int  MASK_SOB17_RISK_CAN_EDIT_RTF_3	 = MASK_BIT22;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 3/Edit
	public final static int  MASK_SOB17_RISK_CAN_EDIT_RTF_4	 = MASK_BIT23;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 4/Edit
	public final static int  MASK_SOB17_RISK_CAN_EDIT_RTF_5	 = MASK_BIT24;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 5/Edit
	public final static int  MASK_SOB17_RISK_CAN_EDIT_RTF_6	 = MASK_BIT25;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 6/Edit
	public final static int  MASK_SOB17_RISK_CAN_EDIT_RTF_7	 = MASK_BIT26;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 7/Edit
	public final static int  MASK_SOB17_RISK_CAN_EDIT_RTF_8	 = MASK_BIT27;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 8/Edit
	public final static int  MASK_SOB17_RISK_CAN_EDIT_RTF_9	 = MASK_BIT28;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 9/Edit
	public final static int  MASK_SOB17_RISK_CAN_EDIT_RTF_10	 = MASK_BIT29;	// /RTFs/Transferred Scope Element Types RTFs/Risk RTFs/RTF 10/Edit
	public final static int  MASK_SOB17_NOT_IN_USE_1	 = MASK_BIT30;	// 
	public final static int  MASK_SOB18_ACT_CAN_EDIT_RTF_1	 = MASK_BIT0;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 1/Edit
	public final static int  MASK_SOB18_ACT_CAN_EDIT_RTF_2	 = MASK_BIT1;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 2/Edit
	public final static int  MASK_SOB18_ACT_CAN_EDIT_RTF_3	 = MASK_BIT2;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 3/Edit
	public final static int  MASK_SOB18_ACT_CAN_EDIT_RTF_4	 = MASK_BIT3;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 4/Edit
	public final static int  MASK_SOB18_ACT_CAN_EDIT_RTF_5	 = MASK_BIT4;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 5/Edit
	public final static int  MASK_SOB18_ACT_CAN_EDIT_RTF_6	 = MASK_BIT5;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 6/Edit
	public final static int  MASK_SOB18_ACT_CAN_EDIT_RTF_7	 = MASK_BIT6;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 7/Edit
	public final static int  MASK_SOB18_ACT_CAN_EDIT_RTF_8	 = MASK_BIT7;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 8/Edit
	public final static int  MASK_SOB18_ACT_CAN_EDIT_RTF_9	 = MASK_BIT8;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 9/Edit
	public final static int  MASK_SOB18_ACT_CAN_EDIT_RTF_10	 = MASK_BIT9;	// /RTFs/Transferred Scope Element Types RTFs/Action RTFs/RTF 10/Edit
	public final static int  MASK_SOB18_PRJ_CAN_EDIT_RTF_11	 = MASK_BIT10;	// /RTFs/Project RTFs/RTF 11/Edit
	public final static int  MASK_SOB18_PRJ_CAN_EDIT_RTF_12	 = MASK_BIT11;	// /RTFs/Project RTFs/RTF 12/Edit
	public final static int  MASK_SOB18_PRJ_CAN_EDIT_RTF_13	 = MASK_BIT12;	// /RTFs/Project RTFs/RTF 13/Edit
	public final static int  MASK_SOB18_PRJ_CAN_EDIT_RTF_14	 = MASK_BIT13;	// /RTFs/Project RTFs/RTF 14/Edit
	public final static int  MASK_SOB18_PRJ_CAN_EDIT_RTF_15	 = MASK_BIT14;	// /RTFs/Project RTFs/RTF 15/Edit
	public final static int  MASK_SOB18_PRJ_CAN_EDIT_RTF_16	 = MASK_BIT15;	// /RTFs/Project RTFs/RTF 16/Edit
	public final static int  MASK_SOB18_PRJ_CAN_EDIT_RTF_17	 = MASK_BIT16;	// /RTFs/Project RTFs/RTF 17/Edit
	public final static int  MASK_SOB18_PRJ_CAN_EDIT_RTF_18	 = MASK_BIT17;	// /RTFs/Project RTFs/RTF 18/Edit
	public final static int  MASK_SOB18_PRJ_CAN_EDIT_RTF_19	 = MASK_BIT18;	// /RTFs/Project RTFs/RTF 19/Edit
	public final static int  MASK_SOB18_PRJ_CAN_EDIT_RTF_20	 = MASK_BIT19;	// /RTFs/Project RTFs/RTF 20/Edit
	public final static int  MASK_SOB18_NOT_IN_USE_1	 = MASK_BIT20;	// 
	public final static int  MASK_SOB18_NOT_IN_USE_2	 = MASK_BIT21;	// 
	public final static int  MASK_SOB18_NOT_IN_USE_3	 = MASK_BIT22;	// 
	public final static int  MASK_SOB18_NOT_IN_USE_4	 = MASK_BIT23;	// 
	public final static int  MASK_SOB18_NOT_IN_USE_5	 = MASK_BIT24;	// 
	public final static int  MASK_SOB18_NOT_IN_USE_6	 = MASK_BIT25;	// 
	public final static int  MASK_SOB18_NOT_IN_USE_7	 = MASK_BIT26;	// 
	public final static int  MASK_SOB18_NOT_IN_USE_8	 = MASK_BIT27;	// 
	public final static int  MASK_SOB18_NOT_IN_USE_9	 = MASK_BIT28;	// 
	public final static int  MASK_SOB18_NOT_IN_USE_10	 = MASK_BIT29;	// 
	public final static int  MASK_SOB18_NOT_IN_USE_11	 = MASK_BIT30;	// 
	public final static int  MASK_SOB19_PT_HEALTH	 = MASK_BIT0;	// /Portfolio Viewer/View Pivots/General Health
	public final static int  MASK_SOB19_PT_HEALTH_FINANCIAL	 = MASK_BIT1;	// /Portfolio Viewer/View Pivots/General Health/Financials
	public final static int  MASK_SOB19_PT_SCOPE	 = MASK_BIT2;	// /Portfolio Viewer/View Pivots/Scope Management
	public final static int  MASK_SOB19_PT_SCORE_FINANCIAL	 = MASK_BIT3;	// /Portfolio Viewer/View Pivots/Scope Management/Financials
	public final static int  MASK_SOB19_PT_FINANCIALASSESSMENT	 = MASK_BIT4;	// /Portfolio Viewer/View Pivots/Finance Assessment
	public final static int  MASK_SOB19_PT_PORTFOLIOPRIORITIZATION	 = MASK_BIT5;	// 
	public final static int  MASK_SOB19_PT_BUDGETS	 = MASK_BIT6;	// /Portfolio Viewer/View Pivots/Budgets
	public final static int  MASK_SOB19_PT_TIMEPHASEDBUDGETS	 = MASK_BIT7;	// /Portfolio Viewer/View Pivots/Timephased Budgets
	public final static int  MASK_SOB19_PT_CUMULATEDCASHFLOW	 = MASK_BIT8;	// /Portfolio Viewer/View Pivots/Cumulated Cashflow
	public final static int  MASK_SOB19_PT_NETCASHFLOW	 = MASK_BIT9;	// /Portfolio Viewer/View Pivots/Net Cashflow
	public final static int  MASK_SOB19_PT_COSTCENTERS	 = MASK_BIT10;	// /Portfolio Viewer/View Pivots/Cost Center Cross Charge
	public final static int  MASK_SOB19_PT_TIMEPHASEDCOSTCENTERS	 = MASK_BIT11;	// 
	public final static int  MASK_SOB19_PT_CLIENTCHARGEBACKS	 = MASK_BIT12;	// 
	public final static int  MASK_SOB19_PT_RESOURCESUPPLYANDDEMAND	 = MASK_BIT13;	// /Portfolio Viewer/View Pivots/Resource Supply and Demand
	public final static int  MASK_SOB19_PT_RESOURCEUTILIZATION	 = MASK_BIT14;	// /Portfolio Viewer/View Pivots/Resource Utilization
	public final static int  MASK_SOB19_PT_WBSELEMENTSWITHATTRIBUTES	 = MASK_BIT15;	// /Portfolio Viewer/View Pivots/WBS Elements With Attributes
	public final static int  MASK_SOB19_PT_WBSELEMENTSWITHATTRIBUTESFINANCIALS	 = MASK_BIT16;	// /Portfolio Viewer/View Pivots/WBS Elements With Attributes/Financials
	public final static int  MASK_SOB19_PT_TASKANALYSES	 = MASK_BIT17;	// /Portfolio Viewer/View Pivots/Task Analyses
	public final static int  MASK_SOB19_PT_TIMESHEETS	 = MASK_BIT18;	// /Portfolio Viewer/View Pivots/Timesheets
	public final static int  MASK_SOB19_PT_EARNEDVALUE	 = MASK_BIT19;	// /Portfolio Viewer/View Pivots/Earned Value
	public final static int  MASK_SOB19_PT_ASSET_HEALTH	 = MASK_BIT20;	// 
	public final static int  MASK_SOB19_PT_ASSET_MIN	 = MASK_BIT21;	// 
	public final static int  MASK_SOB19_PT_ASSET_CROSS	 = MASK_BIT22;	// 
	public final static int  MASK_SOB19_PT_TIMESHEET_MONTH	 = MASK_BIT23;	// /Portfolio Viewer/View Pivots/Monthly Timesheets
	public final static int  MASK_SOB19_PT_RESOURCEUTILIZATION_MONTH	 = MASK_BIT24;	// /Portfolio Viewer/View Pivots/Monthly Resource Utilization
	public final static int  MASK_SOB19_PT_DEFECT_ATTRIBUTES	 = MASK_BIT25;	// /Portfolio Viewer/View Pivots/Defect Attributes
	public final static int  MASK_SOB19_PT_DELIVERABLEFINANCIALS	 = MASK_BIT26;	// /Portfolio Viewer/View Pivots/Deliverable Elements/Financials
	public final static int  MASK_SOB19_PT_DELIVERABLE	 = MASK_BIT27;	// /Portfolio Viewer/View Pivots/Deliverable Elements
	public final static int  MASK_SOB19_PT_PROJECT_DELIVERABLE_DETAIL	 = MASK_BIT28;	// /Portfolio Viewer/View Pivots/Project Deliverable Detail
	public final static int  MASK_SOB19_PT_PROJECT_CROSSCHARGE	 = MASK_BIT29;	// /Portfolio Viewer/View Pivots/Project Cross Charge
	public final static int  MASK_SOB19_NOT_IN_USE_1	 = MASK_BIT30;	// 
	public final static int  MASK_SOB20_SUM_LAYOUT_1	 = MASK_BIT0;	// 
	public final static int  MASK_SOB20_SUM_LAYOUT_2	 = MASK_BIT1;	// 
	public final static int  MASK_SOB20_SUM_LAYOUT_3	 = MASK_BIT2;	// 
	public final static int  MASK_SOB20_SUM_LAYOUT_4	 = MASK_BIT3;	//
	public final static int  MASK_SOB20_SUM_LAYOUT_5	 = MASK_BIT4;	//
	public final static int  MASK_SOB20_SUM_LAYOUT_6	 = MASK_BIT5;	//
	public final static int  MASK_SOB20_SUM_LAYOUT_7	 = MASK_BIT6;	//
	public final static int  MASK_SOB20_SUM_LAYOUT_8	 = MASK_BIT7;	//
	public final static int  MASK_SOB20_SUM_LAYOUT_9	 = MASK_BIT8;	//
	public final static int  MASK_SOB20_SUM_LAYOUT_10	 = MASK_BIT9;	//
	public final static int  MASK_SOB20_PHASE_LAYOUT_1	 = MASK_BIT10;	//
	public final static int  MASK_SOB20_PHASE_LAYOUT_2	 = MASK_BIT11;	//
	public final static int  MASK_SOB20_PHASE_LAYOUT_3	 = MASK_BIT12;	//
	public final static int  MASK_SOB20_PHASE_LAYOUT_4	 = MASK_BIT13;	//
	public final static int  MASK_SOB20_PHASE_LAYOUT_5	 = MASK_BIT14;	//
	public final static int  MASK_SOB20_PHASE_LAYOUT_6	 = MASK_BIT15;	//
	public final static int  MASK_SOB20_PHASE_LAYOUT_7	 = MASK_BIT16;	//
	public final static int  MASK_SOB20_PHASE_LAYOUT_8	 = MASK_BIT17;	//
	public final static int  MASK_SOB20_PHASE_LAYOUT_9	 = MASK_BIT18;	//
	public final static int  MASK_SOB20_PHASE_LAYOUT_10	 = MASK_BIT19;	//
	public final static int  MASK_SOB20_MILE_LAYOUT_1	 = MASK_BIT20;	//
	public final static int  MASK_SOB20_MILE_LAYOUT_2	 = MASK_BIT21;	//
	public final static int  MASK_SOB20_MILE_LAYOUT_3	 = MASK_BIT22;	//
	public final static int  MASK_SOB20_MILE_LAYOUT_4	 = MASK_BIT23;	//
	public final static int  MASK_SOB20_MILE_LAYOUT_5	 = MASK_BIT24;	//
	public final static int  MASK_SOB20_MILE_LAYOUT_6	 = MASK_BIT25;	//
	public final static int  MASK_SOB20_MILE_LAYOUT_7	 = MASK_BIT26;	//
	public final static int  MASK_SOB20_MILE_LAYOUT_8	 = MASK_BIT27;	//
	public final static int  MASK_SOB20_MILE_LAYOUT_9	 = MASK_BIT28;	//
	public final static int  MASK_SOB20_MILE_LAYOUT_10	 = MASK_BIT29;	//
	public final static int  MASK_SOB20_NOT_IN_USE_1	 = MASK_BIT30;	//
	public final static int  MASK_SOB21_CR_LAYOUT_1	 = MASK_BIT0;	//
	public final static int  MASK_SOB21_CR_LAYOUT_2	 = MASK_BIT1;	//
	public final static int  MASK_SOB21_CR_LAYOUT_3	 = MASK_BIT2;	//
	public final static int  MASK_SOB21_CR_LAYOUT_4	 = MASK_BIT3;	//
	public final static int  MASK_SOB21_CR_LAYOUT_5	 = MASK_BIT4;	//
	public final static int  MASK_SOB21_CR_LAYOUT_6	 = MASK_BIT5;	//
	public final static int  MASK_SOB21_CR_LAYOUT_7	 = MASK_BIT6;	//
	public final static int  MASK_SOB21_CR_LAYOUT_8	 = MASK_BIT7;	//
	public final static int  MASK_SOB21_CR_LAYOUT_9	 = MASK_BIT8;	//
	public final static int  MASK_SOB21_CR_LAYOUT_10	 = MASK_BIT9;	//
	public final static int  MASK_SOB21_SR_LAYOUT_1	 = MASK_BIT10;	//
	public final static int  MASK_SOB21_SR_LAYOUT_2	 = MASK_BIT11;	//
	public final static int  MASK_SOB21_SR_LAYOUT_3	 = MASK_BIT12;	//
	public final static int  MASK_SOB21_SR_LAYOUT_4	 = MASK_BIT13;	//
	public final static int  MASK_SOB21_SR_LAYOUT_5	 = MASK_BIT14;	//
	public final static int  MASK_SOB21_SR_LAYOUT_6	 = MASK_BIT15;	//
	public final static int  MASK_SOB21_SR_LAYOUT_7	 = MASK_BIT16;	//
	public final static int  MASK_SOB21_SR_LAYOUT_8	 = MASK_BIT17;	//
	public final static int  MASK_SOB21_SR_LAYOUT_9	 = MASK_BIT18;	//
	public final static int  MASK_SOB21_SR_LAYOUT_10	 = MASK_BIT19;	//
	public final static int  MASK_SOB21_REQ_LAYOUT_1	 = MASK_BIT20;	//
	public final static int  MASK_SOB21_REQ_LAYOUT_2	 = MASK_BIT21;	//
	public final static int  MASK_SOB21_REQ_LAYOUT_3	 = MASK_BIT22;	//
	public final static int  MASK_SOB21_REQ_LAYOUT_4	 = MASK_BIT23;	//
	public final static int  MASK_SOB21_REQ_LAYOUT_5	 = MASK_BIT24;	//
	public final static int  MASK_SOB21_REQ_LAYOUT_6	 = MASK_BIT25;	//
	public final static int  MASK_SOB21_REQ_LAYOUT_7	 = MASK_BIT26;	//
	public final static int  MASK_SOB21_REQ_LAYOUT_8	 = MASK_BIT27;	//
	public final static int  MASK_SOB21_REQ_LAYOUT_9	 = MASK_BIT28;	//
	public final static int  MASK_SOB21_REQ_LAYOUT_10	 = MASK_BIT29;	//
	public final static int  MASK_SOB21_NOT_IN_USE_1	 = MASK_BIT30;	//
	public final static int  MASK_SOB22_DEF_LAYOUT_1	 = MASK_BIT0;	//
	public final static int  MASK_SOB22_DEF_LAYOUT_2	 = MASK_BIT1;	//
	public final static int  MASK_SOB22_DEF_LAYOUT_3	 = MASK_BIT2;	//
	public final static int  MASK_SOB22_DEF_LAYOUT_4	 = MASK_BIT3;	//
	public final static int  MASK_SOB22_DEF_LAYOUT_5	 = MASK_BIT4;	//
	public final static int  MASK_SOB22_DEF_LAYOUT_6	 = MASK_BIT5;	//
	public final static int  MASK_SOB22_DEF_LAYOUT_7	 = MASK_BIT6;	//
	public final static int  MASK_SOB22_DEF_LAYOUT_8	 = MASK_BIT7;	//
	public final static int  MASK_SOB22_DEF_LAYOUT_9	 = MASK_BIT8;	//
	public final static int  MASK_SOB22_DEF_LAYOUT_10	 = MASK_BIT9;	//
	public final static int  MASK_SOB22_ISS_LAYOUT_1	 = MASK_BIT10;	//
	public final static int  MASK_SOB22_ISS_LAYOUT_2	 = MASK_BIT11;	//
	public final static int  MASK_SOB22_ISS_LAYOUT_3	 = MASK_BIT12;	//
	public final static int  MASK_SOB22_ISS_LAYOUT_4	 = MASK_BIT13;	//
	public final static int  MASK_SOB22_ISS_LAYOUT_5	 = MASK_BIT14;	//
	public final static int  MASK_SOB22_ISS_LAYOUT_6	 = MASK_BIT15;	//
	public final static int  MASK_SOB22_ISS_LAYOUT_7	 = MASK_BIT16;	//
	public final static int  MASK_SOB22_ISS_LAYOUT_8	 = MASK_BIT17;	//
	public final static int  MASK_SOB22_ISS_LAYOUT_9	 = MASK_BIT18;	//
	public final static int  MASK_SOB22_ISS_LAYOUT_10	 = MASK_BIT19;	//
	public final static int  MASK_SOB22_RISK_LAYOUT_1	 = MASK_BIT20;	//
	public final static int  MASK_SOB22_RISK_LAYOUT_2	 = MASK_BIT21;	//
	public final static int  MASK_SOB22_RISK_LAYOUT_3	 = MASK_BIT22;	//
	public final static int  MASK_SOB22_RISK_LAYOUT_4	 = MASK_BIT23;	//
	public final static int  MASK_SOB22_RISK_LAYOUT_5	 = MASK_BIT24;	//
	public final static int  MASK_SOB22_RISK_LAYOUT_6	 = MASK_BIT25;	//
	public final static int  MASK_SOB22_RISK_LAYOUT_7	 = MASK_BIT26;	//
	public final static int  MASK_SOB22_RISK_LAYOUT_8	 = MASK_BIT27;	//
	public final static int  MASK_SOB22_RISK_LAYOUT_9	 = MASK_BIT28;	//
	public final static int  MASK_SOB22_RISK_LAYOUT_10	 = MASK_BIT29;	//
	public final static int  MASK_SOB22_NOT_IN_USE_1	 = MASK_BIT30;	//
	public final static int  MASK_SOB23_RES_LAYOUT_1	 = MASK_BIT0;	//
	public final static int  MASK_SOB23_RES_LAYOUT_2	 = MASK_BIT1;	//
	public final static int  MASK_SOB23_RES_LAYOUT_3	 = MASK_BIT2;	//
	public final static int  MASK_SOB23_RES_LAYOUT_4	 = MASK_BIT3;	//
	public final static int  MASK_SOB23_RES_LAYOUT_5	 = MASK_BIT4;	//
	public final static int  MASK_SOB23_RES_LAYOUT_6	 = MASK_BIT5;	//
	public final static int  MASK_SOB23_RES_LAYOUT_7	 = MASK_BIT6;	//
	public final static int  MASK_SOB23_RES_LAYOUT_8	 = MASK_BIT7;	//
	public final static int  MASK_SOB23_RES_LAYOUT_9	 = MASK_BIT8;	//
	public final static int  MASK_SOB23_RES_LAYOUT_10	 = MASK_BIT9;	//
	public final static int  MASK_SOB23_POOL_LAYOUT_1	 = MASK_BIT10;	//
	public final static int  MASK_SOB23_POOL_LAYOUT_2	 = MASK_BIT11;	//
	public final static int  MASK_SOB23_POOL_LAYOUT_3	 = MASK_BIT12;	//
	public final static int  MASK_SOB23_POOL_LAYOUT_4	 = MASK_BIT13;	//
	public final static int  MASK_SOB23_POOL_LAYOUT_5	 = MASK_BIT14;	//
	public final static int  MASK_SOB23_POOL_LAYOUT_6	 = MASK_BIT15;	//
	public final static int  MASK_SOB23_POOL_LAYOUT_7	 = MASK_BIT16;	//
	public final static int  MASK_SOB23_POOL_LAYOUT_8	 = MASK_BIT17;	//
	public final static int  MASK_SOB23_POOL_LAYOUT_9	 = MASK_BIT18;	//
	public final static int  MASK_SOB23_POOL_LAYOUT_10	 = MASK_BIT19;	//
	public final static int  MASK_SOB23_PREC_LAYOUT_1	 = MASK_BIT20;	//
	public final static int  MASK_SOB23_PREC_LAYOUT_2	 = MASK_BIT21;	//
	public final static int  MASK_SOB23_PREC_LAYOUT_3	 = MASK_BIT22;	//
	public final static int  MASK_SOB23_PREC_LAYOUT_4	 = MASK_BIT23;	//
	public final static int  MASK_SOB23_PREC_LAYOUT_5	 = MASK_BIT24;	//
	public final static int  MASK_SOB23_PREC_LAYOUT_6	 = MASK_BIT25;	//
	public final static int  MASK_SOB23_PREC_LAYOUT_7	 = MASK_BIT26;	//
	public final static int  MASK_SOB23_PREC_LAYOUT_8	 = MASK_BIT27;	//
	public final static int  MASK_SOB23_PREC_LAYOUT_9	 = MASK_BIT28;	//
	public final static int  MASK_SOB23_PREC_LAYOUT_10	 = MASK_BIT29;	//
	public final static int  MASK_SOB23_NOT_IN_USE_1	 = MASK_BIT30;	//
	public final static int  MASK_SOB24_CP_RES_LAYOUT_1	 = MASK_BIT0;	//
	public final static int  MASK_SOB24_CP_RES_LAYOUT_2	 = MASK_BIT1;	//
	public final static int  MASK_SOB24_CP_RES_LAYOUT_3	 = MASK_BIT2;	//
	public final static int  MASK_SOB24_CP_RES_LAYOUT_4	 = MASK_BIT3;	//
	public final static int  MASK_SOB24_CP_RES_LAYOUT_5	 = MASK_BIT4;	//
	public final static int  MASK_SOB24_CP_RES_LAYOUT_6	 = MASK_BIT5;	//
	public final static int  MASK_SOB24_CP_RES_LAYOUT_7	 = MASK_BIT6;	//
	public final static int  MASK_SOB24_CP_RES_LAYOUT_8	 = MASK_BIT7;	//
	public final static int  MASK_SOB24_CP_RES_LAYOUT_9	 = MASK_BIT8;	//
	public final static int  MASK_SOB24_CP_RES_LAYOUT_10	 = MASK_BIT9;	//
	public final static int  MASK_SOB24_NOT_IN_USE_1_LAYOUT_1	 = MASK_BIT10;	//
	public final static int  MASK_SOB24_NOT_IN_USE_1_LAYOUT_2	 = MASK_BIT11;	//
	public final static int  MASK_SOB24_NOT_IN_USE_1_LAYOUT_3	 = MASK_BIT12;	//
	public final static int  MASK_SOB24_NOT_IN_USE_1_LAYOUT_4	 = MASK_BIT13;	//
	public final static int  MASK_SOB24_NOT_IN_USE_1_LAYOUT_5	 = MASK_BIT14;	//
	public final static int  MASK_SOB24_NOT_IN_USE_1_LAYOUT_6	 = MASK_BIT15;	//
	public final static int  MASK_SOB24_NOT_IN_USE_1_LAYOUT_7	 = MASK_BIT16;	//
	public final static int  MASK_SOB24_NOT_IN_USE_1_LAYOUT_8	 = MASK_BIT17;	//
	public final static int  MASK_SOB24_NOT_IN_USE_1_LAYOUT_9	 = MASK_BIT18;	//
	public final static int  MASK_SOB24_NOT_IN_USE_1_LAYOUT_10	 = MASK_BIT19;	//
	public final static int  MASK_SOB24_NOT_IN_USE_2_LAYOUT_1	 = MASK_BIT20;	//
	public final static int  MASK_SOB24_NOT_IN_USE_2_LAYOUT_2	 = MASK_BIT21;	//
	public final static int  MASK_SOB24_NOT_IN_USE_2_LAYOUT_3	 = MASK_BIT22;	//
	public final static int  MASK_SOB24_NOT_IN_USE_2_LAYOUT_4	 = MASK_BIT23;	//
	public final static int  MASK_SOB24_NOT_IN_USE_2_LAYOUT_5	 = MASK_BIT24;	//
	public final static int  MASK_SOB24_NOT_IN_USE_2_LAYOUT_6	 = MASK_BIT25;	//
	public final static int  MASK_SOB24_NOT_IN_USE_2_LAYOUT_7	 = MASK_BIT26;	//
	public final static int  MASK_SOB24_NOT_IN_USE_2_LAYOUT_8	 = MASK_BIT27;	//
	public final static int  MASK_SOB24_NOT_IN_USE_2_LAYOUT_9	 = MASK_BIT28;	//
	public final static int  MASK_SOB24_NOT_IN_USE_2_LAYOUT_10	 = MASK_BIT29;	//
	public final static int  MASK_SOB24_NOT_IN_USE_3			 = MASK_BIT30;	//
*/
}
