package com.ibm.rpm.timesheet.checkpoints;

import com.ibm.rpm.framework.MessageContext;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.framework.util.GenericValidator;

public class GenericTimesheetElementCheckpoint extends TimesheetElementCheckpoint
{

    protected static GenericTimesheetElementCheckpoint instance = new GenericTimesheetElementCheckpoint();


    public void validateSave(RPMObject rpmObject, RPMObjectScope rpmScope,
            MessageContext msgCtx)
    {

        //cannot create or update
        GenericValidator.validateCannotCreateOrUpdate(rpmObject,
            msgCtx);

    }
    
    

}
