/*
 * Created on Nov 24, 2005 
 * @author mmatwiy 
 * Checkpoint validation for WBS container AdministrativeTaskAssignment.
 */
package com.ibm.rpm.wbs.checkpoints;

import java.util.ArrayList;
import java.util.List;

import com.ibm.rpm.framework.AbstractCheckpoint;
import com.ibm.rpm.framework.MessageContext;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.resource.containers.Pool;


public class AdministrativeTaskAssignmentCheckpoint extends AbstractCheckpoint
{
    private static final List ADMINISTRATIVE_TASK_ASSIGNMENT_PARENT_LIST = new ArrayList();

    protected static AdministrativeTaskAssignmentCheckpoint instance = new AdministrativeTaskAssignmentCheckpoint();

    static
    {
        ADMINISTRATIVE_TASK_ASSIGNMENT_PARENT_LIST.add(Pool.class);
    }

    public static AdministrativeTaskAssignmentCheckpoint getInstance()
    {
        return instance;
    }

    public void validateSave(RPMObject rpmObject, RPMObjectScope rpmScope,
            MessageContext msgCtx)
    {
        super.isValidParent(rpmObject, msgCtx, true, ADMINISTRATIVE_TASK_ASSIGNMENT_PARENT_LIST);
    }

}
