/*
 * Created on Feb 21, 2006
 * @author mmatwiy 
 * Checkpoint validation for WBS container ProfileSkillAssignment.
 */
package com.ibm.rpm.wbs.checkpoints;

import java.util.ArrayList;
import java.util.List;

import com.ibm.rpm.framework.AbstractCheckpoint;
import com.ibm.rpm.framework.MessageContext;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.wbs.containers.Profile;

public class ProfileSkillAssignmentCheckpoint extends AbstractCheckpoint
{
    private static final List ASSIGNMENT_PARENT_LIST = new ArrayList();

    protected static ProfileSkillAssignmentCheckpoint instance = new ProfileSkillAssignmentCheckpoint();

    static
    {
        ASSIGNMENT_PARENT_LIST.add(Profile.class);
    }

    public static ProfileSkillAssignmentCheckpoint getInstance()
    {
        return instance;
    }

    public void validateSave(RPMObject rpmObject, RPMObjectScope rpmScope,
            MessageContext msgCtx)
    {
        isValidParent(rpmObject, msgCtx, true, ASSIGNMENT_PARENT_LIST);
    }

}
