package com.ibm.rpm.xpathparser.steps;

import org.apache.xml.utils.ObjectVector;
import org.apache.xpath.compiler.OpMapVector;

import com.ibm.rpm.xpathparser.ReflectOpCodes;

/**
 * @author kuschel
 * 
 * [OP_OR] [length] {boolean expression} {boolean expression}
 * 
 * returns: XBoolean
 * @xsl.usage advanced
 */
public class Or extends Group
{

    /**
     * @param op_xpath
     * @param opMap
     * @param tokenQueue
     * @param step
     */
    protected Or(OpMapVector opMap, ObjectVector tokenQueue, XPathStep step)
    {
        super(ReflectOpCodes.OP_OR, opMap, tokenQueue, step);
    }
}
