/*
 * Licensed Materials - Use restricted, please refer to the "Sample Code" terms 
 * and conditions in the IBM International Program License Agreement (IPLA).
 * 
 *  Copyright IBM Corporation 2006, 2007. All Rights Reserved.
 */

using System;
using NUnit.Framework;
using TestFramework.ApplicationAPI;

namespace Tests.pool 
{
	/// <summary>
	/// Shows use of [ExpectedException].
	/// </summary>
	[TestFixture]
	public class PoolFixture : TestFramework.TestHelper
	{
       
		public Pool createFixture()
		{
			Pool pool = new Pool();
			pool.name = "DotNetFixture";
			PoolScope scope = new PoolScope();

			return (Pool) save(pool, scope);
		}

		public Pool savePool(Pool pool, PoolScope scope)
		{
			return (Pool) save(pool, scope);
		}

		public Pool loadPoolFromXPath(String type, String name, PoolScope scope)
		{
			return (Pool)loadFromXPath(type, name, scope)[0];
		}

	}
}