/*
 * Licensed Materials - Use restricted, please refer to the "Sample Code" terms 
 * and conditions in the IBM International Program License Agreement (IPLA).
 * 
 *  Copyright IBM Corporation 2006, 2007. All Rights Reserved.
 */

using System;
using NUnit.Framework;

namespace Tests.calendar 
{
	/// <summary>
	/// Shows use of [ExpectedException].
	/// </summary>
	[TestFixture]
	public class TestCalendar : RPMCalendarFixture
	{
		// Correct and reactivate [Test]
		public void _testCalendar() 
		{
			TestFramework.ApplicationAPI.RPMCalendar calendar = new TestFramework.ApplicationAPI.RPMCalendar();
			
			TestFramework.ApplicationAPI.CalendarScope scope = new TestFramework.ApplicationAPI.CalendarScope();
			
			scope.calendars = new TestFramework.ApplicationAPI.CalendarScope();
			calendar.calendars = new TestFramework.ApplicationAPI.RPMCalendar[]{calendar};
			saveRPMCalendar(createFixture(scope, 2, 2), scope);

			calendar = RPMCalendarloadFromXPath("RPMCalendar", "Nouveau calendrier", scope);
			Assert.IsNotNull(calendar.ID);
		}
	}
}