/*
 * Licensed Materials - Use restricted, please refer to the "Sample Code" terms 
 * and conditions in the IBM International Program License Agreement (IPLA).
 * 
 *  Copyright IBM Corporation 2006, 2007. All Rights Reserved.
 */

using System;
using NUnit.Framework;
using TestFramework.ApplicationAPI;

namespace Tests.geographical 
{
	/// <summary>
	/// Shows use of [ExpectedException].
	/// </summary>
	[TestFixture]
	public class GeographicalFixture : TestFramework.TestHelper
	{
       
		public Geographical createFixture()
		{
			Geographical geographical = new TestFramework.ApplicationAPI.Geographical();
			geographical.name = "DotNetFixture";
			GeographicalScope scope = new TestFramework.ApplicationAPI.GeographicalScope();

			return (Geographical) save(geographical , scope);
		}

		public Geographical saveGeographical(TestFramework.ApplicationAPI.Geographical geographical  ,TestFramework.ApplicationAPI.GeographicalScope scope)
		{
			return (Geographical) save(geographical , scope);
		}

		public TestFramework.ApplicationAPI.Geographical loadGeographicalFromXPath(String type, String name, TestFramework.ApplicationAPI.GeographicalScope scope)
		{
			TestFramework.ApplicationAPI.Geographical geographical  = (TestFramework.ApplicationAPI.Geographical)loadFromXPath(type, name, scope)[0];
			return geographical ;
		}

	}
}