/*
 * Licensed Materials - Use restricted, please refer to the "Sample Code" terms 
 * and conditions in the IBM International Program License Agreement (IPLA).
 * 
 *  Copyright IBM Corporation 2006, 2007. All Rights Reserved.
 */

using System;
using NUnit.Framework;

namespace Tests.geographical 
{
	/// <summary>
	/// Shows use of [ExpectedException].
	/// </summary>
	[TestFixture]
	public class TestGeographical : GeographicalFixture
	{
		// Correct before reactivating. [Test]
		public void _testGeographical() 
		{
			TestFramework.ApplicationAPI.Geographical geographical = new TestFramework.ApplicationAPI.Geographical();
			geographical.name = "Nouveau geographical";
			TestFramework.ApplicationAPI.GeographicalScope scope = new TestFramework.ApplicationAPI.GeographicalScope();

			scope.children = new TestFramework.ApplicationAPI.GeographicalScope();
			
			saveGeographical(geographical, scope);

			geographical = loadGeographicalFromXPath("Geographical", "Nouveau geographical", scope);
			Assert.IsNotNull(geographical.ID);
		}
	}
}