/*
 * Licensed Materials - Use restricted, please refer to the "Sample Code" terms 
 * and conditions in the IBM International Program License Agreement (IPLA).
 * 
 *  Copyright IBM Corporation 2006, 2007. All Rights Reserved.
 */

using System;
using NUnit.Framework;
using TestFramework.ApplicationAPI;

namespace Tests.organizational 
{
	/// <summary>
	/// Shows use of [ExpectedException].
	/// </summary>
	[TestFixture]
	public class OrganizationalFixture : TestFramework.TestHelper
	{
       
		public Organizational createFixture()
		{
			Organizational organizational = new Organizational();
			organizational.name = "DotNetFixture";
			OrganizationalScope scope = new OrganizationalScope();

			return (Organizational) save(organizational , scope);
		}

		public Organizational saveOrganizational(Organizational organizational, OrganizationalScope scope)
		{
			return (Organizational) save(organizational , scope);
		}

		public Organizational loadOrganizationalFromXPath(String type, String name, TestFramework.ApplicationAPI.OrganizationalScope scope)
		{
			Organizational organizational  = (Organizational)loadFromXPath(type, name, scope)[0];
			return organizational;
		}

	}
}