/*
 * Created on 1-Nov-2005
 */
package com.ibm.rpm.client.junit.applicationadministration.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.applicationadministration.containers.PoolDomain;
import com.ibm.rpm.applicationadministration.scope.PoolDomainScope;
import com.ibm.rpm.client.junit.applicationadministration.fixtures.PoolDomainFixture;
import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

/**
 * @author njarazi
 */
public class TestPoolDomainDataXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        return PoolDomainFixture.createFixture(1, (PoolDomainScope) mainScope);
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return PoolDomainFixture.createScope(1, 1);
    }

    /**
     * @param dbObject
     * @throws AssertionFailedError
     * @throws Exception
     */
    protected void objectCompare(RPMObject myObject, RPMObject dbObject,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        PoolDomainFixture.compare((PoolDomain) myObject,
                (PoolDomain) dbObject, (PoolDomainScope)mainScope);
    }
}