/*
 * Created on 19-Sep-2006
 */
package com.ibm.rpm.client.junit.communications.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.client.junit.communications.fixtures.WorkflowResponseFixture;
import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.communications.containers.WorkflowResponse;
import com.ibm.rpm.communications.scope.WorkflowResponseScope;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

/**
 * @author dominiqu
 */
public class TestWorkflowResponseDataXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        return WorkflowResponseFixture.createSaveFixture(null,
            WorkflowResponseFixture.createFullScope(), this);
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return WorkflowResponseFixture.createFullScope();
    }

    protected void objectCompare(RPMObject myObject, RPMObject dbObject,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        WorkflowResponseFixture.compare((WorkflowResponse) myObject,
            (WorkflowResponse) dbObject, (WorkflowResponseScope) scope);
    }
}
