package com.ibm.rpm.client.junit.scopemanagement.testcases;

import com.ibm.rpm.client.junit.ClientTestController;
import com.ibm.rpm.client.junit.scopemanagement.fixtures.ScopeElementFixture;
import com.ibm.rpm.scopemanagement.containers.ScopeElement;
import com.ibm.rpm.wbs.types.ScopeElementSecurityType;

public class TestSecurityElement extends ClientTestController
{
    public void testSecurityElement() throws Exception 
    {
        ScopeElement someElement = (ScopeElement)ScopeElementFixture.createSaveScopeElement(this);
        assertNotNull(someElement);
        assertEquals(someElement.getElementSecurityType(), ScopeElementSecurityType.ByInvitation);
        
        ScopeElement anyScopeElement = ScopeElementFixture.createSaveScopeElement(this);

        anyScopeElement.setElementSecurityType(ScopeElementSecurityType.ProjectLevel);
        ScopeElement returnedElement = (ScopeElement) save(anyScopeElement, null).getRpmObject();
        
        ScopeElementFixture.compare(anyScopeElement, returnedElement, null);

        anyScopeElement.setElementSecurityType(ScopeElementSecurityType.ByInvitation);
        returnedElement.setElementSecurityType(ScopeElementSecurityType.ByInvitation);
        returnedElement = (ScopeElement) save(anyScopeElement, null).getRpmObject();
        
        ScopeElementFixture.compare(anyScopeElement, returnedElement, null);
    }
}
