/*
 * +------------------------------------------------------------------------+
 * | Licensed Materials - Property of IBM                                   | 
 * | (C) Copyright IBM Corp. 2005. All Rights Reserved.                     | 
 * |                                                                        |
 * | US Government Users Restricted Rights - Use, duplication or disclosure |
 * | restricted by GSA ADP Schedule Contract with IBM Corp.                 | 
 * +------------------------------------------------------------------------+
 */
package com.ibm.rpm.client.junit.security.testcases.igs;

import com.ibm.rpm.client.junit.wbs.fixtures.PortfolioFixture;
import com.ibm.rpm.client.junit.wbs.fixtures.WorkElementFixture;
import com.ibm.rpm.resource.containers.Resource;
import com.ibm.rpm.security.containers.SecurityRole;
import com.ibm.rpm.wbs.containers.Project;
import com.ibm.rpm.wbs.containers.ResourceTaskAssignment;
import com.ibm.rpm.wbs.scope.ResourceTaskAssignmentScope;
import com.ibm.rpm.wbs.scope.WorkElementScope;

/**
 * @author Marc-Andre Lamothe
 */
public class TestProjectRoleAssignmentSecurityLocal extends BaseIGSSecurityTestLocal
{
    private WorkElementScope projectScope = null;

    private Project testProject = null;

    public void setUp() throws Exception
    {
        super.setUp();

        // Prepare a project
        projectScope = new WorkElementScope();
        projectScope.setResourceTaskAssignments(new ResourceTaskAssignmentScope());
        testProject = (Project) WorkElementFixture.createFixture(null,
            new Project(), projectScope, this);
        testProject.setPortfolio(PortfolioFixture.loadOrCreateRootPortfolio(this));
    }

    public void test() {}
    
//    public void testAddProjectRoleAssignment() throws Exception
//    {
//        // Create a Project, should succeed
//        WorkElementScope childElementScope = new WorkElementScope();
//        projectScope.setChildren(childElementScope);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//        SecurityRole managerRole = testProject.getResourceTaskAssignments()[0]
//            .getSecurityRole();
//
//        // Assign another resource as manager of the Project, should succeed
//        Resource resource = loadOrCreateUserResource("SECURITY_TESTER2", "rpm");
//        ResourceTaskAssignment assignment = new ResourceTaskAssignment();
//        assignment.setParent(testProject);
//        assignment.setResource(resource);
//        assignment.setSecurityRole(managerRole);
//        saveAndValidate(assignment, null, true);
//        addObjectToDelete(assignment);
//
//        // Assign self has manager of the project, should fail
//        resource = loadResourceWithSecurity();
//        assignment = new ResourceTaskAssignment();
//        assignment.setParent(testProject);
//        assignment.setResource(resource);
//        assignment.setSecurityRole(managerRole);
//        saveAndValidate(assignment, null, false);
//        addObjectToDelete(assignment);
//
//        // Assign another resource as manager of the Project, should fail
//        resource = loadOrCreateUserResource("SECURITY_TESTER2", "rpm");
//        assignment = new ResourceTaskAssignment();
//        assignment.setParent(testProject);
//        assignment.setResource(resource);
//        assignment.setSecurityRole(managerRole);
//        saveAndValidate(assignment, null, false);
//        addObjectToDelete(assignment);
//    }
//
//    public void testDeleteProjectRoleAssignment() throws Exception
//    {
//        // Create a Project, should succeed
//        WorkElementScope childElementScope = new WorkElementScope();
//        projectScope.setChildren(childElementScope);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//        SecurityRole managerRole = testProject.getResourceTaskAssignments()[0]
//            .getSecurityRole();
//
//        // Assign another resource as manager of the Project, should succeed
//        Resource resource = loadOrCreateUserResource("SECURITY_TESTER2", "rpm");
//        ResourceTaskAssignment assignment = new ResourceTaskAssignment();
//        assignment.setParent(testProject);
//        assignment.setResource(resource);
//        assignment.setSecurityRole(managerRole);
//        saveAndValidate(assignment, null, true);
//        addObjectToDelete(assignment);
//
//        // Delete the assignment, should fail
//        deleteAndValidate(assignment, false);
//    }

}
