package com.ibm.rpm.client.junit.security.testcases.role;

import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.wbs.containers.WorkElement;

public class PlannedWorkElementSecurityTestCanRemoveLocal extends
		AbstractPlannedWorkElementSecurityTestLocal {

	private String assignValue;
	public PlannedWorkElementSecurityTestCanRemoveLocal(Class securityRoleClass,
			RPMObject containerObject, WorkElement grandparentWorkElement,
			RPMObjectScope scope, String fieldToTest, String flagName, String assignValue)
	{
		super(securityRoleClass, containerObject, grandparentWorkElement,
				scope, fieldToTest, flagName);
		this.assignValue = assignValue;
	}
	
	protected void verifyMustFailScenario() throws Exception 
	{
		((WorkElement)testObject).setContainingProject((WorkElement)parentObject);
		assign(assignValue);
		((WorkElement)testObject).getResourceTaskAssignments()[1].getTaskAssignment().setRemainingHours(new Double(0));
    	testObject = save(testObject, testObjectScope).getRpmObject();
    	verifyMustFailScenarioForRemove();
	}

	protected void verifyMustSuccessScenario() throws Exception 
	{
		verifyMustSuccessScenarioForRemove();
	}

}
