package com.ibm.rpm.communications.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class WorkflowStepNotification  extends com.ibm.rpm.communications.containers.GenericCommunication {

			
		public static final int TYPE_ID = 70;
	
		
		
		
	public WorkflowStepNotification() {
		assignTypeID(new Integer(TYPE_ID));
	}
	
		
			
	private java.lang.String description; 	
	public java.lang.String  getDescription() {
		return this.description;
	}
	
	public void setDescription(java.lang.String value) {
		this.description = value;
	}
	
			
	public void deltaDescription(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, description))) {
			description_is_modified = true;
		}
	}
	
	private boolean description_is_modified = false;
	
	public boolean testDescriptionModified() {
		return description_is_modified;
	}
		
		
	private java.util.Calendar dueDate; 	
	public java.util.Calendar  getDueDate() {
		return this.dueDate;
	}
	
	public void setDueDate(java.util.Calendar value) {
		this.dueDate = value;
	}
	
			
	public void deltaDueDate(java.util.Calendar oldValue) {
		if (!(CompareUtil.equals(oldValue, dueDate))) {
			dueDate_is_modified = true;
		}
	}
	
	private boolean dueDate_is_modified = false;
	
	public boolean testDueDateModified() {
		return dueDate_is_modified;
	}
		
		
	private java.util.Calendar closedDate; 	
	public java.util.Calendar  getClosedDate() {
		return this.closedDate;
	}
	
	public void setClosedDate(java.util.Calendar value) {
		this.closedDate = value;
	}
	
			
	public void deltaClosedDate(java.util.Calendar oldValue) {
		if (!(CompareUtil.equals(oldValue, closedDate))) {
			closedDate_is_modified = true;
		}
	}
	
	private boolean closedDate_is_modified = false;
	
	public boolean testClosedDateModified() {
		return closedDate_is_modified;
	}
		
		
	private com.ibm.rpm.workflow.containers.RunningWorkflowProcess runningWorkflowProcess; 	
	public com.ibm.rpm.workflow.containers.RunningWorkflowProcess  getRunningWorkflowProcess() {
		return this.runningWorkflowProcess;
	}
	
	public void setRunningWorkflowProcess(com.ibm.rpm.workflow.containers.RunningWorkflowProcess value) {
		this.runningWorkflowProcess = value;
	}
	
			
	public void deltaRunningWorkflowProcess(com.ibm.rpm.workflow.containers.RunningWorkflowProcess oldValue) {
		if (!(CompareUtil.equals(oldValue, runningWorkflowProcess))) {
			runningWorkflowProcess_is_modified = true;
		}
	}
	
	private boolean runningWorkflowProcess_is_modified = false;
	
	public boolean testRunningWorkflowProcessModified() {
		return runningWorkflowProcess_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        description_is_modified = false;      
                                
        dueDate_is_modified = false;      
                                
        closedDate_is_modified = false;      
                                
        runningWorkflowProcess_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (description != null) {
     		description_is_modified = true;
     	}
     	     	     	     	
     	if (dueDate != null) {
     		dueDate_is_modified = true;
     	}
     	     	     	     	
     	if (closedDate != null) {
     		closedDate_is_modified = true;
     	}
     	     	     	     	
     	if (runningWorkflowProcess != null) {
     		runningWorkflowProcess_is_modified = true;
     	}
     	     	     	
     }
     
     
}