/*
 * Created on 5-Oct-2005
 */
package com.ibm.rpm.document.constants;

/**
 * @author dominiqu
 */
public class ValidationConstants
{
    public final static int ABSTRACTDOCUMENT_KEYWORDS_MAX = 255;
    public final static int ABSTRACTDOCUMENT_REFERENCENUMBER_MAX = 50;
    public final static int ABSTRACTDOCUMENT_SUMMARY_MAX = 1024;
    
    public final static int URL_MAX = 255;
    
    public final static int DOCUMENTELEMENT_NAME_MAX = 255;
    
    public final static int NOTEMINUTES_PRIORITY_MIN = 0;
    public final static int NOTEMINUTES_PRIORITY_MAX = 1000;
    public final static int NOTEMINUTES_RANK_MIN = 0;
    public final static int NOTEMINUTES_RANK_MAX = 1000;
    
    public final static String PRIVATE_FOLDER_FIELD = "privateFolder";
    public final static String PARENT_FIELD = "parent";
    public final static String RESOURCE_ASSIGNMENTS_FIELD = "resourceAssignments";
    public final static String CHILDREN_FIELD = "children";
    public final static String NAME_FIELD = "name";
    public final static String PRIORITY_FIELD = "Priority";
    public final static String RANK_FIELD = "Rank";
    public final static String RTF_ASSIGNMENT_FIELD = "rtfAssignment";
    public final static String STATE_FIELD = "state";
    public final static String ATTRIBUTE_ASSIGNMENTS_FIELD = "attributeAssignments";
    public final static String CUSTOM_FIELD_ASSIGNMENTS_FIELD = "customFieldAssignments";
    public final static String ELEMENT_SECURITY_TYPE_FIELD = "elementSecurityType";
    public final static String LOCKED_FIELD = "locked";
    public final static String STATUS_UPDATES_FIELD = "statusUpdates";
    public final static String VISIBLE_AT_PARENT_FIELD = "visibleAtParent";
    public final static String ELEMENT_NUMBER_FIELD = "elementNumber";
    public final static String KEYWORDS_FIELD = "keywords";
    public final static String MAJOR_REVISION_NUMBER_FIELD = "majorRevisionNumber";
    public final static String MINOR_REVISION_NUMBER_FIELD = "minorRevisionNumber";
    public final static String PUBLISHED_FIELD = "published";
    public final static String REFERENCE_NUMBER_FIELD = "referenceNumber";
    public final static String SUMMARY_FIELD = "summary";
}
