/**
 * Created on Feb 3, 2006
 * @author shahla
 */
package com.ibm.rpm.financial.checkpoints;

import java.util.ArrayList;
import java.util.List;

import com.ibm.rpm.financial.containers.TimeCodeCategory;
import com.ibm.rpm.framework.MessageContext;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;


public class TimeCodeCheckpoint extends AbstractTimeCodeCheckpoint
{
    private static final List TIME_CODE_PARENT_LIST = new ArrayList();
    protected static TimeCodeCheckpoint instance = 
        new TimeCodeCheckpoint();
    
    static
    {
        TIME_CODE_PARENT_LIST.add(TimeCodeCategory.class);
    }
    
    public static TimeCodeCheckpoint getInstance()
    {
        return instance;
    }
    
    public void validateSave(RPMObject rpmObject, RPMObjectScope rpmScope,
            MessageContext msgCtx)
    {
        super.validateSave(rpmObject, rpmScope, msgCtx);
        isValidParent(rpmObject, msgCtx, true, TIME_CODE_PARENT_LIST);
    }
}
