package com.ibm.rpm.framework.security.controller.impl.resource;

import java.util.Map;

import com.ibm.rpm.asset.containers.AssetFolder;
import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;

class ResourceBasedAssetFolderSecurityController extends
        ResourceBasedGenericAssetSecurityController
{

    public Class getContainerClass()
    {
        return AssetFolder.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        super.generateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("folders", getContainerClass());
        fieldInfo.canReadSecurityFlags = readSecurityFlags;
        fieldInfo.canWriteSecurityFlags = writeSecurityFlags;
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
