///**
// * 
// */
//package com.ibm.rpm.framework.security.controller.impl.resource;
//
//import java.text.MessageFormat;
//
//import com.ibm.rpm.applicationadministration.containers.RPMCalendar;
//import com.ibm.rpm.framework.MessageContext;
//import com.ibm.rpm.framework.RPMObject;
//import com.ibm.rpm.framework.security.SecurityFlags.RESOURCE;
//import com.ibm.rpm.framework.security.controller.SecurityValidationResult;
//import com.ibm.rpm.framework.security.controller.impl.CombinedSecurityFlags;
//import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;
//import com.ibm.rpm.framework.security.controller.impl.SecurityControllerUtil;
//import com.ibm.rpm.framework.util.StringUtil;
//
//class ResourceBasedCalendarDayMappingEntry extends FieldMappingEntry
//{
//    public ResourceBasedCalendarDayMappingEntry(String fieldName,
//            Class container)
//    {
//        super(fieldName, container);
//    }
//
//    public SecurityValidationResult canRead(RPMObject rpmObject,
//            CombinedSecurityFlags securityFlags, MessageContext messageContext)
//    {
//        RPMCalendar calendar = (RPMCalendar) SecurityControllerUtil.loadParent(
//            messageContext, rpmObject);
//        if (calendar != null)
//        {
//            String resourceID = SecurityControllerUtil
//                .loadResourceIdWithCalendar(messageContext, calendar);
//            if (resourceID != null)
//            {
//                if (messageContext.getUser().getID().equals(resourceID))
//                {
//                    return SecurityControllerUtil.calculateVirtualFlagResult(
//                        RESOURCE.CanViewPersonalCalendar, securityFlags,
//                        getViewErrorMessage(), rpmObject.getClass());
//                }
//                else
//                {
//                    //no flag to view other calendar, return false
//                    return SecurityValidationResult
//                        .makeFalseResult(MessageFormat.format(
//                            getViewErrorMessage(), new Object[]
//                            {
//                                StringUtil.getShortClassName(rpmObject
//                                    .getClass())
//                            }));
//                }
//            }
//            return SecurityControllerUtil.calculateFlagResult(
//                RESOURCE.CanEditCalendarAdmin, securityFlags,
//                getViewErrorMessage(), rpmObject.getClass());
//        }
//        return SecurityValidationResult.UNDEFINED_RESULT;
//    }
//
//    public SecurityValidationResult canWrite(RPMObject rpmObject,
//            CombinedSecurityFlags securityFlags, MessageContext messageContext)
//    {
//        RPMCalendar calendar = (RPMCalendar) SecurityControllerUtil.loadParent(
//            messageContext, rpmObject);
//        if (calendar != null)
//        {
//            String resourceID = SecurityControllerUtil
//                .loadResourceIdWithCalendar(messageContext, calendar);
//            if (resourceID != null)
//            {
//                if (messageContext.getUser().getID().equals(resourceID))
//                {
//                    return SecurityControllerUtil.calculateFlagResult(
//                        RESOURCE.CanEditPersonalCalendar, securityFlags,
//                        getEditErrorMessage(), rpmObject.getClass());
//                }
//                else
//                {
//                    return SecurityControllerUtil.calculateFlagResult(
//                        RESOURCE.CanEditResourceCalendar, securityFlags,
//                        getEditErrorMessage(), rpmObject.getClass());
//                }
//            }
//            return SecurityControllerUtil.calculateFlagResult(
//                RESOURCE.CanEditCalendarAdmin, securityFlags,
//                getEditErrorMessage(), rpmObject.getClass());
//        }
//        return SecurityValidationResult.UNDEFINED_RESULT;
//    }
//}