///**
// * 
// */
//package com.ibm.rpm.framework.security.controller.impl.resource;
//
//import java.text.MessageFormat;
//
//import com.ibm.rpm.applicationadministration.containers.RPMCalendar;
//import com.ibm.rpm.framework.MessageContext;
//import com.ibm.rpm.framework.RPMObject;
//import com.ibm.rpm.framework.security.SecurityFlags.RESOURCE;
//import com.ibm.rpm.framework.security.controller.SecurityValidationResult;
//import com.ibm.rpm.framework.security.controller.impl.CombinedSecurityFlags;
//import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;
//import com.ibm.rpm.framework.security.controller.impl.SecurityControllerUtil;
//import com.ibm.rpm.framework.util.StringUtil;
//
//class ResourceBasedRPMCalendarMappingEntry extends FieldMappingEntry
//{
//
//    public ResourceBasedRPMCalendarMappingEntry(String fieldName,
//            Class container)
//    {
//        super(fieldName, container);
//    }
//
//    public SecurityValidationResult canRead(RPMObject rpmObject,
//            CombinedSecurityFlags securityFlags, MessageContext messageContext)
//    {
//        String resourceID = SecurityControllerUtil.loadResourceIdWithCalendar(
//            messageContext, (RPMCalendar) rpmObject);
//        if (resourceID != null)
//        {
//            if (messageContext.getUser().getID().equals(resourceID))
//            {
//                return SecurityControllerUtil.calculateVirtualFlagResult(
//                    RESOURCE.CanViewPersonalCalendar, securityFlags,
//                    getViewErrorMessage(), rpmObject.getClass());
//            }
//            else
//            {
//                return SecurityValidationResult.makeFalseResult(MessageFormat
//                    .format(getViewErrorMessage(), new Object[]
//                    {
//                        StringUtil.getShortClassName(rpmObject.getClass())
//                    }));
//            }
//        }
//        return SecurityControllerUtil.calculateVirtualFlagResult(
//            RESOURCE.CanEditCalendarAdmin, securityFlags,
//            getViewErrorMessage(), rpmObject.getClass());
//    }
//
//    public SecurityValidationResult canWrite(RPMObject rpmObject,
//            CombinedSecurityFlags securityFlags, MessageContext messageContext)
//    {
//        if (canWriteSecurityFlags != null)
//        {
//            String resourceID = SecurityControllerUtil
//                .loadResourceIdWithCalendar(messageContext,
//                    (RPMCalendar) rpmObject);
//            if (resourceID != null)
//            {
//                if (messageContext.getUser().getID().equals(resourceID))
//                {
//                    return SecurityControllerUtil.calculateVirtualFlagResult(
//                        RESOURCE.CanEditPersonalCalendar, securityFlags,
//                        getEditErrorMessage(), rpmObject.getClass());
//                }
//                else
//                {
//                    return SecurityControllerUtil.calculateVirtualFlagResult(
//                        RESOURCE.CanEditResourceCalendar, securityFlags,
//                        getEditErrorMessage(), rpmObject.getClass());
//                }
//            }
//            return SecurityControllerUtil.calculateVirtualFlagResult(
//                RESOURCE.CanEditCalendarAdmin, securityFlags,
//                getEditErrorMessage(), rpmObject.getClass());
//        }
//        return SecurityValidationResult.UNDEFINED_RESULT;
//    }
//}