package com.ibm.rpm.framework.security.controller.impl.resource;

import java.util.Map;

import com.ibm.rpm.applicationadministration.containers.ValueDatafield;
import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;

class ResourceBasedValueDatafieldSecurityController extends
        ResourceBasedGenericDatafieldSecurityController
{

    public Class getContainerClass()
    {
        return ValueDatafield.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        super.generateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("value", getContainerClass());
        fieldInfo.canWriteSecurityFlags = writeSecurityFlags;
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
