package com.ibm.rpm.framework.security.controller.impl.role;

import java.util.Iterator;
import java.util.Map;
import java.util.Map.Entry;

import com.ibm.rpm.applicationadministration.containers.ChargeCodeState;

class RoleBasedChargeCodeStateSecurityController extends
        RoleBasedDatafieldStateSecurityController
{

    public Class getContainerClass()
    {
        return ChargeCodeState.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        super.generateFieldMappingEntries(mappingEntryMap);
        Iterator it = mappingEntryMap.entrySet().iterator();
        while (it.hasNext())
        {
            Entry entry = (Entry) it.next();
            entry.setValue(new RoleBasedChargeCodeStateSecurityMappingEntry(
                (String) entry.getKey(), getContainerClass()));
        }
    }

}
