package com.ibm.rpm.framework.security.controller.impl.role;

import java.util.Map;

import com.ibm.rpm.document.containers.UrlDocument;
import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;

class RoleBasedUrlDocumentSecurityController extends
        RoleBasedAbstractDocumentSecurityController
{

    public Class getContainerClass()
    {
        return UrlDocument.class;
    }

    protected void doGenerateFieldMappingEntries(Map mappingEntryMap)
    {
        super.doGenerateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("url", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);

        // --------------------------------------------------------
        fieldInfo = new RoleBasedDocumentPropertiesMappingEntry("processLink",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);

        // --------------------------------------------------------
        fieldInfo = new RoleBasedDocumentPropertiesMappingEntry("RUPLink",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }   
}
