// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// WARNING! This container list is full. Add new entries to ContainerList2.
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
package com.ibm.rpm.interfaces;

import com.ibm.rpm.applicationadministration.containers.ActionRTF;
import com.ibm.rpm.applicationadministration.containers.ActionState;
import com.ibm.rpm.applicationadministration.containers.ArchivedProject;
import com.ibm.rpm.applicationadministration.containers.AssetRTF;
import com.ibm.rpm.applicationadministration.containers.AssetRevisionImpact;
import com.ibm.rpm.applicationadministration.containers.AssetRevisionType;
import com.ibm.rpm.applicationadministration.containers.Attribute;
import com.ibm.rpm.applicationadministration.containers.AttributeAssignment;
import com.ibm.rpm.applicationadministration.containers.AttributeCategory;
import com.ibm.rpm.applicationadministration.containers.AttributeClassification;
import com.ibm.rpm.applicationadministration.containers.BenefitDatafield1;
import com.ibm.rpm.applicationadministration.containers.BenefitDatafield2;
import com.ibm.rpm.applicationadministration.containers.BenefitDatafieldLabelText;
import com.ibm.rpm.applicationadministration.containers.BenefitLabelText;
import com.ibm.rpm.applicationadministration.containers.CapitalDatafield1;
import com.ibm.rpm.applicationadministration.containers.CapitalDatafield2;
import com.ibm.rpm.applicationadministration.containers.CapitalDatafieldLabelText;
import com.ibm.rpm.applicationadministration.containers.CapitalLabelText;
import com.ibm.rpm.applicationadministration.containers.ChangeRequestRTF;
import com.ibm.rpm.applicationadministration.containers.ChangeRequestState;
import com.ibm.rpm.applicationadministration.containers.CitizenshipCountryCode;
import com.ibm.rpm.applicationadministration.containers.City;
import com.ibm.rpm.applicationadministration.containers.Classification;
import com.ibm.rpm.applicationadministration.containers.ClientRTF;
import com.ibm.rpm.applicationadministration.containers.CommonScopeRTF;
import com.ibm.rpm.applicationadministration.containers.CommonWbsRTF;
import com.ibm.rpm.applicationadministration.containers.CompanyNameCode;
import com.ibm.rpm.applicationadministration.containers.CompanySize;
import com.ibm.rpm.applicationadministration.containers.ContactGroup;
import com.ibm.rpm.applicationadministration.containers.ContactGroupAssignment;
import com.ibm.rpm.applicationadministration.containers.Country;
import com.ibm.rpm.applicationadministration.containers.CountryState;
import com.ibm.rpm.applicationadministration.containers.Currency;
import com.ibm.rpm.applicationadministration.containers.CustomDatafield;
import com.ibm.rpm.applicationadministration.containers.CustomDatafieldCategory;
import com.ibm.rpm.applicationadministration.containers.DatafieldCategory;
import com.ibm.rpm.applicationadministration.containers.DatafieldRTF;
import com.ibm.rpm.applicationadministration.containers.DefectRTF;
import com.ibm.rpm.applicationadministration.containers.DefectState;
import com.ibm.rpm.applicationadministration.containers.DeliverableRTF;
import com.ibm.rpm.applicationadministration.containers.DeliverableState;
import com.ibm.rpm.applicationadministration.containers.Department;
import com.ibm.rpm.applicationadministration.containers.DocumentRevisionType;
import com.ibm.rpm.applicationadministration.containers.EmployeeStatus;
import com.ibm.rpm.applicationadministration.containers.ExpenseCapitalCommonBenefitDatafield1;
import com.ibm.rpm.applicationadministration.containers.ExpenseCapitalCommonBenefitDatafield2;
import com.ibm.rpm.applicationadministration.containers.ExpenseCapitalCommonDatafieldLabelText;
import com.ibm.rpm.applicationadministration.containers.ExpenseDatafield1;
import com.ibm.rpm.applicationadministration.containers.ExpenseDatafield2;
import com.ibm.rpm.applicationadministration.containers.ExpenseDatafieldLabelText;
import com.ibm.rpm.applicationadministration.containers.ExpenseLabelText;
import com.ibm.rpm.applicationadministration.containers.Experience;
import com.ibm.rpm.applicationadministration.containers.GenericAttribute;
import com.ibm.rpm.applicationadministration.containers.GeographicalAssignment;
import com.ibm.rpm.applicationadministration.containers.Group;
import com.ibm.rpm.applicationadministration.containers.IndustryType;
import com.ibm.rpm.applicationadministration.containers.IssueRTF;
import com.ibm.rpm.applicationadministration.containers.IssueState;
import com.ibm.rpm.applicationadministration.containers.Language;
import com.ibm.rpm.applicationadministration.containers.Location;
import com.ibm.rpm.applicationadministration.containers.MilestoneRTF;
import com.ibm.rpm.applicationadministration.containers.NoteMinutesRTF;
import com.ibm.rpm.applicationadministration.containers.Office;
import com.ibm.rpm.applicationadministration.containers.Organization;
import com.ibm.rpm.applicationadministration.containers.OrganizationalAssignment;
import com.ibm.rpm.applicationadministration.containers.PoolDomain;
import com.ibm.rpm.applicationadministration.containers.ProjectRTF;
import com.ibm.rpm.applicationadministration.containers.RPMCalendar;
import com.ibm.rpm.applicationadministration.containers.Region;
import com.ibm.rpm.applicationadministration.containers.RequirementRTF;
import com.ibm.rpm.applicationadministration.containers.RequirementRevisionType;
import com.ibm.rpm.applicationadministration.containers.RequirementState;
import com.ibm.rpm.applicationadministration.containers.ResourceCustomFields;
import com.ibm.rpm.applicationadministration.containers.ResourceRevisionType;
import com.ibm.rpm.applicationadministration.containers.RevisionImpact;
import com.ibm.rpm.applicationadministration.containers.RiskRTF;
import com.ibm.rpm.applicationadministration.containers.RiskState;
import com.ibm.rpm.applicationadministration.containers.ScheduleImpact;
import com.ibm.rpm.applicationadministration.containers.ScopeElementsRevisionType;
import com.ibm.rpm.applicationadministration.containers.ScorecardRevisionType;
import com.ibm.rpm.applicationadministration.containers.ScorecardState;
import com.ibm.rpm.applicationadministration.containers.ServiceRequestRTF;
import com.ibm.rpm.applicationadministration.containers.ServiceRequestState;
import com.ibm.rpm.applicationadministration.containers.State;
import com.ibm.rpm.applicationadministration.containers.SummaryTaskRTF;
import com.ibm.rpm.applicationadministration.containers.TaskRTF;
import com.ibm.rpm.applicationadministration.containers.TaskState;
import com.ibm.rpm.applicationadministration.containers.WbsRevisionType;
import com.ibm.rpm.applicationadministration.containers.WorkLocation;
import com.ibm.rpm.applicationadministration.containers.WorkProductRTF;
import com.ibm.rpm.applicationadministration.containers.WorkingStatus;
import com.ibm.rpm.applicationadministration.scope.AttributeScope;
import com.ibm.rpm.applicationadministration.scope.CalendarScope;
import com.ibm.rpm.applicationadministration.scope.ContactGroupScope;
import com.ibm.rpm.applicationadministration.scope.GeographicalScope;
import com.ibm.rpm.applicationadministration.scope.OrganizationalScope;
import com.ibm.rpm.applicationadministration.scope.PoolDomainScope;
import com.ibm.rpm.asset.containers.Asset;
import com.ibm.rpm.asset.containers.AssetFolder;
import com.ibm.rpm.asset.containers.AssetModule;
import com.ibm.rpm.asset.containers.AssetOrganizationalAssignment;
import com.ibm.rpm.asset.containers.AssetResourceAssignment;
import com.ibm.rpm.asset.containers.CrossChargeFinancials;
import com.ibm.rpm.asset.containers.DepreciationSchedule;
import com.ibm.rpm.asset.containers.MaintenanceEstimates;
import com.ibm.rpm.asset.scope.AssetModuleScope;
import com.ibm.rpm.asset.scope.AssetScope;
import com.ibm.rpm.asset.scope.CrossChargeFinancialsScope;
import com.ibm.rpm.clientcostcenters.containers.ClientCostCenter;
import com.ibm.rpm.clientcostcenters.containers.ClientFolder;
import com.ibm.rpm.clientcostcenters.containers.ClientModule;
import com.ibm.rpm.clientcostcenters.containers.Division;
import com.ibm.rpm.clientcostcenters.scope.ClientCostCenterScope;
import com.ibm.rpm.clientcostcenters.scope.ClientModuleScope;
import com.ibm.rpm.document.containers.DelDoc;
import com.ibm.rpm.document.containers.Document;
import com.ibm.rpm.document.containers.DocumentFolder;
import com.ibm.rpm.document.containers.DocumentModule;
import com.ibm.rpm.document.containers.NoteMinutes;
import com.ibm.rpm.document.containers.Software;
import com.ibm.rpm.document.containers.UrlDocument;
import com.ibm.rpm.document.containers.WPDoc;
import com.ibm.rpm.document.scope.DocumentModuleScope;
import com.ibm.rpm.document.scope.DocumentScope;
import com.ibm.rpm.expense.containers.ExpenseItem;
import com.ibm.rpm.expense.containers.Invoice;
import com.ibm.rpm.expense.scope.InvoiceScope;
import com.ibm.rpm.financial.containers.ChargeCode;
import com.ibm.rpm.financial.containers.ChargeCodeCategory;
import com.ibm.rpm.financial.containers.TimeCodeAssignment;
import com.ibm.rpm.financial.containers.TimeCodeCategory;
import com.ibm.rpm.financial.containers.TimeCodeGroup;
import com.ibm.rpm.financial.containers.TimePhasedFinancial;
import com.ibm.rpm.financial.containers.WbsFinancial;
import com.ibm.rpm.financial.containers.WorksheetFinancial;
import com.ibm.rpm.financial.scope.ChargeCodeScope;
import com.ibm.rpm.financial.scope.FinancialScope;
import com.ibm.rpm.financial.scope.TimePhasedFinancialScope;
import com.ibm.rpm.financial.types.BudgetType;
import com.ibm.rpm.financial.types.RevenueRecognitionMethodType;
import com.ibm.rpm.financial.types.TimePhasedType;
import com.ibm.rpm.framework.Property;
import com.ibm.rpm.framework.containers.StatusUpdate;
import com.ibm.rpm.resource.containers.Education;
import com.ibm.rpm.resource.containers.EmploymentHistory;
import com.ibm.rpm.resource.containers.IndustryExperience;
import com.ibm.rpm.resource.containers.LanguageProficiency;
import com.ibm.rpm.resource.containers.LocationPreferences;
import com.ibm.rpm.resource.containers.Passport;
import com.ibm.rpm.resource.containers.Pool;
import com.ibm.rpm.resource.containers.PoolModule;
import com.ibm.rpm.resource.containers.PoolReference;
import com.ibm.rpm.resource.containers.ProjectHistory;
import com.ibm.rpm.resource.containers.Resource;
import com.ibm.rpm.resource.containers.ResourceAttributeAssignment;
import com.ibm.rpm.resource.containers.ResourceAttributeCompetency;
import com.ibm.rpm.resource.containers.ResourceAttributeCompetencyCategory;
import com.ibm.rpm.resource.containers.ResourceAttributeCompetencyClassification;
import com.ibm.rpm.resource.containers.ResourceAttributeCompetencyProficiencyLevel;
import com.ibm.rpm.resource.containers.ResourceAttributeSkill;
import com.ibm.rpm.resource.containers.ResourceAttributeSkillCategory;
import com.ibm.rpm.resource.containers.ResourceAttributeSkillClassification;
import com.ibm.rpm.resource.containers.ResourceAttributeSkillProficiencyLevel;
import com.ibm.rpm.resource.containers.ResourceCostCenterAssignment;
import com.ibm.rpm.resource.containers.ResourceModule;
import com.ibm.rpm.resource.containers.ResourceRoleAssignment;
import com.ibm.rpm.resource.scope.PoolModuleScope;
import com.ibm.rpm.resource.scope.PoolReferenceScope;
import com.ibm.rpm.resource.scope.PoolScope;
import com.ibm.rpm.resource.scope.ResourceAttributeScope;
import com.ibm.rpm.resource.scope.ResourceModuleScope;
import com.ibm.rpm.resource.scope.ResourceScope;
import com.ibm.rpm.scopemanagement.containers.Action;
import com.ibm.rpm.scopemanagement.containers.ApprovedCostBenefits;
import com.ibm.rpm.scopemanagement.containers.ChangeRequest;
import com.ibm.rpm.scopemanagement.containers.Defect;
import com.ibm.rpm.scopemanagement.containers.Duplicate;
import com.ibm.rpm.scopemanagement.containers.Impact;
import com.ibm.rpm.scopemanagement.containers.Issue;
import com.ibm.rpm.scopemanagement.containers.MitigationFactor;
import com.ibm.rpm.scopemanagement.containers.MitigationTrigger;
import com.ibm.rpm.scopemanagement.containers.OrderOfMagnitudeCostBenefits;
import com.ibm.rpm.scopemanagement.containers.Requirement;
import com.ibm.rpm.scopemanagement.containers.Risk;
import com.ibm.rpm.scopemanagement.containers.RiskMatrix;
import com.ibm.rpm.scopemanagement.containers.ScopeDeliverable;
import com.ibm.rpm.scopemanagement.containers.ScopeElement;
import com.ibm.rpm.scopemanagement.containers.ScopeFolder;
import com.ibm.rpm.scopemanagement.containers.ScopeManagementModule;
import com.ibm.rpm.scopemanagement.containers.ScopeMilestone;
import com.ibm.rpm.scopemanagement.containers.ScopeScheduleDate;
import com.ibm.rpm.scopemanagement.containers.ScopeSummaryTask;
import com.ibm.rpm.scopemanagement.containers.ScopeTask;
import com.ibm.rpm.scopemanagement.containers.ServiceRequest;
import com.ibm.rpm.scopemanagement.scope.ScopeElementScope;
import com.ibm.rpm.scopemanagement.scope.ScopeManagementModuleScope;
import com.ibm.rpm.scorecard.containers.Scorecard;
import com.ibm.rpm.scorecard.containers.ScorecardCategory;
import com.ibm.rpm.scorecard.containers.ScorecardFolder;
import com.ibm.rpm.scorecard.containers.ScorecardQuestion;
import com.ibm.rpm.scorecard.containers.ScorecardResponse;
import com.ibm.rpm.scorecard.scope.ScorecardCategoryScope;
import com.ibm.rpm.scorecard.scope.ScorecardFolderScope;
import com.ibm.rpm.scorecard.scope.ScorecardQuestionScope;
import com.ibm.rpm.scorecard.scope.ScorecardResponseScope;
import com.ibm.rpm.scorecard.scope.ScorecardScope;
import com.ibm.rpm.timesheet.containers.DefaultAdministrativeTask;
import com.ibm.rpm.timesheet.containers.AdministrativeTaskAssignment;
import com.ibm.rpm.timesheet.containers.PersonalTask;
import com.ibm.rpm.wbs.containers.Deliverable;
import com.ibm.rpm.wbs.containers.ElementDependency;
import com.ibm.rpm.wbs.containers.GenericProject;
import com.ibm.rpm.wbs.containers.Milestone;
import com.ibm.rpm.wbs.containers.Opportunity;
import com.ibm.rpm.wbs.containers.Portfolio;
import com.ibm.rpm.wbs.containers.Project;
import com.ibm.rpm.wbs.containers.Proposal;
import com.ibm.rpm.wbs.containers.SummaryTask;
import com.ibm.rpm.wbs.containers.Task;
import com.ibm.rpm.wbs.containers.TaskAssignment;
import com.ibm.rpm.wbs.containers.WbsModule;
import com.ibm.rpm.wbs.containers.WbsScheduleDate;
import com.ibm.rpm.wbs.containers.WorkElement;
import com.ibm.rpm.wbs.containers.WorkOrganization;
import com.ibm.rpm.wbs.containers.WorkProduct;
import com.ibm.rpm.wbs.scope.PortfolioScope;
import com.ibm.rpm.wbs.scope.TaskAssignmentScope;
import com.ibm.rpm.wbs.scope.WbsModuleScope;
import com.ibm.rpm.wbs.scope.WorkElementScope;

public class ContainerList
{
    private ContainerList declareContainerList;

    private ContainerList2 declareContainerList2;

    //Framework
    private Property declareProperty;

    private StatusUpdate declareStatusUpdate;

    //Application administration
    private ContactGroup declareContactGroups;

    private Currency declareCurrency;

    private RPMCalendar declareRPMCalendar;

    private PoolDomain declarePoolDomain;

    private CalendarScope declareCalendarScope;

    private PoolDomainScope declarePoolDomainScope;

    private ContactGroupScope declareContactGroupScope;

    private ArchivedProject declareArchivedProject;

    //Application administration - Datafield
    private DatafieldCategory declareDatafieldCategory;

    private CustomDatafieldCategory declareCustomDatafieldCategory;

    private CustomDatafield declareCustomDatafield;

    private CompanySize declareCompanySize;

    private Classification declareClassification;

    private Experience declareExperience;

    private IndustryType declareIndustryType;

    private Language declareLanguage;

    private EmployeeStatus declareEmployeeStatus;

    private CitizenshipCountryCode declareCitizenshipCountryCode;

    private RiskState declareRiskState;

    private WorkLocation declareWorkLocation;

    private WorkingStatus declareWorkingStatus;

    private ContactGroupAssignment declareContactGroupAssignment;

    private GeographicalAssignment declareGeographicalAssignment;

    private OrganizationalAssignment declareOrganizationalAssignment;

    private BenefitDatafield1 declareBenefitDatafield1;

    private BenefitDatafield2 declareBenefitDatafield2;

    private BenefitDatafieldLabelText declareBenefitDatafieldLabelText;

    private BenefitLabelText declareBenefitLabelText;

    private CapitalDatafield1 declareCapitalDatafield1;

    private CapitalDatafield2 declareCapitalDatafield2;

    private CapitalDatafieldLabelText declareCapitalDatafieldLabelText;

    private CapitalLabelText declareCapitalLabelText;

    private CompanyNameCode declareCompanyNameCode;

    private ExpenseCapitalCommonBenefitDatafield1 declareExpenseCapitalCommonBenefitDatafield1;

    private ExpenseCapitalCommonBenefitDatafield2 declareExpenseCapitalCommonBenefitDatafield2;

    private ExpenseCapitalCommonDatafieldLabelText declareExpenseCapitalCommonDatafieldLabelText;

    private ExpenseDatafield1 declareExpenseDatafield1;

    private ExpenseDatafield2 declareExpenseDatafield2;

    private ExpenseDatafieldLabelText declareExpenseDatafieldLabelText;

    private ExpenseLabelText declareExpenseLabelText;

    private ResourceCustomFields declareResourceCustomFields;

    //Application administration - State
    private ActionState declareActionState;

    private ChangeRequestState declareChangeRequestState;

    private DefectState declareDefectState;

    private DeliverableState declareDeliverableState;

    private IssueState declareIssueState;

    private RequirementState declareRequirementState;

    private ScorecardState declareScorecardState;

    private ServiceRequestState declareServiceRequestState;

    private State declareState;

    private TaskState declareTaskState;

    //Application administration - Impact
    private AssetRevisionImpact declareAssetRevisionImpact;

    private RevisionImpact declareRevisionImpact;

    private ScheduleImpact declareScheduleImpact;

    //Application administration - Type
    private AssetRevisionType declareAssetRevisionType;

    private DocumentRevisionType declareDocumentRevisionType;

    private RequirementRevisionType declareRequirementRevisionType;

    private ResourceRevisionType declareResourceRevisionType;

    private ScopeElementsRevisionType declareScopeElementsRevisionType;

    private ScorecardRevisionType declareScorecardRevisionType;

    private WbsRevisionType declareWbsRevisionType;

    //RTF
    private ClientRTF declareClientRTF;

    private WorkProductRTF declareWorkProductRTF;

    private DeliverableRTF declareDeliverableRTF;

    private DefectRTF declareDefectRTF;

    private DatafieldRTF declareDatafieldRTF;

    private TaskRTF declareTaskRTF;

    private CommonWbsRTF declareCommonWBSRTF;

    private CommonScopeRTF declareCommonScopeRTF;

    private ChangeRequestRTF declareChangeRequestRTF;

    private AssetRTF declareAssetRTF;

    private ActionRTF declareActionRTF;

    private SummaryTaskRTF declareSummaryTaskRTF;

    private RiskRTF declareRiskRTF;

    private RequirementRTF declareRequirementRTF;

    private ProjectRTF declareProjectRTF;

    private NoteMinutesRTF declareNoteMinutesRTF;

    private MilestoneRTF declareMilestoneRTF;

    private IssueRTF declareIssueRTF;

    private ServiceRequestRTF declareServiceRequestRTF;

    //Application administration - Attribute
    private AttributeScope declareAttributeScope;

    private GenericAttribute declareGenericAttribute;

    private AttributeCategory declareAttributeCategory;

    private AttributeClassification declareAttributeClassification;

    private Attribute declareAttribute;

    private AttributeAssignment declareAttributeAssignment;

    //Application administration - Geographical
    private City declareCity;

    private Country declareCountry;

    private CountryState declareCountryState;

    private Location declareLocation;

    private Region declareRegion;

    private GeographicalScope declareGeographicalScope;

    //Application administration - Organizational
    private Department declareDepartment;

    private Group declareGroup;

    private Office declareOffice;

    private Organization declareOrganization;

    private OrganizationalScope declareOrganizationalScope;

    // Scorecards
    private ScorecardFolder declareScorecardFolder;

    private Scorecard declareScorecard;

    private ScorecardCategory declareScorecardCategory;

    private ScorecardQuestion declareScorecardQuestion;

    private ScorecardResponse declareScorecardResponse;

    private ScorecardFolderScope declareScorecardFolderScope;

    private ScorecardScope declareScorecardScope;

    private ScorecardCategoryScope declareScorecardCategoryScope;

    private ScorecardQuestionScope declareScorecardQuestionScope;

    private ScorecardResponseScope declareScorecardResponseScope;

    //Asset
    private Asset declareAsset;

    private AssetFolder declareAssetFolder;

    private AssetScope declareAssetScope;

    private DepreciationSchedule declareDepreciationSchedule;

    private MaintenanceEstimates declareMaintenanceEstimates;

    private CrossChargeFinancials declareCrossChargeFinancials;

    private CrossChargeFinancialsScope declareCrossChargeFinancialsScope;

    private AssetResourceAssignment declareAssetResourceAssignment;

    private AssetModule declareAssetModule;

    private AssetModuleScope declareAssetModuleScope;

    private AssetOrganizationalAssignment declareAssetOrganizationalAssignment;

    //ClientCostCenter
    private ClientFolder declareClientFolder;

    private Division declareDivision;

    private ClientCostCenter declareClientCostCenter;

    private ClientCostCenterScope declareClientCostCenterScope;

    private ClientModule declareClientModule;

    private ClientModuleScope declareClientModuleScope;

    //Documents
    private DocumentFolder declareDocumentFolder;

    private Document declareDocument;

    private WPDoc declareWPDoc;

    private DelDoc declareDelDoc;

    private Software declareSoftware;

    private UrlDocument declareURL;

    private NoteMinutes declareNoteMinutes;

    private DocumentScope declareDocumentScope;

    private DocumentModule declareDocumentModule;

    private DocumentModuleScope declareDocumentModuleScope;

    //Expense
    private ExpenseItem declareExpenseItem;

    private Invoice declareInvoice;

    private InvoiceScope declareInvoiceScope;

    //Financial
    private ChargeCodeScope declareChargeCodeScope;

    private ChargeCode declareChargeCode;

    private ChargeCodeCategory declareChargeCodeCategory;

    private WbsFinancial declareWBSFinancial;

    private WorksheetFinancial declareWorksheetFinancial;

    private TimePhasedFinancial declareTimePhasedFinancial;

    private BudgetType declareBudgetType;

    private RevenueRecognitionMethodType declareRevenueRecognitionMethodType;

    private FinancialScope declareFinancialScope;

    private TimePhasedFinancialScope declareTimePhasedFinancialScope;

    private TimeCodeAssignment declareTimeCodeAssignment;

    private TimeCodeCategory declareTimeCodeCategory;
    
    private TimeCodeGroup declareTimeCodeGroup;

    private TimePhasedType declareTimePhasedType;

    //Resource
    private ResourceAttributeCompetency declareResourceAttributeCompetency;

    private ResourceAttributeCompetencyCategory declareResourceAttributeCompetencyCategory;

    private ResourceAttributeCompetencyClassification declareResourceAttributeCompetencyClassification;

    private ResourceAttributeCompetencyProficiencyLevel declareResourceAttributeCompetencyProficiencyLevel;

    private ResourceAttributeSkill declareResourceAttributeSkill;

    private ResourceAttributeSkillCategory declareResourceAttributeSkillCategory;

    private ResourceAttributeSkillClassification declareResourceAttributeSkillClassification;

    private ResourceAttributeSkillProficiencyLevel declareResourceAttributeSkillProficiencyLevel;

    private ResourceAttributeScope declareResourceAttributeScope;

    private Education declareEducation;

    private EmploymentHistory declareEmploymentHistory;

    private IndustryExperience declareIndustryExperience;

    private LanguageProficiency declareLanguageProficiency;

    private LocationPreferences declareLocationPreferences;

    private Passport declarePassport;

    private Pool declarePool;

    private ProjectHistory declareProjectHistory;

    private PoolReference declareReference;

    private Resource declareResource;

    private ResourceRoleAssignment declareResourceAssignment;

    private ResourceAttributeAssignment declareResourceAttributeAssignment;

    private ResourceCostCenterAssignment declareResourceCostCentersAssignment;

    private PoolScope declarePoolScope;

    private PoolReferenceScope declareReferenceScope;

    private ResourceScope declareResourceScope;

    private PoolModule declarePoolModule;

    private PoolModuleScope declarePoolModuleScope;

    private ResourceModule declareResourceModule;

    private ResourceModuleScope declareResourceModuleScope;

    //Work Management containers
    private WorkElementScope declareWorkElementScope;

    private PortfolioScope declarePortfolioScope;

    private TaskAssignmentScope declareTaskAssignmentScope;

    private DefaultAdministrativeTask declareAdministrativeTask;

    private AdministrativeTaskAssignment declareAdministrativeTaskAssignment;

    private Deliverable declareDeliverable;

    private ElementDependency declareElementDependency;

    private GenericProject declareGenericProject;

    private Opportunity declareOpportunity;

    private PersonalTask declarePersonalTask;

    private Milestone declareMilestone;

    private Portfolio declarePortfolio;

    private Project declareProject;

    private Proposal declareProposal;

    private SummaryTask declareSummaryTask;

    private Task declareTask;

    private TaskAssignment declareTaskAssignment;

    private WorkOrganization declareWorkOrganization;
    
    private WbsScheduleDate declareWbsScheduleDate;

    private WorkElement declareWorkElement;

    private WorkProduct declareWorkProduct;

    private WbsModule declareWbsModule;

    private WbsModuleScope declareWbsModuleScope;

    //Scope management containers
    private Action declareAction;

    private ChangeRequest declareChangeRequest;

    private Defect declareDefect;

    private Duplicate declareDuplicate;

    private Issue declareIssue;

    private MitigationFactor declareMitigationFactor;

    private MitigationTrigger declareMitigationTrigger;

    private Requirement declareRequirement;

    private Risk declareRisk;

    private RiskMatrix declareRiskMatrix;

    private ScopeDeliverable declareScopeDeliverable;

    private ScopeElement declareScopeElement;

    private ScopeFolder declareScopeFolder;

    private ScopeMilestone declareScopeMilestone;
    
    private ScopeScheduleDate declareScopeScheduleDate;

    private ScopeSummaryTask declareScopeSummaryTask;

    private ScopeTask declareScopeTask;

    private ServiceRequest declareServiceRequest;

    private ScopeElementScope declareScopeElementScope;

    private ScopeManagementModule declareScopeManagementModule;

    private ScopeManagementModuleScope declareScopeManagementModuleScope;

    public ContainerList()
    {
        // Nothing to initialize.
    }

    /**
     * @return Returns the declareAction.
     */
    public Action getDeclareAction()
    {
        return declareAction;
    }

    /**
     * @param declareAction
     *            The declareAction to set.
     */
    public void setDeclareAction(Action declareAction)
    {
        this.declareAction = declareAction;
    }

    /**
     * @return Returns the declareActionRTF.
     */
    public ActionRTF getDeclareActionRTF()
    {
        return declareActionRTF;
    }

    /**
     * @param declareActionRTF
     *            The declareActionRTF to set.
     */
    public void setDeclareActionRTF(ActionRTF declareActionRTF)
    {
        this.declareActionRTF = declareActionRTF;
    }

    /**
     * @return Returns the declareAdministrativeTask.
     */
    public DefaultAdministrativeTask getDeclareAdministrativeTask()
    {
        return declareAdministrativeTask;
    }

    /**
     * @param declareAdministrativeTask
     *            The declareAdministrativeTask to set.
     */
    public void setDeclareAdministrativeTask(
            DefaultAdministrativeTask declareAdministrativeTask)
    {
        this.declareAdministrativeTask = declareAdministrativeTask;
    }

    /**
     * @return Returns the declareAdministrativeTaskAssignment.
     */
    public AdministrativeTaskAssignment getDeclareAdministrativeTaskAssignment()
    {
        return declareAdministrativeTaskAssignment;
    }

    /**
     * @param declareAdministrativeTaskAssignment
     *            The declareAdministrativeTaskAssignment to set.
     */
    public void setDeclareAdministrativeTaskAssignment(
            AdministrativeTaskAssignment declareAdministrativeTaskAssignment)
    {
        this.declareAdministrativeTaskAssignment = declareAdministrativeTaskAssignment;
    }

    /**
     * @return Returns the declareAsset.
     */
    public Asset getDeclareAsset()
    {
        return declareAsset;
    }

    /**
     * @param declareAsset
     *            The declareAsset to set.
     */
    public void setDeclareAsset(Asset declareAsset)
    {
        this.declareAsset = declareAsset;
    }

    /**
     * @return Returns the declareAssetFolder.
     */
    public AssetFolder getDeclareAssetFolder()
    {
        return declareAssetFolder;
    }

    /**
     * @param declareAssetFolder
     *            The declareAssetFolder to set.
     */
    public void setDeclareAssetFolder(AssetFolder declareAssetFolder)
    {
        this.declareAssetFolder = declareAssetFolder;
    }

    /**
     * @return Returns the declareAssetResourceAssignment.
     */
    public AssetResourceAssignment getDeclareAssetResourceAssignment()
    {
        return declareAssetResourceAssignment;
    }

    /**
     * @param declareAssetResourceAssignment
     *            The declareAssetResourceAssignment to set.
     */
    public void setDeclareAssetResourceAssignment(
            AssetResourceAssignment declareAssetResourceAssignment)
    {
        this.declareAssetResourceAssignment = declareAssetResourceAssignment;
    }

    /**
     * @return Returns the declareAssetRTF.
     */
    public AssetRTF getDeclareAssetRTF()
    {
        return declareAssetRTF;
    }

    /**
     * @param declareAssetRTF
     *            The declareAssetRTF to set.
     */
    public void setDeclareAssetRTF(AssetRTF declareAssetRTF)
    {
        this.declareAssetRTF = declareAssetRTF;
    }

    /**
     * @return Returns the declareAssetScope.
     */
    public AssetScope getDeclareAssetScope()
    {
        return declareAssetScope;
    }

    /**
     * @param declareAssetScope
     *            The declareAssetScope to set.
     */
    public void setDeclareAssetScope(AssetScope declareAssetScope)
    {
        this.declareAssetScope = declareAssetScope;
    }

    /**
     * @return Returns the declareAttribute.
     */
    public Attribute getDeclareAttribute()
    {
        return declareAttribute;
    }

    /**
     * @param declareAttribute
     *            The declareAttribute to set.
     */
    public void setDeclareAttribute(Attribute declareAttribute)
    {
        this.declareAttribute = declareAttribute;
    }

    /**
     * @return Returns the declareAttributeAssignment.
     */
    public AttributeAssignment getDeclareAttributeAssignment()
    {
        return declareAttributeAssignment;
    }

    /**
     * @param declareAttributeAssignment
     *            The declareAttributeAssignment to set.
     */
    public void setDeclareAttributeAssignment(
            AttributeAssignment declareAttributeAssignment)
    {
        this.declareAttributeAssignment = declareAttributeAssignment;
    }

    /**
     * @return Returns the declareAttributeCategory.
     */
    public AttributeCategory getDeclareAttributeCategory()
    {
        return declareAttributeCategory;
    }

    /**
     * @param declareAttributeCategory
     *            The declareAttributeCategory to set.
     */
    public void setDeclareAttributeCategory(
            AttributeCategory declareAttributeCategory)
    {
        this.declareAttributeCategory = declareAttributeCategory;
    }

    /**
     * @return Returns the declareAttributeClassification.
     */
    public AttributeClassification getDeclareAttributeClassification()
    {
        return declareAttributeClassification;
    }

    /**
     * @param declareAttributeClassification
     *            The declareAttributeClassification to set.
     */
    public void setDeclareAttributeClassification(
            AttributeClassification declareAttributeClassification)
    {
        this.declareAttributeClassification = declareAttributeClassification;
    }

    /**
     * @return Returns the declareAttributeScope.
     */
    public AttributeScope getDeclareAttributeScope()
    {
        return declareAttributeScope;
    }

    /**
     * @param declareAttributeScope
     *            The declareAttributeScope to set.
     */
    public void setDeclareAttributeScope(AttributeScope declareAttributeScope)
    {
        this.declareAttributeScope = declareAttributeScope;
    }

    /**
     * @return Returns the declareCalendarScope.
     */
    public CalendarScope getDeclareCalendarScope()
    {
        return declareCalendarScope;
    }

    /**
     * @param declareCalendarScope
     *            The declareCalendarScope to set.
     */
    public void setDeclareCalendarScope(CalendarScope declareCalendarScope)
    {
        this.declareCalendarScope = declareCalendarScope;
    }

    /**
     * @return Returns the declareChangeRequest.
     */
    public ChangeRequest getDeclareChangeRequest()
    {
        return declareChangeRequest;
    }

    /**
     * @param declareChangeRequest
     *            The declareChangeRequest to set.
     */
    public void setDeclareChangeRequest(ChangeRequest declareChangeRequest)
    {
        this.declareChangeRequest = declareChangeRequest;
    }

    /**
     * @return Returns the declareChangeRequestRTF.
     */
    public ChangeRequestRTF getDeclareChangeRequestRTF()
    {
        return declareChangeRequestRTF;
    }

    /**
     * @param declareChangeRequestRTF
     *            The declareChangeRequestRTF to set.
     */
    public void setDeclareChangeRequestRTF(
            ChangeRequestRTF declareChangeRequestRTF)
    {
        this.declareChangeRequestRTF = declareChangeRequestRTF;
    }

    /**
     * @return Returns the declareChargeCode.
     */
    public ChargeCode getDeclareChargeCode()
    {
        return declareChargeCode;
    }

    /**
     * @param declareChargeCode
     *            The declareChargeCode to set.
     */
    public void setDeclareChargeCode(ChargeCode declareChargeCode)
    {
        this.declareChargeCode = declareChargeCode;
    }

    /**
     * @return Returns the declareChargeCodeCategory.
     */
    public ChargeCodeCategory getDeclareChargeCodeCategory()
    {
        return declareChargeCodeCategory;
    }

    /**
     * @param declareChargeCodeCategory
     *            The declareChargeCodeCategory to set.
     */
    public void setDeclareChargeCodeCategory(
            ChargeCodeCategory declareChargeCodeCategory)
    {
        this.declareChargeCodeCategory = declareChargeCodeCategory;
    }

    /**
     * @return Returns the declareChargeCodeScope.
     */
    public ChargeCodeScope getDeclareChargeCodeScope()
    {
        return declareChargeCodeScope;
    }

    /**
     * @param declareChargeCodeScope
     *            The declareChargeCodeScope to set.
     */
    public void setDeclareChargeCodeScope(ChargeCodeScope declareChargeCodeScope)
    {
        this.declareChargeCodeScope = declareChargeCodeScope;
    }

    /**
     * @return Returns the declareCitizenshipCountryCode.
     */
    public CitizenshipCountryCode getDeclareCitizenshipCountryCode()
    {
        return declareCitizenshipCountryCode;
    }

    /**
     * @param declareCitizenshipCountryCode
     *            The declareCitizenshipCountryCode to set.
     */
    public void setDeclareCitizenshipCountryCode(
            CitizenshipCountryCode declareCitizenshipCountryCode)
    {
        this.declareCitizenshipCountryCode = declareCitizenshipCountryCode;
    }

    /**
     * @return Returns the declareCity.
     */
    public City getDeclareCity()
    {
        return declareCity;
    }

    /**
     * @param declareCity
     *            The declareCity to set.
     */
    public void setDeclareCity(City declareCity)
    {
        this.declareCity = declareCity;
    }

    /**
     * @return Returns the declareClassification.
     */
    public Classification getDeclareClassification()
    {
        return declareClassification;
    }

    /**
     * @param declareClassification
     *            The declareClassification to set.
     */
    public void setDeclareClassification(Classification declareClassification)
    {
        this.declareClassification = declareClassification;
    }

    /**
     * @return Returns the declareClientCostCenter.
     */
    public ClientCostCenter getDeclareClientCostCenter()
    {
        return declareClientCostCenter;
    }

    /**
     * @param declareClientCostCenter
     *            The declareClientCostCenter to set.
     */
    public void setDeclareClientCostCenter(
            ClientCostCenter declareClientCostCenter)
    {
        this.declareClientCostCenter = declareClientCostCenter;
    }

    /**
     * @return Returns the declareClientCostCenterScope.
     */
    public ClientCostCenterScope getDeclareClientCostCenterScope()
    {
        return declareClientCostCenterScope;
    }

    /**
     * @param declareClientCostCenterScope
     *            The declareClientCostCenterScope to set.
     */
    public void setDeclareClientCostCenterScope(
            ClientCostCenterScope declareClientCostCenterScope)
    {
        this.declareClientCostCenterScope = declareClientCostCenterScope;
    }

    /**
     * @return Returns the declareClientFolder.
     */
    public ClientFolder getDeclareClientFolder()
    {
        return declareClientFolder;
    }

    /**
     * @param declareClientFolder
     *            The declareClientFolder to set.
     */
    public void setDeclareClientFolder(ClientFolder declareClientFolder)
    {
        this.declareClientFolder = declareClientFolder;
    }

    /**
     * @return Returns the declareClientModule.
     */
    public ClientModule getDeclareClientModule()
    {
        return declareClientModule;
    }

    /**
     * @param declareClientModule
     *            The declareClientModule to set.
     */
    public void setDeclareClientModule(ClientModule declareClientModule)
    {
        this.declareClientModule = declareClientModule;
    }

    /**
     * @return Returns the declareClientModuleScope.
     */
    public ClientModuleScope getDeclareClientModuleScope()
    {
        return declareClientModuleScope;
    }

    /**
     * @param declareClientModuleScope
     *            The declareClientModuleScope to set.
     */
    public void setDeclareClientModuleScope(
            ClientModuleScope declareClientModuleScope)
    {
        this.declareClientModuleScope = declareClientModuleScope;
    }

    /**
     * @return Returns the declareClientRTF.
     */
    public ClientRTF getDeclareClientRTF()
    {
        return declareClientRTF;
    }

    /**
     * @param declareClientRTF
     *            The declareClientRTF to set.
     */
    public void setDeclareClientRTF(ClientRTF declareClientRTF)
    {
        this.declareClientRTF = declareClientRTF;
    }

    /**
     * @return Returns the declareCommonScopeRTF.
     */
    public CommonScopeRTF getDeclareCommonScopeRTF()
    {
        return declareCommonScopeRTF;
    }

    /**
     * @param declareCommonScopeRTF
     *            The declareCommonScopeRTF to set.
     */
    public void setDeclareCommonScopeRTF(CommonScopeRTF declareCommonScopeRTF)
    {
        this.declareCommonScopeRTF = declareCommonScopeRTF;
    }

    /**
     * @return Returns the declareCommonWBSRTF.
     */
    public CommonWbsRTF getDeclareCommonWBSRTF()
    {
        return declareCommonWBSRTF;
    }

    /**
     * @param declareCommonWBSRTF
     *            The declareCommonWBSRTF to set.
     */
    public void setDeclareCommonWBSRTF(CommonWbsRTF declareCommonWBSRTF)
    {
        this.declareCommonWBSRTF = declareCommonWBSRTF;
    }

    /**
     * @return Returns the declareCompanySize.
     */
    public CompanySize getDeclareCompanySize()
    {
        return declareCompanySize;
    }

    /**
     * @param declareCompanySize
     *            The declareCompanySize to set.
     */
    public void setDeclareCompanySize(CompanySize declareCompanySize)
    {
        this.declareCompanySize = declareCompanySize;
    }

    /**
     * @return Returns the declareContactGroupAssignment.
     */
    public ContactGroupAssignment getDeclareContactGroupAssignment()
    {
        return declareContactGroupAssignment;
    }

    /**
     * @param declareContactGroupAssignment
     *            The declareContactGroupAssignment to set.
     */
    public void setDeclareContactGroupAssignment(
            ContactGroupAssignment declareContactGroupAssignment)
    {
        this.declareContactGroupAssignment = declareContactGroupAssignment;
    }

    /**
     * @return Returns the declareContactGroups.
     */
    public ContactGroup getDeclareContactGroups()
    {
        return declareContactGroups;
    }

    /**
     * @param declareContactGroups
     *            The declareContactGroups to set.
     */
    public void setDeclareContactGroups(ContactGroup declareContactGroups)
    {
        this.declareContactGroups = declareContactGroups;
    }

    /**
     * @return Returns the declareContactGroupScope.
     */
    public ContactGroupScope getDeclareContactGroupScope()
    {
        return declareContactGroupScope;
    }

    /**
     * @param declareContactGroupScope
     *            The declareContactGroupScope to set.
     */
    public void setDeclareContactGroupScope(
            ContactGroupScope declareContactGroupScope)
    {
        this.declareContactGroupScope = declareContactGroupScope;
    }

    /**
     * @return Returns the declareContainerList.
     */
    public ContainerList getDeclareContainerList()
    {
        return declareContainerList;
    }

    /**
     * @param declareContainerList
     *            The declareContainerList to set.
     */
    public void setDeclareContainerList(ContainerList declareContainerList)
    {
        this.declareContainerList = declareContainerList;
    }

    /**
     * @return Returns the declareCountry.
     */
    public Country getDeclareCountry()
    {
        return declareCountry;
    }

    /**
     * @param declareCountry
     *            The declareCountry to set.
     */
    public void setDeclareCountry(Country declareCountry)
    {
        this.declareCountry = declareCountry;
    }

    /**
     * @return Returns the declareCountryState.
     */
    public CountryState getDeclareCountryState()
    {
        return declareCountryState;
    }

    /**
     * @param declareCountryState
     *            The declareCountryState to set.
     */
    public void setDeclareCountryState(CountryState declareCountryState)
    {
        this.declareCountryState = declareCountryState;
    }

    /**
     * @return Returns the declareCrossChargeFinancials.
     */
    public CrossChargeFinancials getDeclareCrossChargeFinancials()
    {
        return declareCrossChargeFinancials;
    }

    /**
     * @param declareCrossChargeFinancials
     *            The declareCrossChargeFinancials to set.
     */
    public void setDeclareCrossChargeFinancials(
            CrossChargeFinancials declareCrossChargeFinancials)
    {
        this.declareCrossChargeFinancials = declareCrossChargeFinancials;
    }

    /**
     * @return Returns the declareCrossChargeFinancialsScope.
     */
    public CrossChargeFinancialsScope getDeclareCrossChargeFinancialsScope()
    {
        return declareCrossChargeFinancialsScope;
    }

    /**
     * @param declareCrossChargeFinancialsScope
     *            The declareCrossChargeFinancialsScope to set.
     */
    public void setDeclareCrossChargeFinancialsScope(
            CrossChargeFinancialsScope declareCrossChargeFinancialsScope)
    {
        this.declareCrossChargeFinancialsScope = declareCrossChargeFinancialsScope;
    }

    /**
     * @return Returns the declareCurrency.
     */
    public Currency getDeclareCurrency()
    {
        return declareCurrency;
    }

    /**
     * @param declareCurrency
     *            The declareCurrency to set.
     */
    public void setDeclareCurrency(Currency declareCurrency)
    {
        this.declareCurrency = declareCurrency;
    }

    /**
     * @return Returns the declareDatafieldRTF.
     */
    public DatafieldRTF getDeclareDatafieldRTF()
    {
        return declareDatafieldRTF;
    }

    /**
     * @param declareDatafieldRTF
     *            The declareDatafieldRTF to set.
     */
    public void setDeclareDatafieldRTF(DatafieldRTF declareDatafieldRTF)
    {
        this.declareDatafieldRTF = declareDatafieldRTF;
    }

    /**
     * @return Returns the declareDefect.
     */
    public Defect getDeclareDefect()
    {
        return declareDefect;
    }

    /**
     * @param declareDefect
     *            The declareDefect to set.
     */
    public void setDeclareDefect(Defect declareDefect)
    {
        this.declareDefect = declareDefect;
    }

    /**
     * @return Returns the declareDefectRTF.
     */
    public DefectRTF getDeclareDefectRTF()
    {
        return declareDefectRTF;
    }

    /**
     * @param declareDefectRTF
     *            The declareDefectRTF to set.
     */
    public void setDeclareDefectRTF(DefectRTF declareDefectRTF)
    {
        this.declareDefectRTF = declareDefectRTF;
    }

    /**
     * @return Returns the declareDelDoc.
     */
    public DelDoc getDeclareDelDoc()
    {
        return declareDelDoc;
    }

    /**
     * @param declareDelDoc
     *            The declareDelDoc to set.
     */
    public void setDeclareDelDoc(DelDoc declareDelDoc)
    {
        this.declareDelDoc = declareDelDoc;
    }

    /**
     * @return Returns the declareDeliverable.
     */
    public Deliverable getDeclareDeliverable()
    {
        return declareDeliverable;
    }

    /**
     * @param declareDeliverable
     *            The declareDeliverable to set.
     */
    public void setDeclareDeliverable(Deliverable declareDeliverable)
    {
        this.declareDeliverable = declareDeliverable;
    }

    /**
     * @return Returns the declareDeliverableRTF.
     */
    public DeliverableRTF getDeclareDeliverableRTF()
    {
        return declareDeliverableRTF;
    }

    /**
     * @param declareDeliverableRTF
     *            The declareDeliverableRTF to set.
     */
    public void setDeclareDeliverableRTF(DeliverableRTF declareDeliverableRTF)
    {
        this.declareDeliverableRTF = declareDeliverableRTF;
    }

    /**
     * @return Returns the declareDepartment.
     */
    public Department getDeclareDepartment()
    {
        return declareDepartment;
    }

    /**
     * @param declareDepartment
     *            The declareDepartment to set.
     */
    public void setDeclareDepartment(Department declareDepartment)
    {
        this.declareDepartment = declareDepartment;
    }

    /**
     * @return Returns the declareDepreciationSchedule.
     */
    public DepreciationSchedule getDeclareDepreciationSchedule()
    {
        return declareDepreciationSchedule;
    }

    /**
     * @param declareDepreciationSchedule
     *            The declareDepreciationSchedule to set.
     */
    public void setDeclareDepreciationSchedule(
            DepreciationSchedule declareDepreciationSchedule)
    {
        this.declareDepreciationSchedule = declareDepreciationSchedule;
    }

    /**
     * @return Returns the declareDivision.
     */
    public Division getDeclareDivision()
    {
        return declareDivision;
    }

    /**
     * @param declareDivision
     *            The declareDivision to set.
     */
    public void setDeclareDivision(Division declareDivision)
    {
        this.declareDivision = declareDivision;
    }

    /**
     * @return Returns the declareDocument.
     */
    public Document getDeclareDocument()
    {
        return declareDocument;
    }

    /**
     * @param declareDocument
     *            The declareDocument to set.
     */
    public void setDeclareDocument(Document declareDocument)
    {
        this.declareDocument = declareDocument;
    }

    /**
     * @return Returns the declareDocumentFolder.
     */
    public DocumentFolder getDeclareDocumentFolder()
    {
        return declareDocumentFolder;
    }

    /**
     * @param declareDocumentFolder
     *            The declareDocumentFolder to set.
     */
    public void setDeclareDocumentFolder(DocumentFolder declareDocumentFolder)
    {
        this.declareDocumentFolder = declareDocumentFolder;
    }

    /**
     * @return Returns the declareDocumentScope.
     */
    public DocumentScope getDeclareDocumentScope()
    {
        return declareDocumentScope;
    }

    /**
     * @param declareDocumentScope
     *            The declareDocumentScope to set.
     */
    public void setDeclareDocumentScope(DocumentScope declareDocumentScope)
    {
        this.declareDocumentScope = declareDocumentScope;
    }

    /**
     * @return Returns the declareDuplicate.
     */
    public Duplicate getDeclareDuplicate()
    {
        return declareDuplicate;
    }

    /**
     * @param declareDuplicate
     *            The declareDuplicate to set.
     */
    public void setDeclareDuplicate(Duplicate declareDuplicate)
    {
        this.declareDuplicate = declareDuplicate;
    }

    /**
     * @return Returns the declareEducation.
     */
    public Education getDeclareEducation()
    {
        return declareEducation;
    }

    /**
     * @param declareEducation
     *            The declareEducation to set.
     */
    public void setDeclareEducation(Education declareEducation)
    {
        this.declareEducation = declareEducation;
    }

    /**
     * @return Returns the declareElementDependency.
     */
    public ElementDependency getDeclareElementDependency()
    {
        return declareElementDependency;
    }

    /**
     * @param declareElementDependency
     *            The declareElementDependency to set.
     */
    public void setDeclareElementDependency(
            ElementDependency declareElementDependency)
    {
        this.declareElementDependency = declareElementDependency;
    }

    /**
     * @return Returns the declareEmployeeStatus.
     */
    public EmployeeStatus getDeclareEmployeeStatus()
    {
        return declareEmployeeStatus;
    }

    /**
     * @param declareEmployeeStatus
     *            The declareEmployeeStatus to set.
     */
    public void setDeclareEmployeeStatus(EmployeeStatus declareEmployeeStatus)
    {
        this.declareEmployeeStatus = declareEmployeeStatus;
    }

    /**
     * @return Returns the declareEmploymentHistory.
     */
    public EmploymentHistory getDeclareEmploymentHistory()
    {
        return declareEmploymentHistory;
    }

    /**
     * @param declareEmploymentHistory
     *            The declareEmploymentHistory to set.
     */
    public void setDeclareEmploymentHistory(
            EmploymentHistory declareEmploymentHistory)
    {
        this.declareEmploymentHistory = declareEmploymentHistory;
    }

    /**
     * @return Returns the declareExpenseItem.
     */
    public ExpenseItem getDeclareExpenseItem()
    {
        return declareExpenseItem;
    }

    /**
     * @param declareExpenseItem
     *            The declareExpenseItem to set.
     */
    public void setDeclareExpenseItem(ExpenseItem declareExpenseItem)
    {
        this.declareExpenseItem = declareExpenseItem;
    }

    /**
     * @return Returns the declareExperience.
     */
    public Experience getDeclareExperience()
    {
        return declareExperience;
    }

    /**
     * @param declareExperience
     *            The declareExperience to set.
     */
    public void setDeclareExperience(Experience declareExperience)
    {
        this.declareExperience = declareExperience;
    }

    /**
     * @return Returns the declareFinancialBreakdown.
     */
    public TimePhasedFinancial getDeclareTimePhasedFinancial()
    {
        return declareTimePhasedFinancial;
    }

    /**
     * @param declareFinancialBreakdown
     *            The declareFinancialBreakdown to set.
     */
    public void setDeclareTimePhasedFinancial(
            TimePhasedFinancial declareTimePhasedFinancial)
    {
        this.declareTimePhasedFinancial = declareTimePhasedFinancial;
    }

    /**
     * @return Returns the declareBudgetType.
     */
    public BudgetType getDeclareBudgetType()
    {
        return declareBudgetType;
    }

    /**
     * @param declareBudgetType
     *            The declareBudgetType to set.
     */
    public void setDeclareBudgetType(BudgetType declareBudgetType)
    {
        this.declareBudgetType = declareBudgetType;
    }

    /**
     * @return Returns the declareFinancialScope.
     */
    public FinancialScope getDeclareFinancialScope()
    {
        return declareFinancialScope;
    }

    /**
     * @param declareFinancialScope
     *            The declareFinancialScope to set.
     */
    public void setDeclareFinancialScope(FinancialScope declareFinancialScope)
    {
        this.declareFinancialScope = declareFinancialScope;
    }

    /**
     * @return Returns the declareRevenueRecognitionMethodType.
     */
    public RevenueRecognitionMethodType getDeclareRevenueRecognitionMethodType()
    {
        return declareRevenueRecognitionMethodType;
    }

    /**
     * @param declareRevenueRecognitionMethodType
     *            The declareRevenueRecognitionMethodType to set.
     */
    public void setDeclareRevenueRecognitionMethodType(
            RevenueRecognitionMethodType declareRevenueRecognitionMethodType)
    {
        this.declareRevenueRecognitionMethodType = declareRevenueRecognitionMethodType;
    }

    /**
     * @return Returns the declareTimePhasedFinancialScope.
     */
    public TimePhasedFinancialScope getDeclareTimePhasedFinancialScope()
    {
        return declareTimePhasedFinancialScope;
    }

    /**
     * @param declareTimePhasedFinancialScope
     *            The declareTimePhasedFinancialScope to set.
     */
    public void setDeclareTimePhasedFinancialScope(
            TimePhasedFinancialScope declareTimePhasedFinancialScope)
    {
        this.declareTimePhasedFinancialScope = declareTimePhasedFinancialScope;
    }

    /**
     * @return Returns the declareGenericAttribute.
     */
    public GenericAttribute getDeclareGenericAttribute()
    {
        return declareGenericAttribute;
    }

    /**
     * @param declareGenericAttribute
     *            The declareGenericAttribute to set.
     */
    public void setDeclareGenericAttribute(
            GenericAttribute declareGenericAttribute)
    {
        this.declareGenericAttribute = declareGenericAttribute;
    }

    /**
     * @return Returns the declareGenericProject.
     */
    public GenericProject getDeclareGenericProject()
    {
        return declareGenericProject;
    }

    /**
     * @param declareGenericProject
     *            The declareGenericProject to set.
     */
    public void setDeclareGenericProject(GenericProject declareGenericProject)
    {
        this.declareGenericProject = declareGenericProject;
    }

    /**
     * @return Returns the declareGeographicalAssignment.
     */
    public GeographicalAssignment getDeclareGeographicalAssignment()
    {
        return declareGeographicalAssignment;
    }

    /**
     * @param declareGeographicalAssignment
     *            The declareGeographicalAssignment to set.
     */
    public void setDeclareGeographicalAssignment(
            GeographicalAssignment declareGeographicalAssignment)
    {
        this.declareGeographicalAssignment = declareGeographicalAssignment;
    }

    /**
     * @return Returns the declareGeographicalScope.
     */
    public GeographicalScope getDeclareGeographicalScope()
    {
        return declareGeographicalScope;
    }

    /**
     * @param declareGeographicalScope
     *            The declareGeographicalScope to set.
     */
    public void setDeclareGeographicalScope(
            GeographicalScope declareGeographicalScope)
    {
        this.declareGeographicalScope = declareGeographicalScope;
    }

    /**
     * @return Returns the declareGroup.
     */
    public Group getDeclareGroup()
    {
        return declareGroup;
    }

    /**
     * @param declareGroup
     *            The declareGroup to set.
     */
    public void setDeclareGroup(Group declareGroup)
    {
        this.declareGroup = declareGroup;
    }

    /**
     * @return Returns the declareIndustryExperience.
     */
    public IndustryExperience getDeclareIndustryExperience()
    {
        return declareIndustryExperience;
    }

    /**
     * @param declareIndustryExperience
     *            The declareIndustryExperience to set.
     */
    public void setDeclareIndustryExperience(
            IndustryExperience declareIndustryExperience)
    {
        this.declareIndustryExperience = declareIndustryExperience;
    }

    /**
     * @return Returns the declareIndustryType.
     */
    public IndustryType getDeclareIndustryType()
    {
        return declareIndustryType;
    }

    /**
     * @param declareIndustryType
     *            The declareIndustryType to set.
     */
    public void setDeclareIndustryType(IndustryType declareIndustryType)
    {
        this.declareIndustryType = declareIndustryType;
    }

    /**
     * @return Returns the declareInvoice.
     */
    public Invoice getDeclareInvoice()
    {
        return declareInvoice;
    }

    /**
     * @param declareInvoice
     *            The declareInvoice to set.
     */
    public void setDeclareInvoice(Invoice declareInvoice)
    {
        this.declareInvoice = declareInvoice;
    }

    /**
     * @return Returns the declareInvoiceScope.
     */
    public InvoiceScope getDeclareInvoiceScope()
    {
        return declareInvoiceScope;
    }

    /**
     * @param declareInvoiceScope
     *            The declareInvoiceScope to set.
     */
    public void setDeclareInvoiceScope(InvoiceScope declareInvoiceScope)
    {
        this.declareInvoiceScope = declareInvoiceScope;
    }

    /**
     * @return Returns the declareIssue.
     */
    public Issue getDeclareIssue()
    {
        return declareIssue;
    }

    /**
     * @param declareIssue
     *            The declareIssue to set.
     */
    public void setDeclareIssue(Issue declareIssue)
    {
        this.declareIssue = declareIssue;
    }

    /**
     * @return Returns the declareIssueRTF.
     */
    public IssueRTF getDeclareIssueRTF()
    {
        return declareIssueRTF;
    }

    /**
     * @param declareIssueRTF
     *            The declareIssueRTF to set.
     */
    public void setDeclareIssueRTF(IssueRTF declareIssueRTF)
    {
        this.declareIssueRTF = declareIssueRTF;
    }

    /**
     * @return Returns the declareLanguage.
     */
    public Language getDeclareLanguage()
    {
        return declareLanguage;
    }

    /**
     * @param declareLanguage
     *            The declareLanguage to set.
     */
    public void setDeclareLanguage(Language declareLanguage)
    {
        this.declareLanguage = declareLanguage;
    }

    /**
     * @return Returns the declareLanguageProficiency.
     */
    public LanguageProficiency getDeclareLanguageProficiency()
    {
        return declareLanguageProficiency;
    }

    /**
     * @param declareLanguageProficiency
     *            The declareLanguageProficiency to set.
     */
    public void setDeclareLanguageProficiency(
            LanguageProficiency declareLanguageProficiency)
    {
        this.declareLanguageProficiency = declareLanguageProficiency;
    }

    /**
     * @return Returns the declareLocation.
     */
    public Location getDeclareLocation()
    {
        return declareLocation;
    }

    /**
     * @param declareLocation
     *            The declareLocation to set.
     */
    public void setDeclareLocation(Location declareLocation)
    {
        this.declareLocation = declareLocation;
    }

    /**
     * @return Returns the declareLocationPreferences.
     */
    public LocationPreferences getDeclareLocationPreferences()
    {
        return declareLocationPreferences;
    }

    /**
     * @param declareLocationPreferences
     *            The declareLocationPreferences to set.
     */
    public void setDeclareLocationPreferences(
            LocationPreferences declareLocationPreferences)
    {
        this.declareLocationPreferences = declareLocationPreferences;
    }

    /**
     * @return Returns the declareMaintenanceEstimates.
     */
    public MaintenanceEstimates getDeclareMaintenanceEstimates()
    {
        return declareMaintenanceEstimates;
    }

    /**
     * @param declareMaintenanceEstimates
     *            The declareMaintenanceEstimates to set.
     */
    public void setDeclareMaintenanceEstimates(
            MaintenanceEstimates declareMaintenanceEstimates)
    {
        this.declareMaintenanceEstimates = declareMaintenanceEstimates;
    }

    /**
     * @return Returns the declareMilestone.
     */
    public Milestone getDeclareMilestone()
    {
        return declareMilestone;
    }

    /**
     * @param declareMilestone
     *            The declareMilestone to set.
     */
    public void setDeclareMilestone(Milestone declareMilestone)
    {
        this.declareMilestone = declareMilestone;
    }

    /**
     * @return Returns the declareMilestoneRTF.
     */
    public MilestoneRTF getDeclareMilestoneRTF()
    {
        return declareMilestoneRTF;
    }

    /**
     * @param declareMilestoneRTF
     *            The declareMilestoneRTF to set.
     */
    public void setDeclareMilestoneRTF(MilestoneRTF declareMilestoneRTF)
    {
        this.declareMilestoneRTF = declareMilestoneRTF;
    }

    /**
     * @return Returns the declareMitigationFactor.
     */
    public MitigationFactor getDeclareMitigationFactor()
    {
        return declareMitigationFactor;
    }

    /**
     * @param declareMitigationFactor
     *            The declareMitigationFactor to set.
     */
    public void setDeclareMitigationFactor(
            MitigationFactor declareMitigationFactor)
    {
        this.declareMitigationFactor = declareMitigationFactor;
    }

    /**
     * @return Returns the declareMitigationTrigger.
     */
    public MitigationTrigger getDeclareMitigationTrigger()
    {
        return declareMitigationTrigger;
    }

    /**
     * @param declareMitigationTrigger
     *            The declareMitigationTrigger to set.
     */
    public void setDeclareMitigationTrigger(
            MitigationTrigger declareMitigationTrigger)
    {
        this.declareMitigationTrigger = declareMitigationTrigger;
    }

    /**
     * @return Returns the declareNoteMinutes.
     */
    public NoteMinutes getDeclareNoteMinutes()
    {
        return declareNoteMinutes;
    }

    /**
     * @param declareNoteMinutes
     *            The declareNoteMinutes to set.
     */
    public void setDeclareNoteMinutes(NoteMinutes declareNoteMinutes)
    {
        this.declareNoteMinutes = declareNoteMinutes;
    }

    /**
     * @return Returns the declareNoteMinutesRTF.
     */
    public NoteMinutesRTF getDeclareNoteMinutesRTF()
    {
        return declareNoteMinutesRTF;
    }

    /**
     * @param declareNoteMinutesRTF
     *            The declareNoteMinutesRTF to set.
     */
    public void setDeclareNoteMinutesRTF(NoteMinutesRTF declareNoteMinutesRTF)
    {
        this.declareNoteMinutesRTF = declareNoteMinutesRTF;
    }

    /**
     * @return Returns the declareOffice.
     */
    public Office getDeclareOffice()
    {
        return declareOffice;
    }

    /**
     * @param declareOffice
     *            The declareOffice to set.
     */
    public void setDeclareOffice(Office declareOffice)
    {
        this.declareOffice = declareOffice;
    }

    /**
     * @return Returns the declareOpportunity.
     */
    public Opportunity getDeclareOpportunity()
    {
        return declareOpportunity;
    }

    /**
     * @param declareOpportunity
     *            The declareOpportunity to set.
     */
    public void setDeclareOpportunity(Opportunity declareOpportunity)
    {
        this.declareOpportunity = declareOpportunity;
    }

    /**
     * @return Returns the declareOrganization.
     */
    public Organization getDeclareOrganization()
    {
        return declareOrganization;
    }

    /**
     * @param declareOrganization
     *            The declareOrganization to set.
     */
    public void setDeclareOrganization(Organization declareOrganization)
    {
        this.declareOrganization = declareOrganization;
    }

    /**
     * @return Returns the declareOrganizationalAssignment.
     */
    public OrganizationalAssignment getDeclareOrganizationalAssignment()
    {
        return declareOrganizationalAssignment;
    }

    /**
     * @param declareOrganizationalAssignment
     *            The declareOrganizationalAssignment to set.
     */
    public void setDeclareOrganizationalAssignment(
            OrganizationalAssignment declareOrganizationalAssignment)
    {
        this.declareOrganizationalAssignment = declareOrganizationalAssignment;
    }

    /**
     * @return Returns the declareOrganizationalScope.
     */
    public OrganizationalScope getDeclareOrganizationalScope()
    {
        return declareOrganizationalScope;
    }

    /**
     * @param declareOrganizationalScope
     *            The declareOrganizationalScope to set.
     */
    public void setDeclareOrganizationalScope(
            OrganizationalScope declareOrganizationalScope)
    {
        this.declareOrganizationalScope = declareOrganizationalScope;
    }

    /**
     * @return Returns the declarePassport.
     */
    public Passport getDeclarePassport()
    {
        return declarePassport;
    }

    /**
     * @param declarePassport
     *            The declarePassport to set.
     */
    public void setDeclarePassport(Passport declarePassport)
    {
        this.declarePassport = declarePassport;
    }

    /**
     * @return Returns the declarePersonalTask.
     */
    public PersonalTask getDeclarePersonalTask()
    {
        return declarePersonalTask;
    }

    /**
     * @param declarePersonalTask
     *            The declarePersonalTask to set.
     */
    public void setDeclarePersonalTask(PersonalTask declarePersonalTask)
    {
        this.declarePersonalTask = declarePersonalTask;
    }

    /**
     * @return Returns the declarePool.
     */
    public Pool getDeclarePool()
    {
        return declarePool;
    }

    /**
     * @param declarePool
     *            The declarePool to set.
     */
    public void setDeclarePool(Pool declarePool)
    {
        this.declarePool = declarePool;
    }

    /**
     * @return Returns the declarePoolDomain.
     */
    public PoolDomain getDeclarePoolDomain()
    {
        return declarePoolDomain;
    }

    /**
     * @param declarePoolDomain
     *            The declarePoolDomain to set.
     */
    public void setDeclarePoolDomain(PoolDomain declarePoolDomain)
    {
        this.declarePoolDomain = declarePoolDomain;
    }

    /**
     * @return Returns the declarePoolDomainScope.
     */
    public PoolDomainScope getDeclarePoolDomainScope()
    {
        return declarePoolDomainScope;
    }

    /**
     * @param declarePoolDomainScope
     *            The declarePoolDomainScope to set.
     */
    public void setDeclarePoolDomainScope(PoolDomainScope declarePoolDomainScope)
    {
        this.declarePoolDomainScope = declarePoolDomainScope;
    }

    /**
     * @return Returns the declarePoolScope.
     */
    public PoolScope getDeclarePoolScope()
    {
        return declarePoolScope;
    }

    /**
     * @param declarePoolScope
     *            The declarePoolScope to set.
     */
    public void setDeclarePoolScope(PoolScope declarePoolScope)
    {
        this.declarePoolScope = declarePoolScope;
    }

    /**
     * @return Returns the declarePortfolio.
     */
    public Portfolio getDeclarePortfolio()
    {
        return declarePortfolio;
    }

    /**
     * @param declarePortfolio
     *            The declarePortfolio to set.
     */
    public void setDeclarePortfolio(Portfolio declarePortfolio)
    {
        this.declarePortfolio = declarePortfolio;
    }

    /**
     * @return Returns the declarePortfolioScope.
     */
    public PortfolioScope getDeclarePortfolioScope()
    {
        return declarePortfolioScope;
    }

    /**
     * @param declarePortfolioScope
     *            The declarePortfolioScope to set.
     */
    public void setDeclarePortfolioScope(PortfolioScope declarePortfolioScope)
    {
        this.declarePortfolioScope = declarePortfolioScope;
    }

    /**
     * @return Returns the declareProject.
     */
    public Project getDeclareProject()
    {
        return declareProject;
    }

    /**
     * @param declareProject
     *            The declareProject to set.
     */
    public void setDeclareProject(Project declareProject)
    {
        this.declareProject = declareProject;
    }

    /**
     * @return Returns the declareProjectHistory.
     */
    public ProjectHistory getDeclareProjectHistory()
    {
        return declareProjectHistory;
    }

    /**
     * @param declareProjectHistory
     *            The declareProjectHistory to set.
     */
    public void setDeclareProjectHistory(ProjectHistory declareProjectHistory)
    {
        this.declareProjectHistory = declareProjectHistory;
    }

    /**
     * @return Returns the declareProjectRTF.
     */
    public ProjectRTF getDeclareProjectRTF()
    {
        return declareProjectRTF;
    }

    /**
     * @param declareProjectRTF
     *            The declareProjectRTF to set.
     */
    public void setDeclareProjectRTF(ProjectRTF declareProjectRTF)
    {
        this.declareProjectRTF = declareProjectRTF;
    }

    /**
     * @return Returns the declareProperty.
     */
    public Property getDeclareProperty()
    {
        return declareProperty;
    }

    /**
     * @param declareProperty
     *            The declareProperty to set.
     */
    public void setDeclareProperty(Property declareProperty)
    {
        this.declareProperty = declareProperty;
    }

    /**
     * @return Returns the declareProposal.
     */
    public Proposal getDeclareProposal()
    {
        return declareProposal;
    }

    /**
     * @param declareProposal
     *            The declareProposal to set.
     */
    public void setDeclareProposal(Proposal declareProposal)
    {
        this.declareProposal = declareProposal;
    }

    /**
     * @return Returns the declareReference.
     */
    public PoolReference getDeclareReference()
    {
        return declareReference;
    }

    /**
     * @param declareReference
     *            The declareReference to set.
     */
    public void setDeclareReference(PoolReference declareReference)
    {
        this.declareReference = declareReference;
    }

    /**
     * @return Returns the declareReferenceScope.
     */
    public PoolReferenceScope getDeclareReferenceScope()
    {
        return declareReferenceScope;
    }

    /**
     * @param declareReferenceScope
     *            The declareReferenceScope to set.
     */
    public void setDeclareReferenceScope(PoolReferenceScope declareReferenceScope)
    {
        this.declareReferenceScope = declareReferenceScope;
    }

    /**
     * @return Returns the declareRegion.
     */
    public Region getDeclareRegion()
    {
        return declareRegion;
    }

    /**
     * @param declareRegion
     *            The declareRegion to set.
     */
    public void setDeclareRegion(Region declareRegion)
    {
        this.declareRegion = declareRegion;
    }

    /**
     * @return Returns the declareRequirement.
     */
    public Requirement getDeclareRequirement()
    {
        return declareRequirement;
    }

    /**
     * @param declareRequirement
     *            The declareRequirement to set.
     */
    public void setDeclareRequirement(Requirement declareRequirement)
    {
        this.declareRequirement = declareRequirement;
    }

    /**
     * @return Returns the declareRequirementRTF.
     */
    public RequirementRTF getDeclareRequirementRTF()
    {
        return declareRequirementRTF;
    }

    /**
     * @param declareRequirementRTF
     *            The declareRequirementRTF to set.
     */
    public void setDeclareRequirementRTF(RequirementRTF declareRequirementRTF)
    {
        this.declareRequirementRTF = declareRequirementRTF;
    }

    /**
     * @return Returns the declareResource.
     */
    public Resource getDeclareResource()
    {
        return declareResource;
    }

    /**
     * @param declareResource
     *            The declareResource to set.
     */
    public void setDeclareResource(Resource declareResource)
    {
        this.declareResource = declareResource;
    }

    /**
     * @return Returns the declareResourceAssignment.
     */
    public ResourceRoleAssignment getDeclareResourceAssignment()
    {
        return declareResourceAssignment;
    }

    /**
     * @param declareResourceAssignment
     *            The declareResourceAssignment to set.
     */
    public void setDeclareResourceAssignment(
            ResourceRoleAssignment declareResourceAssignment)
    {
        this.declareResourceAssignment = declareResourceAssignment;
    }

    /**
     * @return Returns the declareResourceAttributeAssignment.
     */
    public ResourceAttributeAssignment getDeclareResourceAttributeAssignment()
    {
        return declareResourceAttributeAssignment;
    }

    /**
     * @param declareResourceAttributeAssignment
     *            The declareResourceAttributeAssignment to set.
     */
    public void setDeclareResourceAttributeAssignment(
            ResourceAttributeAssignment declareResourceAttributeAssignment)
    {
        this.declareResourceAttributeAssignment = declareResourceAttributeAssignment;
    }

    /**
     * @return Returns the declareResourceCostCentersAssignment.
     */
    public ResourceCostCenterAssignment getDeclareResourceCostCentersAssignment()
    {
        return declareResourceCostCentersAssignment;
    }

    /**
     * @param declareResourceCostCentersAssignment
     *            The declareResourceCostCentersAssignment to set.
     */
    public void setDeclareResourceCostCentersAssignment(
            ResourceCostCenterAssignment declareResourceCostCentersAssignment)
    {
        this.declareResourceCostCentersAssignment = declareResourceCostCentersAssignment;
    }

    /**
     * @return Returns the declareResourceAttributeCompetency.
     */
    public ResourceAttributeCompetency getDeclareResourceAttributeCompetency()
    {
        return declareResourceAttributeCompetency;
    }

    /**
     * @param declareResourceAttributeCompetency
     *            The declareResourceAttributeCompetency to set.
     */
    public void setDeclareResourceAttributeCompetency(
            ResourceAttributeCompetency declareResourceAttributeCompetency)
    {
        this.declareResourceAttributeCompetency = declareResourceAttributeCompetency;
    }

    /**
     * @return Returns the declareResourceAttributeCompetencyCategory.
     */
    public ResourceAttributeCompetencyCategory getDeclareResourceAttributeCompetencyCategory()
    {
        return declareResourceAttributeCompetencyCategory;
    }

    /**
     * @param declareResourceAttributeCompetencyCategory
     *            The declareResourceAttributeCompetencyCategory to set.
     */
    public void setDeclareResourceAttributeCompetencyCategory(
            ResourceAttributeCompetencyCategory declareResourceAttributeCompetencyCategory)
    {
        this.declareResourceAttributeCompetencyCategory = declareResourceAttributeCompetencyCategory;
    }

    /**
     * @return Returns the declareResourceAttributeCompetencyClassification.
     */
    public ResourceAttributeCompetencyClassification getDeclareResourceAttributeCompetencyClassification()
    {
        return declareResourceAttributeCompetencyClassification;
    }

    /**
     * @param declareResourceAttributeCompetencyClassification
     *            The declareResourceAttributeCompetencyClassification to set.
     */
    public void setDeclareResourceAttributeCompetencyClassification(
            ResourceAttributeCompetencyClassification declareResourceAttributeCompetencyClassification)
    {
        this.declareResourceAttributeCompetencyClassification = declareResourceAttributeCompetencyClassification;
    }

    /**
     * @return Returns the declareResourceAttributeCompetencyProficiencyLevel.
     */
    public ResourceAttributeCompetencyProficiencyLevel getDeclareResourceAttributeCompetencyProficiencyLevel()
    {
        return declareResourceAttributeCompetencyProficiencyLevel;
    }

    /**
     * @param declareResourceAttributeCompetencyProficiencyLevel
     *            The declareResourceAttributeCompetencyProficiencyLevel to set.
     */
    public void setDeclareResourceAttributeCompetencyProficiencyLevel(
            ResourceAttributeCompetencyProficiencyLevel declareResourceAttributeCompetencyProficiencyLevel)
    {
        this.declareResourceAttributeCompetencyProficiencyLevel = declareResourceAttributeCompetencyProficiencyLevel;
    }

    /**
     * @return Returns the declareResourceAttributeScope.
     */
    public ResourceAttributeScope getDeclareResourceAttributeScope()
    {
        return declareResourceAttributeScope;
    }

    /**
     * @param declareResourceAttributeScope
     *            The declareResourceAttributeScope to set.
     */
    public void setDeclareResourceAttributeScope(
            ResourceAttributeScope declareResourceAttributeScope)
    {
        this.declareResourceAttributeScope = declareResourceAttributeScope;
    }

    /**
     * @return Returns the declareResourceAttributeSkill.
     */
    public ResourceAttributeSkill getDeclareResourceAttributeSkill()
    {
        return declareResourceAttributeSkill;
    }

    /**
     * @param declareResourceAttributeSkill
     *            The declareResourceAttributeSkill to set.
     */
    public void setDeclareResourceAttributeSkill(
            ResourceAttributeSkill declareResourceAttributeSkill)
    {
        this.declareResourceAttributeSkill = declareResourceAttributeSkill;
    }

    /**
     * @return Returns the declareResourceAttributeSkillCategory.
     */
    public ResourceAttributeSkillCategory getDeclareResourceAttributeSkillCategory()
    {
        return declareResourceAttributeSkillCategory;
    }

    /**
     * @param declareResourceAttributeSkillCategory
     *            The declareResourceAttributeSkillCategory to set.
     */
    public void setDeclareResourceAttributeSkillCategory(
            ResourceAttributeSkillCategory declareResourceAttributeSkillCategory)
    {
        this.declareResourceAttributeSkillCategory = declareResourceAttributeSkillCategory;
    }

    /**
     * @return Returns the declareResourceAttributeSkillClassification.
     */
    public ResourceAttributeSkillClassification getDeclareResourceAttributeSkillClassification()
    {
        return declareResourceAttributeSkillClassification;
    }

    /**
     * @param declareResourceAttributeSkillClassification
     *            The declareResourceAttributeSkillClassification to set.
     */
    public void setDeclareResourceAttributeSkillClassification(
            ResourceAttributeSkillClassification declareResourceAttributeSkillClassification)
    {
        this.declareResourceAttributeSkillClassification = declareResourceAttributeSkillClassification;
    }

    /**
     * @return Returns the declareResourceAttributeSkillProficiencyLevel.
     */
    public ResourceAttributeSkillProficiencyLevel getDeclareResourceAttributeSkillProficiencyLevel()
    {
        return declareResourceAttributeSkillProficiencyLevel;
    }

    /**
     * @param declareResourceAttributeSkillProficiencyLevel
     *            The declareResourceAttributeSkillProficiencyLevel to set.
     */
    public void setDeclareResourceAttributeSkillProficiencyLevel(
            ResourceAttributeSkillProficiencyLevel declareResourceAttributeSkillProficiencyLevel)
    {
        this.declareResourceAttributeSkillProficiencyLevel = declareResourceAttributeSkillProficiencyLevel;
    }

    /**
     * @return Returns the declareResourceScope.
     */
    public ResourceScope getDeclareResourceScope()
    {
        return declareResourceScope;
    }

    /**
     * @param declareResourceScope
     *            The declareResourceScope to set.
     */
    public void setDeclareResourceScope(ResourceScope declareResourceScope)
    {
        this.declareResourceScope = declareResourceScope;
    }

    /**
     * @return Returns the declareRisk.
     */
    public Risk getDeclareRisk()
    {
        return declareRisk;
    }

    /**
     * @param declareRisk
     *            The declareRisk to set.
     */
    public void setDeclareRisk(Risk declareRisk)
    {
        this.declareRisk = declareRisk;
    }

    /**
     * @return Returns the declareRiskMatrix.
     */
    public RiskMatrix getDeclareRiskMatrix()
    {
        return declareRiskMatrix;
    }

    /**
     * @param declareRiskMatrix
     *            The declareRiskMatrix to set.
     */
    public void setDeclareRiskMatrix(RiskMatrix declareRiskMatrix)
    {
        this.declareRiskMatrix = declareRiskMatrix;
    }

    /**
     * @return Returns the declareRiskRTF.
     */
    public RiskRTF getDeclareRiskRTF()
    {
        return declareRiskRTF;
    }

    /**
     * @param declareRiskRTF
     *            The declareRiskRTF to set.
     */
    public void setDeclareRiskRTF(RiskRTF declareRiskRTF)
    {
        this.declareRiskRTF = declareRiskRTF;
    }

    /**
     * @return Returns the declareRiskState.
     */
    public RiskState getDeclareRiskState()
    {
        return declareRiskState;
    }

    /**
     * @param declareRiskState
     *            The declareRiskState to set.
     */
    public void setDeclareRiskState(RiskState declareRiskState)
    {
        this.declareRiskState = declareRiskState;
    }

    /**
     * @return Returns the declareRPMCalendar.
     */
    public RPMCalendar getDeclareRPMCalendar()
    {
        return declareRPMCalendar;
    }

    /**
     * @param declareRPMCalendar
     *            The declareRPMCalendar to set.
     */
    public void setDeclareRPMCalendar(RPMCalendar declareRPMCalendar)
    {
        this.declareRPMCalendar = declareRPMCalendar;
    }

    /**
     * @return Returns the declareScopeDeliverable.
     */
    public ScopeDeliverable getDeclareScopeDeliverable()
    {
        return declareScopeDeliverable;
    }

    /**
     * @param declareScopeDeliverable
     *            The declareScopeDeliverable to set.
     */
    public void setDeclareScopeDeliverable(
            ScopeDeliverable declareScopeDeliverable)
    {
        this.declareScopeDeliverable = declareScopeDeliverable;
    }

    /**
     * @return Returns the declareScopeElement.
     */
    public ScopeElement getDeclareScopeElement()
    {
        return declareScopeElement;
    }

    /**
     * @param declareScopeElement
     *            The declareScopeElement to set.
     */
    public void setDeclareScopeElement(ScopeElement declareScopeElement)
    {
        this.declareScopeElement = declareScopeElement;
    }

    /**
     * @return Returns the declareScopeElementScope.
     */
    public ScopeElementScope getDeclareScopeElementScope()
    {
        return declareScopeElementScope;
    }

    /**
     * @param declareScopeElementScope
     *            The declareScopeElementScope to set.
     */
    public void setDeclareScopeElementScope(
            ScopeElementScope declareScopeElementScope)
    {
        this.declareScopeElementScope = declareScopeElementScope;
    }

    /**
     * @return Returns the declareScopeFolder.
     */
    public ScopeFolder getDeclareScopeFolder()
    {
        return declareScopeFolder;
    }

    /**
     * @param declareScopeFolder
     *            The declareScopeFolder to set.
     */
    public void setDeclareScopeFolder(ScopeFolder declareScopeFolder)
    {
        this.declareScopeFolder = declareScopeFolder;
    }

    /**
     * @return Returns the declareScopeMilestone.
     */
    public ScopeMilestone getDeclareScopeMilestone()
    {
        return declareScopeMilestone;
    }

    /**
     * @param declareScopeMilestone
     *            The declareScopeMilestone to set.
     */
    public void setDeclareScopeMilestone(ScopeMilestone declareScopeMilestone)
    {
        this.declareScopeMilestone = declareScopeMilestone;
    }

    /**
     * @return Returns the declareScopeSummaryTask.
     */
    public ScopeSummaryTask getDeclareScopeSummaryTask()
    {
        return declareScopeSummaryTask;
    }

    /**
     * @param declareScopeSummaryTask
     *            The declareScopeSummaryTask to set.
     */
    public void setDeclareScopeSummaryTask(
            ScopeSummaryTask declareScopeSummaryTask)
    {
        this.declareScopeSummaryTask = declareScopeSummaryTask;
    }

    /**
     * @return Returns the declareScopeTask.
     */
    public ScopeTask getDeclareScopeTask()
    {
        return declareScopeTask;
    }

    /**
     * @param declareScopeTask
     *            The declareScopeTask to set.
     */
    public void setDeclareScopeTask(ScopeTask declareScopeTask)
    {
        this.declareScopeTask = declareScopeTask;
    }

    /**
     * @return Returns the declareScorecard.
     */
    public Scorecard getDeclareScorecard()
    {
        return declareScorecard;
    }

    /**
     * @param declareScorecard
     *            The declareScorecard to set.
     */
    public void setDeclareScorecard(Scorecard declareScorecard)
    {
        this.declareScorecard = declareScorecard;
    }

    /**
     * @return Returns the declareScorecardCategory.
     */
    public ScorecardCategory getDeclareScorecardCategory()
    {
        return declareScorecardCategory;
    }

    /**
     * @param declareScorecardCategory
     *            The declareScorecardCategory to set.
     */
    public void setDeclareScorecardCategory(
            ScorecardCategory declareScorecardCategory)
    {
        this.declareScorecardCategory = declareScorecardCategory;
    }

    /**
     * @return Returns the declareScorecardCategoryScope.
     */
    public ScorecardCategoryScope getDeclareScorecardCategoryScope()
    {
        return declareScorecardCategoryScope;
    }

    /**
     * @param declareScorecardCategoryScope
     *            The declareScorecardCategoryScope to set.
     */
    public void setDeclareScorecardCategoryScope(
            ScorecardCategoryScope declareScorecardCategoryScope)
    {
        this.declareScorecardCategoryScope = declareScorecardCategoryScope;
    }

    /**
     * @return Returns the declareScorecardFolder.
     */
    public ScorecardFolder getDeclareScorecardFolder()
    {
        return declareScorecardFolder;
    }

    /**
     * @param declareScorecardFolder
     *            The declareScorecardFolder to set.
     */
    public void setDeclareScorecardFolder(ScorecardFolder declareScorecardFolder)
    {
        this.declareScorecardFolder = declareScorecardFolder;
    }

    /**
     * @return Returns the declareScorecardFolderScope.
     */
    public ScorecardFolderScope getDeclareScorecardFolderScope()
    {
        return declareScorecardFolderScope;
    }

    /**
     * @param declareScorecardFolderScope
     *            The declareScorecardFolderScope to set.
     */
    public void setDeclareScorecardFolderScope(
            ScorecardFolderScope declareScorecardFolderScope)
    {
        this.declareScorecardFolderScope = declareScorecardFolderScope;
    }

    /**
     * @return Returns the declareScorecardQuestion.
     */
    public ScorecardQuestion getDeclareScorecardQuestion()
    {
        return declareScorecardQuestion;
    }

    /**
     * @param declareScorecardQuestion
     *            The declareScorecardQuestion to set.
     */
    public void setDeclareScorecardQuestion(
            ScorecardQuestion declareScorecardQuestion)
    {
        this.declareScorecardQuestion = declareScorecardQuestion;
    }

    /**
     * @return Returns the declareScorecardQuestionScope.
     */
    public ScorecardQuestionScope getDeclareScorecardQuestionScope()
    {
        return declareScorecardQuestionScope;
    }

    /**
     * @param declareScorecardQuestionScope
     *            The declareScorecardQuestionScope to set.
     */
    public void setDeclareScorecardQuestionScope(
            ScorecardQuestionScope declareScorecardQuestionScope)
    {
        this.declareScorecardQuestionScope = declareScorecardQuestionScope;
    }

    /**
     * @return Returns the declareScorecardResponse.
     */
    public ScorecardResponse getDeclareScorecardResponse()
    {
        return declareScorecardResponse;
    }

    /**
     * @param declareScorecardResponse
     *            The declareScorecardResponse to set.
     */
    public void setDeclareScorecardResponse(
            ScorecardResponse declareScorecardResponse)
    {
        this.declareScorecardResponse = declareScorecardResponse;
    }

    /**
     * @return Returns the declareScorecardResponseScope.
     */
    public ScorecardResponseScope getDeclareScorecardResponseScope()
    {
        return declareScorecardResponseScope;
    }

    /**
     * @param declareScorecardResponseScope
     *            The declareScorecardResponseScope to set.
     */
    public void setDeclareScorecardResponseScope(
            ScorecardResponseScope declareScorecardResponseScope)
    {
        this.declareScorecardResponseScope = declareScorecardResponseScope;
    }

    /**
     * @return Returns the declareScorecardScope.
     */
    public ScorecardScope getDeclareScorecardScope()
    {
        return declareScorecardScope;
    }

    /**
     * @param declareScorecardScope
     *            The declareScorecardScope to set.
     */
    public void setDeclareScorecardScope(ScorecardScope declareScorecardScope)
    {
        this.declareScorecardScope = declareScorecardScope;
    }

    /**
     * @return Returns the declareServiceRequest.
     */
    public ServiceRequest getDeclareServiceRequest()
    {
        return declareServiceRequest;
    }

    /**
     * @param declareServiceRequest
     *            The declareServiceRequest to set.
     */
    public void setDeclareServiceRequest(ServiceRequest declareServiceRequest)
    {
        this.declareServiceRequest = declareServiceRequest;
    }

    /**
     * @return Returns the declareSoftware.
     */
    public Software getDeclareSoftware()
    {
        return declareSoftware;
    }

    /**
     * @param declareSoftware
     *            The declareSoftware to set.
     */
    public void setDeclareSoftware(Software declareSoftware)
    {
        this.declareSoftware = declareSoftware;
    }

    /**
     * @return Returns the declareStatusUpdate.
     */
    public StatusUpdate getDeclareStatusUpdate()
    {
        return declareStatusUpdate;
    }

    /**
     * @param declareStatusUpdate
     *            The declareStatusUpdate to set.
     */
    public void setDeclareStatusUpdate(StatusUpdate declareStatusUpdate)
    {
        this.declareStatusUpdate = declareStatusUpdate;
    }

    /**
     * @return Returns the declareSummaryTask.
     */
    public SummaryTask getDeclareSummaryTask()
    {
        return declareSummaryTask;
    }

    /**
     * @param declareSummaryTask
     *            The declareSummaryTask to set.
     */
    public void setDeclareSummaryTask(SummaryTask declareSummaryTask)
    {
        this.declareSummaryTask = declareSummaryTask;
    }

    /**
     * @return Returns the declareSummaryTaskRTF.
     */
    public SummaryTaskRTF getDeclareSummaryTaskRTF()
    {
        return declareSummaryTaskRTF;
    }

    /**
     * @param declareSummaryTaskRTF
     *            The declareSummaryTaskRTF to set.
     */
    public void setDeclareSummaryTaskRTF(SummaryTaskRTF declareSummaryTaskRTF)
    {
        this.declareSummaryTaskRTF = declareSummaryTaskRTF;
    }

    /**
     * @return Returns the declareTask.
     */
    public Task getDeclareTask()
    {
        return declareTask;
    }

    /**
     * @param declareTask
     *            The declareTask to set.
     */
    public void setDeclareTask(Task declareTask)
    {
        this.declareTask = declareTask;
    }

    /**
     * @return Returns the declareTaskAssignment.
     */
    public TaskAssignment getDeclareTaskAssignment()
    {
        return declareTaskAssignment;
    }

    /**
     * @param declareTaskAssignment
     *            The declareTaskAssignment to set.
     */
    public void setDeclareTaskAssignment(TaskAssignment declareTaskAssignment)
    {
        this.declareTaskAssignment = declareTaskAssignment;
    }

    /**
     * @return Returns the declareTaskAssignmentScope.
     */
    public TaskAssignmentScope getDeclareTaskAssignmentScope()
    {
        return declareTaskAssignmentScope;
    }

    /**
     * @param declareTaskAssignmentScope
     *            The declareTaskAssignmentScope to set.
     */
    public void setDeclareTaskAssignmentScope(
            TaskAssignmentScope declareTaskAssignmentScope)
    {
        this.declareTaskAssignmentScope = declareTaskAssignmentScope;
    }

    /**
     * @return Returns the declareTaskRTF.
     */
    public TaskRTF getDeclareTaskRTF()
    {
        return declareTaskRTF;
    }

    /**
     * @param declareTaskRTF
     *            The declareTaskRTF to set.
     */
    public void setDeclareTaskRTF(TaskRTF declareTaskRTF)
    {
        this.declareTaskRTF = declareTaskRTF;
    }

    /**
     * @return Returns the declareTimeCodeAssignment.
     */
    public TimeCodeAssignment getDeclareTimeCodeAssignment()
    {
        return declareTimeCodeAssignment;
    }

    /**
     * @param declareTimeCodeAssignment
     *            The declareTimeCodeAssignment to set.
     */
    public void setDeclareTimeCodeAssignment(
            TimeCodeAssignment declareTimeCodeAssignment)
    {
        this.declareTimeCodeAssignment = declareTimeCodeAssignment;
    }

    /**
     * @return Returns the declareTimeCodeCategory.
     */
    public TimeCodeCategory getDeclareTimeCodeCategory()
    {
        return declareTimeCodeCategory;
    }

    /**
     * @param declareTimeCodeCategory
     *            The declareTimeCodeCategory to set.
     */
    public void setDeclareTimeCodeCategory(
            TimeCodeCategory declareTimeCodeCategory)
    {
        this.declareTimeCodeCategory = declareTimeCodeCategory;
    }

    /**
     * @return Returns the declareURL.
     */
    public UrlDocument getDeclareURL()
    {
        return declareURL;
    }

    /**
     * @param declareURL
     *            The declareURL to set.
     */
    public void setDeclareURL(UrlDocument declareURL)
    {
        this.declareURL = declareURL;
    }

    /**
     * @return Returns the declareWBSFinancial.
     */
    public WbsFinancial getDeclareWBSFinancial()
    {
        return declareWBSFinancial;
    }

    /**
     * @param declareWBSFinancial
     *            The declareWBSFinancial to set.
     */
    public void setDeclareWBSFinancial(WbsFinancial declareWBSFinancial)
    {
        this.declareWBSFinancial = declareWBSFinancial;
    }

    /**
     * @return Returns the declareTimePhasedType.
     */
    public TimePhasedType getDeclareTimePhasedType()
    {
        return declareTimePhasedType;
    }

    /**
     * @param declareTimePhasedType
     *            The declareTimePhasedType to set.
     */
    public void setDeclareTimePhasedType(TimePhasedType declareTimePhasedType)
    {
        this.declareTimePhasedType = declareTimePhasedType;
    }

    /**
     * @return Returns the declareWorkElement.
     */
    public WorkElement getDeclareWorkElement()
    {
        return declareWorkElement;
    }

    /**
     * @param declareWorkElement
     *            The declareWorkElement to set.
     */
    public void setDeclareWorkElement(WorkElement declareWorkElement)
    {
        this.declareWorkElement = declareWorkElement;
    }

    /**
     * @return Returns the declareWorkElementScope.
     */
    public WorkElementScope getDeclareWorkElementScope()
    {
        return declareWorkElementScope;
    }

    /**
     * @param declareWorkElementScope
     *            The declareWorkElementScope to set.
     */
    public void setDeclareWorkElementScope(
            WorkElementScope declareWorkElementScope)
    {
        this.declareWorkElementScope = declareWorkElementScope;
    }

    /**
     * @return Returns the declareWorkingStatus.
     */
    public WorkingStatus getDeclareWorkingStatus()
    {
        return declareWorkingStatus;
    }

    /**
     * @param declareWorkingStatus
     *            The declareWorkingStatus to set.
     */
    public void setDeclareWorkingStatus(WorkingStatus declareWorkingStatus)
    {
        this.declareWorkingStatus = declareWorkingStatus;
    }

    /**
     * @return Returns the declareWorkLocation.
     */
    public WorkLocation getDeclareWorkLocation()
    {
        return declareWorkLocation;
    }

    /**
     * @param declareWorkLocation
     *            The declareWorkLocation to set.
     */
    public void setDeclareWorkLocation(WorkLocation declareWorkLocation)
    {
        this.declareWorkLocation = declareWorkLocation;
    }

    /**
     * @return Returns the declareWorkOrganization.
     */
    public WorkOrganization getDeclareWorkOrganization()
    {
        return declareWorkOrganization;
    }

    /**
     * @param declareWorkOrganization
     *            The declareWorkOrganization to set.
     */
    public void setDeclareWorkOrganization(
            WorkOrganization declareWorkOrganization)
    {
        this.declareWorkOrganization = declareWorkOrganization;
    }

    /**
     * @return Returns the declareWorkProduct.
     */
    public WorkProduct getDeclareWorkProduct()
    {
        return declareWorkProduct;
    }

    /**
     * @param declareWorkProduct
     *            The declareWorkProduct to set.
     */
    public void setDeclareWorkProduct(WorkProduct declareWorkProduct)
    {
        this.declareWorkProduct = declareWorkProduct;
    }

    /**
     * @return Returns the declareWorkProductRTF.
     */
    public WorkProductRTF getDeclareWorkProductRTF()
    {
        return declareWorkProductRTF;
    }

    /**
     * @param declareWorkProductRTF
     *            The declareWorkProductRTF to set.
     */
    public void setDeclareWorkProductRTF(WorkProductRTF declareWorkProductRTF)
    {
        this.declareWorkProductRTF = declareWorkProductRTF;
    }

    /**
     * @return Returns the declareWorksheetFinancial.
     */
    public WorksheetFinancial getDeclareWorksheetFinancial()
    {
        return declareWorksheetFinancial;
    }

    /**
     * @param declareWorksheetFinancial
     *            The declareWorksheetFinancial to set.
     */
    public void setDeclareWorksheetFinancial(
            WorksheetFinancial declareWorksheetFinancial)
    {
        this.declareWorksheetFinancial = declareWorksheetFinancial;
    }

    /**
     * @return Returns the declareWPDoc.
     */
    public WPDoc getDeclareWPDoc()
    {
        return declareWPDoc;
    }

    /**
     * @param declareWPDoc
     *            The declareWPDoc to set.
     */
    public void setDeclareWPDoc(WPDoc declareWPDoc)
    {
        this.declareWPDoc = declareWPDoc;
    }

    public AssetModule getDeclareAssetModule()
    {
        return declareAssetModule;
    }

    public void setDeclareAssetModule(AssetModule declareAssetModule)
    {
        this.declareAssetModule = declareAssetModule;
    }

    public AssetModuleScope getDeclareAssetModuleScope()
    {
        return declareAssetModuleScope;
    }

    public void setDeclareAssetModuleScope(
            AssetModuleScope declareAssetModuleScope)
    {
        this.declareAssetModuleScope = declareAssetModuleScope;
    }

    public DocumentModule getDeclareDocumentModule()
    {
        return declareDocumentModule;
    }

    public void setDeclareDocumentModule(DocumentModule declareDocumentModule)
    {
        this.declareDocumentModule = declareDocumentModule;
    }

    public DocumentModuleScope getDeclareDocumentModuleScope()
    {
        return declareDocumentModuleScope;
    }

    public void setDeclareDocumentModuleScope(
            DocumentModuleScope declareDocumentModuleScope)
    {
        this.declareDocumentModuleScope = declareDocumentModuleScope;
    }

    public ResourceModule getDeclareResourceModule()
    {
        return declareResourceModule;
    }

    public void setDeclareResourceModule(ResourceModule declareResourceModule)
    {
        this.declareResourceModule = declareResourceModule;
    }

    public ResourceModuleScope getDeclareResourceModuleScope()
    {
        return declareResourceModuleScope;
    }

    public void setDeclareResourceModuleScope(
            ResourceModuleScope declareResourceModuleScope)
    {
        this.declareResourceModuleScope = declareResourceModuleScope;
    }

    public ScopeManagementModule getDeclareScopeManagementModule()
    {
        return declareScopeManagementModule;
    }

    public void setDeclareScopeManagementModule(
            ScopeManagementModule declareScopeManagementModule)
    {
        this.declareScopeManagementModule = declareScopeManagementModule;
    }

    public ScopeManagementModuleScope getDeclareScopeManagementModuleScope()
    {
        return declareScopeManagementModuleScope;
    }

    public void setDeclareScopeManagementModuleScope(
            ScopeManagementModuleScope declareScopeManagementModuleScope)
    {
        this.declareScopeManagementModuleScope = declareScopeManagementModuleScope;
    }

    public WbsModule getDeclareWbsModule()
    {
        return declareWbsModule;
    }

    public void setDeclareWbsModule(WbsModule declareWbsModule)
    {
        this.declareWbsModule = declareWbsModule;
    }

    public WbsModuleScope getDeclareWbsModuleScope()
    {
        return declareWbsModuleScope;
    }

    public void setDeclareWbsModuleScope(WbsModuleScope declareWbsModuleScope)
    {
        this.declareWbsModuleScope = declareWbsModuleScope;
    }

    public PoolModule getDeclarePoolModule()
    {
        return declarePoolModule;
    }

    public void setDeclarePoolModule(PoolModule declarePoolModule)
    {
        this.declarePoolModule = declarePoolModule;
    }

    public PoolModuleScope getDeclarePoolModuleScope()
    {
        return declarePoolModuleScope;
    }

    public void setDeclarePoolModuleScope(PoolModuleScope declarePoolModuleScope)
    {
        this.declarePoolModuleScope = declarePoolModuleScope;
    }

    /**
     * @return Returns the declareActionState.
     */
    public ActionState getDeclareActionState()
    {
        return declareActionState;
    }

    /**
     * @param declareActionState
     *            The declareActionState to set.
     */
    public void setDeclareActionState(ActionState declareActionState)
    {
        this.declareActionState = declareActionState;
    }

    /**
     * @return Returns the declareAssetRevisionImpact.
     */
    public AssetRevisionImpact getDeclareAssetRevisionImpact()
    {
        return declareAssetRevisionImpact;
    }

    /**
     * @param declareAssetRevisionImpact
     *            The declareAssetRevisionImpact to set.
     */
    public void setDeclareAssetRevisionImpact(
            AssetRevisionImpact declareAssetRevisionImpact)
    {
        this.declareAssetRevisionImpact = declareAssetRevisionImpact;
    }

    /**
     * @return Returns the declareAssetRevisionType.
     */
    public AssetRevisionType getDeclareAssetRevisionType()
    {
        return declareAssetRevisionType;
    }

    /**
     * @param declareAssetRevisionType
     *            The declareAssetRevisionType to set.
     */
    public void setDeclareAssetRevisionType(
            AssetRevisionType declareAssetRevisionType)
    {
        this.declareAssetRevisionType = declareAssetRevisionType;
    }

    /**
     * @return Returns the declareBenefitDatafield1.
     */
    public BenefitDatafield1 getDeclareBenefitDatafield1()
    {
        return declareBenefitDatafield1;
    }

    /**
     * @param declareBenefitDatafield1
     *            The declareBenefitDatafield1 to set.
     */
    public void setDeclareBenefitDatafield1(
            BenefitDatafield1 declareBenefitDatafield1)
    {
        this.declareBenefitDatafield1 = declareBenefitDatafield1;
    }

    /**
     * @return Returns the declareBenefitDatafield2.
     */
    public BenefitDatafield2 getDeclareBenefitDatafield2()
    {
        return declareBenefitDatafield2;
    }

    /**
     * @param declareBenefitDatafield2
     *            The declareBenefitDatafield2 to set.
     */
    public void setDeclareBenefitDatafield2(
            BenefitDatafield2 declareBenefitDatafield2)
    {
        this.declareBenefitDatafield2 = declareBenefitDatafield2;
    }

    /**
     * @return Returns the declareBenefitDatafieldLabelText.
     */
    public BenefitDatafieldLabelText getDeclareBenefitDatafieldLabelText()
    {
        return declareBenefitDatafieldLabelText;
    }

    /**
     * @param declareBenefitDatafieldLabelText
     *            The declareBenefitDatafieldLabelText to set.
     */
    public void setDeclareBenefitDatafieldLabelText(
            BenefitDatafieldLabelText declareBenefitDatafieldLabelText)
    {
        this.declareBenefitDatafieldLabelText = declareBenefitDatafieldLabelText;
    }

    /**
     * @return Returns the declareBenefitLabelText.
     */
    public BenefitLabelText getDeclareBenefitLabelText()
    {
        return declareBenefitLabelText;
    }

    /**
     * @param declareBenefitLabelText
     *            The declareBenefitLabelText to set.
     */
    public void setDeclareBenefitLabelText(
            BenefitLabelText declareBenefitLabelText)
    {
        this.declareBenefitLabelText = declareBenefitLabelText;
    }

    /**
     * @return Returns the declareCapitalDatafield1.
     */
    public CapitalDatafield1 getDeclareCapitalDatafield1()
    {
        return declareCapitalDatafield1;
    }

    /**
     * @param declareCapitalDatafield1
     *            The declareCapitalDatafield1 to set.
     */
    public void setDeclareCapitalDatafield1(
            CapitalDatafield1 declareCapitalDatafield1)
    {
        this.declareCapitalDatafield1 = declareCapitalDatafield1;
    }

    /**
     * @return Returns the declareCapitalDatafield2.
     */
    public CapitalDatafield2 getDeclareCapitalDatafield2()
    {
        return declareCapitalDatafield2;
    }

    /**
     * @param declareCapitalDatafield2
     *            The declareCapitalDatafield2 to set.
     */
    public void setDeclareCapitalDatafield2(
            CapitalDatafield2 declareCapitalDatafield2)
    {
        this.declareCapitalDatafield2 = declareCapitalDatafield2;
    }

    /**
     * @return Returns the declareCapitalDatafieldLabelText.
     */
    public CapitalDatafieldLabelText getDeclareCapitalDatafieldLabelText()
    {
        return declareCapitalDatafieldLabelText;
    }

    /**
     * @param declareCapitalDatafieldLabelText
     *            The declareCapitalDatafieldLabelText to set.
     */
    public void setDeclareCapitalDatafieldLabelText(
            CapitalDatafieldLabelText declareCapitalDatafieldLabelText)
    {
        this.declareCapitalDatafieldLabelText = declareCapitalDatafieldLabelText;
    }

    /**
     * @return Returns the declareCapitalLabelText.
     */
    public CapitalLabelText getDeclareCapitalLabelText()
    {
        return declareCapitalLabelText;
    }

    /**
     * @param declareCapitalLabelText
     *            The declareCapitalLabelText to set.
     */
    public void setDeclareCapitalLabelText(
            CapitalLabelText declareCapitalLabelText)
    {
        this.declareCapitalLabelText = declareCapitalLabelText;
    }

    /**
     * @return Returns the declareChangeRequestState.
     */
    public ChangeRequestState getDeclareChangeRequestState()
    {
        return declareChangeRequestState;
    }

    /**
     * @param declareChangeRequestState
     *            The declareChangeRequestState to set.
     */
    public void setDeclareChangeRequestState(
            ChangeRequestState declareChangeRequestState)
    {
        this.declareChangeRequestState = declareChangeRequestState;
    }

    /**
     * @return Returns the declareCompanyNameCode.
     */
    public CompanyNameCode getDeclareCompanyNameCode()
    {
        return declareCompanyNameCode;
    }

    /**
     * @param declareCompanyNameCode
     *            The declareCompanyNameCode to set.
     */
    public void setDeclareCompanyNameCode(CompanyNameCode declareCompanyNameCode)
    {
        this.declareCompanyNameCode = declareCompanyNameCode;
    }

    /**
     * @return Returns the declareDefectState.
     */
    public DefectState getDeclareDefectState()
    {
        return declareDefectState;
    }

    /**
     * @param declareDefectState
     *            The declareDefectState to set.
     */
    public void setDeclareDefectState(DefectState declareDefectState)
    {
        this.declareDefectState = declareDefectState;
    }

    /**
     * @return Returns the declareDeliverableState.
     */
    public DeliverableState getDeclareDeliverableState()
    {
        return declareDeliverableState;
    }

    /**
     * @param declareDeliverableState
     *            The declareDeliverableState to set.
     */
    public void setDeclareDeliverableState(
            DeliverableState declareDeliverableState)
    {
        this.declareDeliverableState = declareDeliverableState;
    }

    /**
     * @return Returns the declareDocumentRevisionType.
     */
    public DocumentRevisionType getDeclareDocumentRevisionType()
    {
        return declareDocumentRevisionType;
    }

    /**
     * @param declareDocumentRevisionType
     *            The declareDocumentRevisionType to set.
     */
    public void setDeclareDocumentRevisionType(
            DocumentRevisionType declareDocumentRevisionType)
    {
        this.declareDocumentRevisionType = declareDocumentRevisionType;
    }

    /**
     * @return Returns the declareExpenseCapitalCommonBenefitDatafield1.
     */
    public ExpenseCapitalCommonBenefitDatafield1 getDeclareExpenseCapitalCommonBenefitDatafield1()
    {
        return declareExpenseCapitalCommonBenefitDatafield1;
    }

    /**
     * @param declareExpenseCapitalCommonBenefitDatafield1
     *            The declareExpenseCapitalCommonBenefitDatafield1 to set.
     */
    public void setDeclareExpenseCapitalCommonBenefitDatafield1(
            ExpenseCapitalCommonBenefitDatafield1 declareExpenseCapitalCommonBenefitDatafield1)
    {
        this.declareExpenseCapitalCommonBenefitDatafield1 = declareExpenseCapitalCommonBenefitDatafield1;
    }

    /**
     * @return Returns the declareExpenseCapitalCommonBenefitDatafield2.
     */
    public ExpenseCapitalCommonBenefitDatafield2 getDeclareExpenseCapitalCommonBenefitDatafield2()
    {
        return declareExpenseCapitalCommonBenefitDatafield2;
    }

    /**
     * @param declareExpenseCapitalCommonBenefitDatafield2
     *            The declareExpenseCapitalCommonBenefitDatafield2 to set.
     */
    public void setDeclareExpenseCapitalCommonBenefitDatafield2(
            ExpenseCapitalCommonBenefitDatafield2 declareExpenseCapitalCommonBenefitDatafield2)
    {
        this.declareExpenseCapitalCommonBenefitDatafield2 = declareExpenseCapitalCommonBenefitDatafield2;
    }

    /**
     * @return Returns the declareExpenseCapitalCommonDatafieldLabelText.
     */
    public ExpenseCapitalCommonDatafieldLabelText getDeclareExpenseCapitalCommonDatafieldLabelText()
    {
        return declareExpenseCapitalCommonDatafieldLabelText;
    }

    /**
     * @param declareExpenseCapitalCommonDatafieldLabelText
     *            The declareExpenseCapitalCommonDatafieldLabelText to set.
     */
    public void setDeclareExpenseCapitalCommonDatafieldLabelText(
            ExpenseCapitalCommonDatafieldLabelText declareExpenseCapitalCommonDatafieldLabelText)
    {
        this.declareExpenseCapitalCommonDatafieldLabelText = declareExpenseCapitalCommonDatafieldLabelText;
    }

    /**
     * @return Returns the declareExpenseDatafield1.
     */
    public ExpenseDatafield1 getDeclareExpenseDatafield1()
    {
        return declareExpenseDatafield1;
    }

    /**
     * @param declareExpenseDatafield1
     *            The declareExpenseDatafield1 to set.
     */
    public void setDeclareExpenseDatafield1(
            ExpenseDatafield1 declareExpenseDatafield1)
    {
        this.declareExpenseDatafield1 = declareExpenseDatafield1;
    }

    /**
     * @return Returns the declareExpenseDatafield2.
     */
    public ExpenseDatafield2 getDeclareExpenseDatafield2()
    {
        return declareExpenseDatafield2;
    }

    /**
     * @param declareExpenseDatafield2
     *            The declareExpenseDatafield2 to set.
     */
    public void setDeclareExpenseDatafield2(
            ExpenseDatafield2 declareExpenseDatafield2)
    {
        this.declareExpenseDatafield2 = declareExpenseDatafield2;
    }

    /**
     * @return Returns the declareExpenseDatafieldLabelText.
     */
    public ExpenseDatafieldLabelText getDeclareExpenseDatafieldLabelText()
    {
        return declareExpenseDatafieldLabelText;
    }

    /**
     * @param declareExpenseDatafieldLabelText
     *            The declareExpenseDatafieldLabelText to set.
     */
    public void setDeclareExpenseDatafieldLabelText(
            ExpenseDatafieldLabelText declareExpenseDatafieldLabelText)
    {
        this.declareExpenseDatafieldLabelText = declareExpenseDatafieldLabelText;
    }

    /**
     * @return Returns the declareExpenseLabelText.
     */
    public ExpenseLabelText getDeclareExpenseLabelText()
    {
        return declareExpenseLabelText;
    }

    /**
     * @param declareExpenseLabelText
     *            The declareExpenseLabelText to set.
     */
    public void setDeclareExpenseLabelText(
            ExpenseLabelText declareExpenseLabelText)
    {
        this.declareExpenseLabelText = declareExpenseLabelText;
    }

    /**
     * @return Returns the declareIssueState.
     */
    public IssueState getDeclareIssueState()
    {
        return declareIssueState;
    }

    /**
     * @param declareIssueState
     *            The declareIssueState to set.
     */
    public void setDeclareIssueState(IssueState declareIssueState)
    {
        this.declareIssueState = declareIssueState;
    }

    /**
     * @return Returns the declareRequirementRevisionType.
     */
    public RequirementRevisionType getDeclareRequirementRevisionType()
    {
        return declareRequirementRevisionType;
    }

    /**
     * @param declareRequirementRevisionType
     *            The declareRequirementRevisionType to set.
     */
    public void setDeclareRequirementRevisionType(
            RequirementRevisionType declareRequirementRevisionType)
    {
        this.declareRequirementRevisionType = declareRequirementRevisionType;
    }

    /**
     * @return Returns the declareRequirementState.
     */
    public RequirementState getDeclareRequirementState()
    {
        return declareRequirementState;
    }

    /**
     * @param declareRequirementState
     *            The declareRequirementState to set.
     */
    public void setDeclareRequirementState(
            RequirementState declareRequirementState)
    {
        this.declareRequirementState = declareRequirementState;
    }

    /**
     * @return Returns the declareResourceCustomFields.
     */
    public ResourceCustomFields getDeclareResourceCustomFields()
    {
        return declareResourceCustomFields;
    }

    /**
     * @param declareResourceCustomFields
     *            The declareResourceCustomFields to set.
     */
    public void setDeclareResourceCustomFields(
            ResourceCustomFields declareResourceCustomFields)
    {
        this.declareResourceCustomFields = declareResourceCustomFields;
    }

    /**
     * @return Returns the declareResourceRevisionType.
     */
    public ResourceRevisionType getDeclareResourceRevisionType()
    {
        return declareResourceRevisionType;
    }

    /**
     * @param declareResourceRevisionType
     *            The declareResourceRevisionType to set.
     */
    public void setDeclareResourceRevisionType(
            ResourceRevisionType declareResourceRevisionType)
    {
        this.declareResourceRevisionType = declareResourceRevisionType;
    }

    /**
     * @return Returns the declareRevisionImpact.
     */
    public RevisionImpact getDeclareRevisionImpact()
    {
        return declareRevisionImpact;
    }

    /**
     * @param declareRevisionImpact
     *            The declareRevisionImpact to set.
     */
    public void setDeclareRevisionImpact(RevisionImpact declareRevisionImpact)
    {
        this.declareRevisionImpact = declareRevisionImpact;
    }

    /**
     * @return Returns the declareScheduleImpact.
     */
    public ScheduleImpact getDeclareScheduleImpact()
    {
        return declareScheduleImpact;
    }

    /**
     * @param declareScheduleImpact
     *            The declareScheduleImpact to set.
     */
    public void setDeclareScheduleImpact(ScheduleImpact declareScheduleImpact)
    {
        this.declareScheduleImpact = declareScheduleImpact;
    }

    /**
     * @return Returns the declareScopeElementsRevisionType.
     */
    public ScopeElementsRevisionType getDeclareScopeElementsRevisionType()
    {
        return declareScopeElementsRevisionType;
    }

    /**
     * @param declareScopeElementsRevisionType
     *            The declareScopeElementsRevisionType to set.
     */
    public void setDeclareScopeElementsRevisionType(
            ScopeElementsRevisionType declareScopeElementsRevisionType)
    {
        this.declareScopeElementsRevisionType = declareScopeElementsRevisionType;
    }

    /**
     * @return Returns the declareScorecardRevisionType.
     */
    public ScorecardRevisionType getDeclareScorecardRevisionType()
    {
        return declareScorecardRevisionType;
    }

    /**
     * @param declareScorecardRevisionType
     *            The declareScorecardRevisionType to set.
     */
    public void setDeclareScorecardRevisionType(
            ScorecardRevisionType declareScorecardRevisionType)
    {
        this.declareScorecardRevisionType = declareScorecardRevisionType;
    }

    /**
     * @return Returns the declareScorecardState.
     */
    public ScorecardState getDeclareScorecardState()
    {
        return declareScorecardState;
    }

    /**
     * @param declareScorecardState
     *            The declareScorecardState to set.
     */
    public void setDeclareScorecardState(ScorecardState declareScorecardState)
    {
        this.declareScorecardState = declareScorecardState;
    }

    /**
     * @return Returns the declareServiceRequestRTF.
     */
    public ServiceRequestRTF getDeclareServiceRequestRTF()
    {
        return declareServiceRequestRTF;
    }

    /**
     * @param declareServiceRequestRTF
     *            The declareServiceRequestRTF to set.
     */
    public void setDeclareServiceRequestRTF(
            ServiceRequestRTF declareServiceRequestRTF)
    {
        this.declareServiceRequestRTF = declareServiceRequestRTF;
    }

    /**
     * @return Returns the declareServiceRequestState.
     */
    public ServiceRequestState getDeclareServiceRequestState()
    {
        return declareServiceRequestState;
    }

    /**
     * @param declareServiceRequestState
     *            The declareServiceRequestState to set.
     */
    public void setDeclareServiceRequestState(
            ServiceRequestState declareServiceRequestState)
    {
        this.declareServiceRequestState = declareServiceRequestState;
    }

    /**
     * @return Returns the declareState.
     */
    public State getDeclareState()
    {
        return declareState;
    }

    /**
     * @param declareState
     *            The declareState to set.
     */
    public void setDeclareState(State declareState)
    {
        this.declareState = declareState;
    }

    /**
     * @return Returns the declareTaskState.
     */
    public TaskState getDeclareTaskState()
    {
        return declareTaskState;
    }

    /**
     * @param declareTaskState
     *            The declareTaskState to set.
     */
    public void setDeclareTaskState(TaskState declareTaskState)
    {
        this.declareTaskState = declareTaskState;
    }

    /**
     * @return Returns the declareWBSRevisionType.
     */
    public WbsRevisionType getDeclareWBSRevisionType()
    {
        return declareWbsRevisionType;
    }

    /**
     * @param declareWBSRevisionType
     *            The declareWBSRevisionType to set.
     */
    public void setDeclareWBSRevisionType(WbsRevisionType declareWBSRevisionType)
    {
        this.declareWbsRevisionType = declareWBSRevisionType;
    }

    /**
     * @return Returns the declareAssetOrganizationalAssignment.
     */
    public AssetOrganizationalAssignment getDeclareAssetOrganizationalAssignment()
    {
        return declareAssetOrganizationalAssignment;
    }

    /**
     * @param declareAssetOrganizationalAssignment
     *            The declareAssetOrganizationalAssignment to set.
     */
    public void setDeclareAssetOrganizationalAssignment(
            AssetOrganizationalAssignment declareAssetOrganizationalAssignment)
    {
        this.declareAssetOrganizationalAssignment = declareAssetOrganizationalAssignment;
    }

    /**
     * @return Returns the declareArchivedProject.
     */
    public ArchivedProject getDeclareArchivedProject()
    {
        return declareArchivedProject;
    }

    /**
     * @param declareArchivedProject
     *            The declareArchivedProject to set.
     */
    public void setDeclareArchivedProject(ArchivedProject declareArchivedProject)
    {
        this.declareArchivedProject = declareArchivedProject;
    }

    /**
     * @return Returns the declareAssetOrganizationalAssignmentScope.
     */


    /**
     * @return Returns the declareContainerList2.
     */
    public ContainerList2 getDeclareContainerList2()
    {
        return declareContainerList2;
    }
    /**
     * @param declareContainerList2 The declareContainerList2 to set.
     */
    public void setDeclareContainerList2(ContainerList2 declareContainerList2)
    {
        this.declareContainerList2 = declareContainerList2;
    }
    /**
     * @return Returns the declareCustomDatafield.
     */
    public CustomDatafield getDeclareCustomDatafield()
    {
        return declareCustomDatafield;
    }
    /**
     * @param declareCustomDatafield The declareCustomDatafield to set.
     */
    public void setDeclareCustomDatafield(CustomDatafield declareCustomDatafield)
    {
        this.declareCustomDatafield = declareCustomDatafield;
    }
    /**
     * @return Returns the declareCustomDatafieldCategory.
     */
    public CustomDatafieldCategory getDeclareCustomDatafieldCategory()
    {
        return declareCustomDatafieldCategory;
    }
    /**
     * @param declareCustomDatafieldCategory The declareCustomDatafieldCategory to set.
     */
    public void setDeclareCustomDatafieldCategory(
            CustomDatafieldCategory declareCustomDatafieldCategory)
    {
        this.declareCustomDatafieldCategory = declareCustomDatafieldCategory;
    }
    /**
     * @return Returns the declareDatafieldCategory.
     */
    public DatafieldCategory getDeclareDatafieldCategory()
    {
        return declareDatafieldCategory;
    }
    /**
     * @param declareDatafieldCategory The declareDatafieldCategory to set.
     */
    public void setDeclareDatafieldCategory(
            DatafieldCategory declareDatafieldCategory)
    {
        this.declareDatafieldCategory = declareDatafieldCategory;
    }
    /**
     * @return Returns the declareScopeScheduleDate.
     */
    public ScopeScheduleDate getDeclareScopeScheduleDate()
    {
        return declareScopeScheduleDate;
    }
    /**
     * @param declareScopeScheduleDate The declareScopeScheduleDate to set.
     */
    public void setDeclareScopeScheduleDate(
            ScopeScheduleDate declareScopeScheduleDate)
    {
        this.declareScopeScheduleDate = declareScopeScheduleDate;
    }
    /**
     * @return Returns the declareWbsRevisionType.
     */
    public WbsRevisionType getDeclareWbsRevisionType()
    {
        return declareWbsRevisionType;
    }
    /**
     * @param declareWbsRevisionType The declareWbsRevisionType to set.
     */
    public void setDeclareWbsRevisionType(WbsRevisionType declareWbsRevisionType)
    {
        this.declareWbsRevisionType = declareWbsRevisionType;
    }
    /**
     * @return Returns the declareWbsScheduleDate.
     */
    public WbsScheduleDate getDeclareWbsScheduleDate()
    {
        return declareWbsScheduleDate;
    }
    /**
     * @param declareWbsScheduleDate The declareWbsScheduleDate to set.
     */
    public void setDeclareWbsScheduleDate(WbsScheduleDate declareWbsScheduleDate)
    {
        this.declareWbsScheduleDate = declareWbsScheduleDate;
    }
    /**
     * @return Returns the declareTimeCodeGroup.
     */
    public TimeCodeGroup getDeclareTimeCodeGroup()
    {
        return declareTimeCodeGroup;
    }
    /**
     * @param declareTimeCodeGroup The declareTimeCodeGroup to set.
     */
    public void setDeclareTimeCodeGroup(TimeCodeGroup declareTimeCodeGroup)
    {
        this.declareTimeCodeGroup = declareTimeCodeGroup;
    }
}
