package com.ibm.rpm.interfaces.impl;

import javax.servlet.ServletConfig;
import javax.servlet.http.HttpServlet;


public class RpmWebServicesSessionUtility extends HttpServlet
{

    private static final long serialVersionUID = -520272513703941685L;
    
    private ServerFactory factory;

    public RpmWebServicesSessionUtility()
    {
        super();
        factory = ServerFactory.getInstance();
    }

    /*
     * (non-Javadoc)
     * 
     * @see javax.servlet.Servlet#init(javax.servlet.ServletConfig)
     */
    public void init(ServletConfig arg0)
    {
        factory.getSession().start();
    }

    /*
     * (non-Javadoc)
     * 
     * @see javax.servlet.Servlet#getServletInfo()
     */
    public String getServletInfo()
    {
        return "RPM Session Utility";
    }

    /*
     * (non-Javadoc)
     * 
     * @see javax.servlet.Servlet#destroy()
     */
    public void destroy()
    {
        factory.getSession().stop();
    }
}
