package com.ibm.rpm.scopemanagement.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class RiskMatrix  extends com.ibm.rpm.framework.RPMObject {

			
		
		
			
	private java.lang.Double consequenceCost; 	
	public java.lang.Double  getConsequenceCost() {
		return this.consequenceCost;
	}
	
	public void setConsequenceCost(java.lang.Double value) {
		this.consequenceCost = value;
	}
	
			
	public void deltaConsequenceCost(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, consequenceCost))) {
			consequenceCost_is_modified = true;
		}
	}
	
	private boolean consequenceCost_is_modified = false;
	
	public boolean testConsequenceCostModified() {
		return consequenceCost_is_modified;
	}
		
		
	private java.lang.Integer exposurePercent; 	
	public java.lang.Integer  getExposurePercent() {
		return this.exposurePercent;
	}
	
	public void setExposurePercent(java.lang.Integer value) {
		this.exposurePercent = value;
	}
	
			
	public void deltaExposurePercent(java.lang.Integer oldValue) {
		if (!(CompareUtil.equals(oldValue, exposurePercent))) {
			exposurePercent_is_modified = true;
		}
	}
	
	private boolean exposurePercent_is_modified = false;
	
	public boolean testExposurePercentModified() {
		return exposurePercent_is_modified;
	}
		
		
	private java.lang.Integer impact; 	
	public java.lang.Integer  getImpact() {
		return this.impact;
	}
	
	public void setImpact(java.lang.Integer value) {
		this.impact = value;
	}
	
			
	public void deltaImpact(java.lang.Integer oldValue) {
		if (!(CompareUtil.equals(oldValue, impact))) {
			impact_is_modified = true;
		}
	}
	
	private boolean impact_is_modified = false;
	
	public boolean testImpactModified() {
		return impact_is_modified;
	}
		
		
	private java.lang.Double mitigationCost; 	
	public java.lang.Double  getMitigationCost() {
		return this.mitigationCost;
	}
	
	public void setMitigationCost(java.lang.Double value) {
		this.mitigationCost = value;
	}
	
			
	public void deltaMitigationCost(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, mitigationCost))) {
			mitigationCost_is_modified = true;
		}
	}
	
	private boolean mitigationCost_is_modified = false;
	
	public boolean testMitigationCostModified() {
		return mitigationCost_is_modified;
	}
		
		
	private com.ibm.rpm.scopemanagement.types.PrecisionType precision; 	
	public com.ibm.rpm.scopemanagement.types.PrecisionType  getPrecision() {
		return this.precision;
	}
	
	public void setPrecision(com.ibm.rpm.scopemanagement.types.PrecisionType value) {
		this.precision = value;
	}
	
			
	public void deltaPrecision(com.ibm.rpm.scopemanagement.types.PrecisionType oldValue) {
		if (!(CompareUtil.equals(oldValue, precision))) {
			precision_is_modified = true;
		}
	}
	
	private boolean precision_is_modified = false;
	
	public boolean testPrecisionModified() {
		return precision_is_modified;
	}
		
		
	private java.lang.Integer probability; 	
	public java.lang.Integer  getProbability() {
		return this.probability;
	}
	
	public void setProbability(java.lang.Integer value) {
		this.probability = value;
	}
	
			
	public void deltaProbability(java.lang.Integer oldValue) {
		if (!(CompareUtil.equals(oldValue, probability))) {
			probability_is_modified = true;
		}
	}
	
	private boolean probability_is_modified = false;
	
	public boolean testProbabilityModified() {
		return probability_is_modified;
	}
		
		
	private java.lang.Double probabilityCost; 	
	public java.lang.Double  getProbabilityCost() {
		return this.probabilityCost;
	}
	
	public void setProbabilityCost(java.lang.Double value) {
		this.probabilityCost = value;
	}
	
			
	public void deltaProbabilityCost(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, probabilityCost))) {
			probabilityCost_is_modified = true;
		}
	}
	
	private boolean probabilityCost_is_modified = false;
	
	public boolean testProbabilityCostModified() {
		return probabilityCost_is_modified;
	}
		
		
	private java.lang.String riskMatrixColor; 	
	public java.lang.String  getRiskMatrixColor() {
		return this.riskMatrixColor;
	}
	
	public void setRiskMatrixColor(java.lang.String value) {
		this.riskMatrixColor = value;
	}
	
			
	public void deltaRiskMatrixColor(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, riskMatrixColor))) {
			riskMatrixColor_is_modified = true;
		}
	}
	
	private boolean riskMatrixColor_is_modified = false;
	
	public boolean testRiskMatrixColorModified() {
		return riskMatrixColor_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        consequenceCost_is_modified = false;      
                                
        exposurePercent_is_modified = false;      
                                
        impact_is_modified = false;      
                                
        mitigationCost_is_modified = false;      
                                
        precision_is_modified = false;      
                                
        probability_is_modified = false;      
                                
        probabilityCost_is_modified = false;      
                                
        riskMatrixColor_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (consequenceCost != null) {
     		consequenceCost_is_modified = true;
     	}
     	     	     	     	
     	if (exposurePercent != null) {
     		exposurePercent_is_modified = true;
     	}
     	     	     	     	
     	if (impact != null) {
     		impact_is_modified = true;
     	}
     	     	     	     	
     	if (mitigationCost != null) {
     		mitigationCost_is_modified = true;
     	}
     	     	     	     	
     	if (precision != null) {
     		precision_is_modified = true;
     	}
     	     	     	     	
     	if (probability != null) {
     		probability_is_modified = true;
     	}
     	     	     	     	
     	if (probabilityCost != null) {
     		probabilityCost_is_modified = true;
     	}
     	     	     	     	
     	if (riskMatrixColor != null) {
     		riskMatrixColor_is_modified = true;
     	}
     	     	     	
     }
     
     
}