/*
 * Created on Dec 4, 2005
 * @author mmatwiy
 * Checkpoint validation of container ScorecardFolder.
 * ScorecardFolder has no parent.
 */
package com.ibm.rpm.scorecard.checkpoints;


import java.util.ArrayList;
import java.util.List;

import com.ibm.rpm.asset.containers.AssetModule;
import com.ibm.rpm.framework.MessageContext;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.resource.containers.ResourceModule;
import com.ibm.rpm.scopemanagement.containers.ScopeManagementModule;
import com.ibm.rpm.wbs.containers.WbsModule;


public class ScorecardFolderCheckpoint extends AbstractScorecardEntityCheckpoint
{
    protected static ScorecardFolderCheckpoint instance = new ScorecardFolderCheckpoint();
    private static final List PARENT_LIST = new ArrayList();
    static
    {
        PARENT_LIST.add(AssetModule.class);
        PARENT_LIST.add(ScopeManagementModule.class);
        PARENT_LIST.add(WbsModule.class);
        PARENT_LIST.add(ResourceModule.class);
    }
    
    public static ScorecardFolderCheckpoint getInstance()
    {
        return instance;
    }

    public void validateSave(RPMObject rpmObject, RPMObjectScope rpmScope,
            MessageContext msgCtx)
    {
        super.validateSave(rpmObject, msgCtx, true, PARENT_LIST);
    }
}
