package com.ibm.rpm.timesheet.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  abstract class AbstractTimesheetTaskAssignment  extends com.ibm.rpm.timesheet.containers.GenericTaskAssignment {

			
		
		
			
	private java.lang.Double baselineWork; 	
	public java.lang.Double  getBaselineWork() {
		return this.baselineWork;
	}
	
	public void setBaselineWork(java.lang.Double value) {
		this.baselineWork = value;
	}
	
			
	public void deltaBaselineWork(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, baselineWork))) {
			baselineWork_is_modified = true;
		}
	}
	
	private boolean baselineWork_is_modified = false;
	
	public boolean testBaselineWorkModified() {
		return baselineWork_is_modified;
	}
		
		
	private java.lang.Double workSchedule; 	
	public java.lang.Double  getWorkSchedule() {
		return this.workSchedule;
	}
	
	public void setWorkSchedule(java.lang.Double value) {
		this.workSchedule = value;
	}
	
			
	public void deltaWorkSchedule(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, workSchedule))) {
			workSchedule_is_modified = true;
		}
	}
	
	private boolean workSchedule_is_modified = false;
	
	public boolean testWorkScheduleModified() {
		return workSchedule_is_modified;
	}
		
		
	private java.util.Calendar finishDate; 	
	public java.util.Calendar  getFinishDate() {
		return this.finishDate;
	}
	
	public void setFinishDate(java.util.Calendar value) {
		this.finishDate = value;
	}
	
			
	public void deltaFinishDate(java.util.Calendar oldValue) {
		if (!(CompareUtil.equals(oldValue, finishDate))) {
			finishDate_is_modified = true;
		}
	}
	
	private boolean finishDate_is_modified = false;
	
	public boolean testFinishDateModified() {
		return finishDate_is_modified;
	}
		
		
	private java.util.Calendar startDate; 	
	public java.util.Calendar  getStartDate() {
		return this.startDate;
	}
	
	public void setStartDate(java.util.Calendar value) {
		this.startDate = value;
	}
	
			
	public void deltaStartDate(java.util.Calendar oldValue) {
		if (!(CompareUtil.equals(oldValue, startDate))) {
			startDate_is_modified = true;
		}
	}
	
	private boolean startDate_is_modified = false;
	
	public boolean testStartDateModified() {
		return startDate_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        baselineWork_is_modified = false;      
                                
        workSchedule_is_modified = false;      
                                
        finishDate_is_modified = false;      
                                
        startDate_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (baselineWork != null) {
     		baselineWork_is_modified = true;
     	}
     	     	     	     	
     	if (workSchedule != null) {
     		workSchedule_is_modified = true;
     	}
     	     	     	     	
     	if (finishDate != null) {
     		finishDate_is_modified = true;
     	}
     	     	     	     	
     	if (startDate != null) {
     		startDate_is_modified = true;
     	}
     	     	     	
     }
     
     
}