package com.ibm.rpm.workflow.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class WorkflowRoleMapping  extends com.ibm.rpm.framework.RPMObject {

			
		
		
			
	private com.ibm.rpm.workflow.containers.WorkflowRole workflowRole; 	
	public com.ibm.rpm.workflow.containers.WorkflowRole  getWorkflowRole() {
		return this.workflowRole;
	}
	
	public void setWorkflowRole(com.ibm.rpm.workflow.containers.WorkflowRole value) {
		this.workflowRole = value;
	}
	
			
	public void deltaWorkflowRole(com.ibm.rpm.workflow.containers.WorkflowRole oldValue) {
		if (!(CompareUtil.equals(oldValue, workflowRole))) {
			workflowRole_is_modified = true;
		}
	}
	
	private boolean workflowRole_is_modified = false;
	
	public boolean testWorkflowRoleModified() {
		return workflowRole_is_modified;
	}
		
		
	private com.ibm.rpm.resource.containers.Resource resource; 	
	public com.ibm.rpm.resource.containers.Resource  getResource() {
		return this.resource;
	}
	
	public void setResource(com.ibm.rpm.resource.containers.Resource value) {
		this.resource = value;
	}
	
			
	public void deltaResource(com.ibm.rpm.resource.containers.Resource oldValue) {
		if (!(CompareUtil.equals(oldValue, resource))) {
			resource_is_modified = true;
		}
	}
	
	private boolean resource_is_modified = false;
	
	public boolean testResourceModified() {
		return resource_is_modified;
	}
		
		
	private com.ibm.rpm.security.containers.GenericSecurityRole securityRole; 	
	public com.ibm.rpm.security.containers.GenericSecurityRole  getSecurityRole() {
		return this.securityRole;
	}
	
	public void setSecurityRole(com.ibm.rpm.security.containers.GenericSecurityRole value) {
		this.securityRole = value;
	}
	
			
	public void deltaSecurityRole(com.ibm.rpm.security.containers.GenericSecurityRole oldValue) {
		if (!(CompareUtil.equals(oldValue, securityRole))) {
			securityRole_is_modified = true;
		}
	}
	
	private boolean securityRole_is_modified = false;
	
	public boolean testSecurityRoleModified() {
		return securityRole_is_modified;
	}
		
		
	private com.ibm.rpm.applicationadministration.containers.ContactGroup contactGroup; 	
	public com.ibm.rpm.applicationadministration.containers.ContactGroup  getContactGroup() {
		return this.contactGroup;
	}
	
	public void setContactGroup(com.ibm.rpm.applicationadministration.containers.ContactGroup value) {
		this.contactGroup = value;
	}
	
			
	public void deltaContactGroup(com.ibm.rpm.applicationadministration.containers.ContactGroup oldValue) {
		if (!(CompareUtil.equals(oldValue, contactGroup))) {
			contactGroup_is_modified = true;
		}
	}
	
	private boolean contactGroup_is_modified = false;
	
	public boolean testContactGroupModified() {
		return contactGroup_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        workflowRole_is_modified = false;      
                                
        resource_is_modified = false;      
                                
        securityRole_is_modified = false;      
                                
        contactGroup_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (workflowRole != null) {
     		workflowRole_is_modified = true;
     	}
     	     	     	     	
     	if (resource != null) {
     		resource_is_modified = true;
     	}
     	     	     	     	
     	if (securityRole != null) {
     		securityRole_is_modified = true;
     	}
     	     	     	     	
     	if (contactGroup != null) {
     		contactGroup_is_modified = true;
     	}
     	     	     	
     }
     
     
}