package com.ibm.rpm.xpathparser.steps;

import org.apache.xml.utils.ObjectVector;
import org.apache.xpath.compiler.OpMapVector;

import com.ibm.rpm.xpathparser.ReflectOpCodes;

/**
 * @author kuschel
 * 
 * [OP_EQUALS] [length] {expression} {expression}
 * 
 * returns: XBoolean
 * @xsl.usage advanced
 */
public class Equals extends Comparator
{

    /**
     * @param op_xpath
     * @param opMap
     * @param tokenQueue
     * @param step
     */
    protected Equals(OpMapVector opMap, ObjectVector tokenQueue, XPathStep step)
    {
        super(ReflectOpCodes.OP_EQUALS, opMap, tokenQueue, step);
    }

}
